<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Appointments</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Appointments</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header 

          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
-->
          <!-- Search Filter 
          <div class="row filter-row">
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <input type="text" class="form-control floating" />
                <label class="focus-label">Name</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Issue</option>
                  <option>Global Technologies</option>
                  <option>Delta Infotech</option>
                </select>
                <label class="focus-label">Issue</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Orders</option>
                  <option>Web Developer</option>
                  <option>Web Designer</option>
                  <option>Android Developer</option>
                  <option>Ios Developer</option>
                </select>
                <label class="focus-label">Orders</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- /Search Filter -->

          <div class="row mt-3">
            <div class="col-md-12">
              <div class="table-responsive">
                <table
                  class="table table-striped table-nowrap custom-table mb-0"
                >
                  <thead>
                    <tr>
                      <th>#</th>
                      <th>Name</th>
                      <th>Date</th>
                      <th>From</th>
                      <th>To</th>
                      <th>Reason</th>
                      <th>Status</th>
                      <th class="text-right">Action</th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add User Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div
            class="modal-dialog modal-dialog-centered modal-lg"
            role="document"
          >
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title text-right">Add Appointments</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form id="addForm">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="form-group row">
                        <label class="col-form-label col-sm-12 pt-0"
                          >Type</label
                        >
                        <div class="col-sm-4 mt-2">
                          <input
                            id="customers_type"
                            type="radio"
                            name="appointment_type"
                            value="No"
                            checked
                          />
                          <label class="form-check-label" for="radio11"
                            >Customes</label
                          >
                        </div>
                        <div class="col-sm-4 mt-2">
                          <input
                            id="lead_type"
                            type="radio"
                            name="appointment_type"
                            value="Yes"
                          />
                          <label class="form-check-label" for="radio22"
                            >Leads</label
                          >
                        </div>
                      </div>
                    </div>

                    <div class="col-md-6" id="ifYes" style="display: none">
                      <div class="row">
                        <div class="col-md-12">
                          <div class="form-group">
                            <label
                              >Leads <span class="text-danger">*</span></label
                            >
                            <select class="select" name="lead_id" id="lead">
                              <option value="select">Please Select</option>
                            </select>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="col-md-6" id="ifNo" style="display: block">
                      <div class="row">
                        <div class="col-md-12">
                          <div class="form-group">
                            <label
                              >Customers
                              <span class="text-danger">*</span></label
                            >
                            <select
                              class="select"
                              name="customer_id"
                              id="customer"
                            >
                              <option value="">Please Select</option>
                            </select>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Date <span class="text-danger">*</span></label>
                        <div class="cal-icon">
                          <input
                            class="form-control datetimepicker"
                            type="text"
                            id="date"
                            name="date"
                          />
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label
                          >Start Time <span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="time"
                          id="starttime"
                          name="starttime"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label
                          >End Time <span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="time"
                          id="endtime"
                          name="endtime"
                        />
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Remarks <span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="text"
                          name="remarks"
                          id="remarks"
                        />
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Status <span class="text-danger">*</span></label
                        >
                        <select class="form-control" name="status" id="status">
                          <option value="">Select Status</option>
                          <option value="1">Active</option>
                          <option value="2">Inactive</option>
                        </select>
                      </div>
                    </div>
                  </div>

                  <div class="submit-section">
                    <div class="col-md-12 text-right">
                      <button class="btn btn-danger submit-btn">Submit</button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add User Modal -->

        <!-- Toast -->
        <div
          class="toast"
          role="alert"
          aria-live="assertive"
          aria-atomic="true"
          data-delay="2000"
          style="position: absolute; top: 5rem; right: 1rem"
        >
          <div>
            <strong class="mr-auto toast-header"></strong>
            <button
              type="button"
              class="ml-2 mb-1 close"
              data-dismiss="toast"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="toast-body"></div>
        </div>
        <!-- /Toast -->

        <!-- Delete User Modal -->
        <div class="modal custom-modal fade" id="delete_user" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete User</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete User Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      var appointmentData = "";
      var actionType = "addappointments";
      var appointmentId = "";
      $(document).ready(function () {
        // Add an event listener to the radio buttons
        const customersRadio = document.querySelector('input[value="No"]');
        const leadsRadio = document.querySelector('input[value="Yes"]');

        customersRadio.addEventListener("change", function () {
          $("#ifNo").show();
          $("#ifYes").hide();
        });

        leadsRadio.addEventListener("change", function () {
          $("#ifNo").hide();
          $("#ifYes").show();
        });
        // Add an event listener to the radio buttons

        getCustomersList();
        getLeadsList();
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=appointmentslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            appointmentData = data;
            $.each(data, function (a, b) {
              if (b.status === "1") {
                spanData = '<span class="badge bg-inverse-success">Open</span>';
              }
              if (b.status === "2") {
                spanData =
                  '<span class="badge bg-inverse-danger">Closed</span>';
              }

              let Tablename = "";
              if (b.lead_name == null) {
                Tablename = b.customer_name;
              }

              if (b.customer_name == null) {
                Tablename = b.lead_name;
              }

              table.append(
                "<tr><td>" +
                  (a + 1) +
                  "</td>" +
                  "<td>" +
                  Tablename +
                  "</td>" +
                  "<td>" +
                  b.date +
                  "</td>" +
                  "<td>" +
                  b.starttime +
                  "</td>" +
                  "<td>" +
                  b.endtime +
                  "</td>" +
                  "<td>" +
                  b.remarks +
                  "</td>" +
                  "<td>" +
                  spanData +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-appointment-id="' +
                  b.appointment_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-appointment-id="' +
                  b.appointment_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "editappointments";
                  appointmentId = e.target.parentElement.getAttribute(
                    "data-appointment-id"
                  );
                  var selectedappointmentData = appointmentData.find(
                    (l) => l.appointment_id === appointmentId.toString()
                  );
                  var entries = Object.entries(selectedappointmentData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "appointment_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value).trigger('change');
                    }
                  }

                  if (selectedappointmentData?.customer_id) {
                    $("#customers_type").attr("checked", "checked");
                    $("#lead_type").attr("checked", false);
					$("#ifNo").show();
          			$("#ifYes").hide();
                  } else {
                    $("#lead_type").attr("checked", "checked");
                    $("#customers_type").attr("checked", false);
					$("#ifNo").hide();
          			$("#ifYes").show();
                  }

                  $("#add_client").modal("show");
                });

                $(document).on("click", ".delete_user", (e) => {
                  const lId = e.target.parentElement.getAttribute(
                    "data-appointment-id"
                  );
                  
				  Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=closeappointment&appointment_id=" +lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        $("#source").change((v) => {
          if (v.target.value === "Referral") {
            $("#rname").removeClass("d-none");
            $("#rnumber").removeClass("d-none");
          } else {
            $("#rname").addClass("d-none");
            $("#rnumber").addClass("d-none");
          }
        });

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          if (actionType === "editappointments") {
            data.append("appointment_id", appointmentId);
          }
          var radioValue = $("input[name='appointment_type']:checked").val();

          var modifyData = Object.fromEntries(data);
          delete modifyData.appointment_type;

          if (radioValue == "Yes") {
            delete modifyData.customer_id;
          } else {
            delete modifyData.lead_id;
          }

          var jsonData = JSON.stringify(modifyData);

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("Appointment Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });

        function getCustomersList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=customerslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#customer");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.customer_id +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }

        function getLeadsList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=leadslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#lead");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.lead_id +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
          $("#customers_type").attr("checked", "checked");
          $("#lead_type").attr("checked", false);
		  $("#ifNo").show();
          $("#ifYes").hide();
        });
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
