<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
		<link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
		<!--<link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet" />-->
		<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row">
							<div class="col-sm-12">
								<h3 class="page-title">Create Estimate</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Create Estimate</li>
								</ul>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<div class="row">
						<div class="col-sm-12">
							<form>
								<div class="row">
									<div class="col-sm-6 col-md-4">
										<div class="form-group">
											<label>Estimate Number <span class="text-danger">*</span></label>
											<input class="form-control" type="text" readonly value="EST-001">
										</div>
									</div>
									<div class="col-sm-6 col-md-4">
										<div class="form-group row">
											<div class="col-sm-6 col-md-10">
												<label>Contacts <span class="text-danger">*</span></label>
												<select id="select_page" style="width:200px;" class="select operator select-first">
													<option>Please Select</option>
													<option selected>Barry Cuda</option>
													<option>Tressa Wexler</option>
												</select>
											</div>
											<div class="col-sm-6 col-md-2">
												<div style="margin-left:-20px;margin-top:30px;">
													<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
												</div>
											</div>
										</div>
									</div>
									<div class="col-sm-6 col-md-4 category_div" id="category_div">
									<label class="col-form-label">Subcategory</label>
										<select class="form-control" id="source" name="source" onchange="javascript: dynamicdropdown(this.options[this.selectedIndex].value);">
										<option value="">Choose</option>
										<option value="Wedding">Wedding</option>
										<option value="Baby Salem">Baby Salem</option>
										<option value="Baby Erode">Baby Erode</option>
										</select>
									</div>
									<div class="col-sm-6 col-md-4 sub_category_div" id="sub_category_div">
										<label class="col-form-label">Type of Shoot</label>
										<script type="text/javascript" language="JavaScript">
										document.write('<select class="form-control" name="status" id="status"><option value="">Choose</option></select>')
										</script>
										<noscript>
										<select class="form-control" id="status" name="status">
											<option value="">Choose</option>
											<option value="Wedding(Full)">Wedding(Full)</option>
											<option value="Wedding(Half)">Wedding(Half)</option>
											<option value="Reception">Reception</option>
											<option value="Engagement">Engagement</option>
											<option value="Babyshower">Babyshower</option>
											<option value="Birthday">Birthday</option>
											<option value="Puberty">Puberty</option>
											<option value="Housewarming">Housewarming</option>
											<option value="Ear Piercing">Ear Piercing</option>
											<option value="Opening Ceremony">Opening Ceremony</option>
											<option value="Others">Others</option>
										</select>
										</noscript>
									</div>
									
									<div class="col-sm-6 col-md-4">
										<div class="form-group">
											<label>Package <span class="text-danger">*</span></label>
											<select class="select">
												<option>Please Select</option>
												<option selected>Gold</option>
												<option>Platnium</option>
												<option>Custom</option>
											</select>
										</div>
									</div>									
									
									<div class="col-sm-6 col-md-4 cinvoice_date">
										<div class="form-group">
											<label>Date of Invoice <span class="text-danger">*</span></label>
											<div class="cal-icon">
												<input class="form-control datetimepicker" type="text">
											</div>
										</div>
									</div>
									<div class="col-sm-6 col-md-4 cevent_date">
										<div class="form-group">
											<label>Event Date <span class="text-danger">*</span></label>
											<div class="cal-icon">
												<input class="form-control datetimepicker" type="text">
											</div>
										</div>
									</div>
									<div class="col-sm-6 col-md-4 cvenue">
										<div class="form-group">
											<label>Event Venue <span class="text-danger">*</span></label>
											<input class="form-control" type="text" name="event_venue">
										</div>
									</div>
									<div class="col-sm-6 col-md-4 ctime">
										<div class="form-group">
											<label>Event Time <span class="text-danger">*</span></label>
											<input class="form-control" type="text" >
										</div>
									</div>
									<div class="col-sm-6 col-md-3 cshoot_date" style="display:none;">
										<div class="form-group">
											<label>Shoot Date <span class="text-danger">*</span></label>
											<div class="cal-icon">
												<input class="form-control datetimepicker" type="text">
											</div>
										</div>
									</div>
									<div class="col-sm-6 col-md-3 cshoot_time" style="display:none;">
										<div class="form-group">
											<label>Shoot Time <span class="text-danger">*</span></label>
											<input class="form-control" type="text" >
										</div>
									</div>
									<!--
									<div class="col-sm-6 col-md-3">
										<div class="form-group">
											<label>Estimate Date <span class="text-danger">*</span></label>
											<div class="cal-icon">
												<input class="form-control datetimepicker" type="text">
											</div>
										</div>
									</div>
									<div class="col-sm-6 col-md-3">
										<div class="form-group">
											<label>Event Date <span class="text-danger">*</span></label>
											<div class="cal-icon">
												<input class="form-control datetimepicker" type="text">
											</div>
										</div>
									</div>
									-->
								</div>
								<div class="row">
									<div class="col-md-12 col-sm-12">
										<div class="table-responsive">
											<table id="GRNTable" class="table table-hover table-white">
												<thead>
													<tr>
														<th style="width: 20px">#</th>
														<th class="col-md-5">Services</th>
														<th class="col-md-5">Specifications</th>
														<th>Amount</th>
														<th> </th>
													</tr>
												</thead>
												<tbody>
												<tr>
													<td>1</td>
													<td>
														<input class="form-control" type="text" style="min-width:150px" id="col1">
													</td>
													<td>
														<input class="form-control" type="text" style="min-width:150px" id="col2">
													</td>
													<td>
														<input class="form-control" style="width:100px" type="text" id="col3">
													</td>
													
													
													<td style="padding-top:20px"><a href="javascript:void(0)" class="text-success font-18" title="Add" onclick="insRow()"><i class="fa fa-plus"></i></a>&nbsp;&nbsp;<a href="javascript:void(0)" class="text-danger font-18" title="Remove" onclick="deleteRow(this)"><i class="fa fa-trash-o"></i></a></td>
												</tr>
												
												</tbody>
											</table>
										</div>
										<div class="table-responsive">
											<table class="table table-hover table-white">
												<tbody>
													<tr>
														<td></td>
														<td></td>
														<td></td>
														<td></td>
														<td class="text-right">Total</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">0</td>
													</tr>
													<tr>
														<td colspan="5" class="text-right">Tax</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">
															<input class="form-control text-right" value="0" readonly type="text">
														</td>
													</tr>
													<tr>
														<td colspan="5" class="text-right">
															Discount %
														</td>
														<td style="text-align: right; padding-right: 30px;width: 230px">
															<input class="form-control text-right" type="text">
														</td>
													</tr>
													<tr>
														<td colspan="5" style="text-align: right; font-weight: bold">
															Grand Total
														</td>
														<td style="text-align: right; padding-right: 30px; font-weight: bold; font-size: 16px;width: 230px">
															$ 0.00
														</td>
													</tr>
												</tbody>
											</table>                               
										</div>
										<div class="row">
											<div class="col-sm-6 col-md-4 cadvance">
												<div class="form-group">
													<label>Advance Payment <span class="text-danger">*</span></label>
													<input class="form-control" type="text" >
												</div>
											</div>
											<div class="col-sm-6 col-md-4 cevent_pay">
												<div class="form-group">
													<label>Event Payment <span class="text-danger">*</span></label>
													<input class="form-control" type="text" >
												</div>
											</div>
											<div class="col-sm-6 col-md-4 cfinal_pay">
												<div class="form-group">
													<label>Final Payment <span class="text-danger">*</span></label>
													<input class="form-control" type="text" >
												</div>
											</div>
											<div class="col-md-12">
												<div class="form-group">
													<label>Notes</label>
													<textarea class="form-control" rows="4"></textarea>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="submit-section">
									<button class="btn btn-primary submit-btn m-r-10">Save & Send</button>
									<button class="btn btn-primary submit-btn">Save</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<!-- /Page Content -->
				
			</div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
		<!-- Add Client Modal -->
				<div id="add_client" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Add Contacts</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Name <span class="text-danger">*</span></label>
												<input class="form-control" type="text">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Mobile No</label>
												<input class="form-control" type="text">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Email <span class="text-danger">*</span></label>
												<input class="form-control" type="email">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Location <span class="text-danger">*</span></label>
												<input class="form-control floating" type="text">
											</div>
										</div>
										
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Source <span class="text-danger">*</span></label>
												<select class="select floating"> 
													<option>Select Source</option>
													<option>Google</option>
													<option>Referral</option>
													<option>Social Media</option>
													<option>Website</option>
												</select>
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Category <span class="text-danger">*</span></label>
												<select class="select floating"> 
													<option>Select Category </option>
													<option>New</option>
													<option>Contacted</option>
													<option>Qualified</option>
													<option>Estimate Sent</option>
													<option>Converted</option>
													<option>Disqualified</option>
												</select>
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Assign to <span class="text-danger">*</span></label>
												<select class="select floating"> 
													<option>Select Assign to </option>
													<option>assign1</option>
													<option>assign2</option>
												</select>
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Type <span class="text-danger">*</span></label>
												<select class="select floating"> 
													<option>Select Type </option>
													<option>Customer</option>
													<option>Leads</option>
												</select>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Image <span class="text-danger">*</span></label>
												<input class="form-control floating" type="file">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Value <span class="text-danger">*</span></label>
												<input class="form-control floating" type="text">
											</div>
										</div>
										<div class="col-md-12">
											<div class="form-group">
												<label class="col-form-label">Notes <span class="text-danger">*</span></label>
												<textarea class="form-control floating"></textarea>
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Status <span class="text-danger">*</span></label>
												<select class="select floating"> 
													<option>Select Status </option>
													<option>Active</option>
													<option>Inactive</option>
												</select>
											</div>
										</div>
									</div>
									
									<div class="submit-section">
										<button class="btn btn-primary submit-btn">Submit</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add Client Modal -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		
		<script>
	function deleteRow(row)
	  {
		var x=document.getElementById('GRNTable');
		var len = x.rows.length ;
		var i=row.parentNode.parentNode.rowIndex;
		if (i==(len-1))
		  if(i!=1)
			document.getElementById('GRNTable').deleteRow(i);
		  else
			alert ("Must have one row");
		else
		  alert ("Delete last rows first");
	  }


	function insRow()
	{
		var x=document.getElementById('GRNTable');
		var new_row = x.rows[1].cloneNode(true);
		var len = x.rows.length;
		new_row.cells[0].innerHTML = len;
		
		var inp1 = new_row.cells[1].getElementsByTagName('input')[0];
		inp1.id = "Pro"+len;
		inp1.value = '';
		var inp2 = new_row.cells[2].getElementsByTagName('input')[0];
		inp2.id = "Batch"+len;
		inp2.value = '';
		var inp3 = new_row.cells[3].getElementsByTagName('input')[0];
		inp3.id = "Exp"+len;
		inp3.value = '';
		x.appendChild( new_row );
	}
</script>
<script>
$(document).ready(function () {
//change selectboxes to selectize mode to be searchable
   //$(".").select2();
   $(".select-first").select2();
});
</script>

<script language="javascript" type="text/javascript">
    function dynamicdropdown(listindex)
    {
		document.getElementById("status").options.length = 0;
        switch (listindex)
        {
        case "Wedding" :
            document.getElementById("status").options[0]=new Option("Choose","");
            document.getElementById("status").options[1]=new Option("Wedding(Full)","Wedding(Full)");
            document.getElementById("status").options[2]=new Option("Wedding(Half)","Wedding(Half)");
			document.getElementById("status").options[3]=new Option("Reception","Reception");
			document.getElementById("status").options[4]=new Option("Engagement","Engagement");
			document.getElementById("status").options[5]=new Option("Babyshower","Babyshower");
			document.getElementById("status").options[6]=new Option("Birthday","Birthday");
			document.getElementById("status").options[7]=new Option("Puberty","Puberty");
			document.getElementById("status").options[8]=new Option("Housewarming","Housewarming");
			document.getElementById("status").options[9]=new Option("Ear Piercing","Ear Piercing");
			document.getElementById("status").options[10]=new Option("Opening Ceremony","Opening Ceremony");
			document.getElementById("status").options[11]=new Option("Others","Others");
			
			$('.cadvance').show();
			$('.cevent_pay').show();
			$('.cfinal_pay').show();
			$('.cevent_date').show();
			$('.cvenue').show();
			$('.ctime').show();
			
			$('.cshoot_date').hide();
			$('.cshoot_time').hide();
            break;
        case "Baby Salem" :
            document.getElementById("status").options[0]=new Option("Choose","");
            document.getElementById("status").options[1]=new Option("Baby","Baby");
            document.getElementById("status").options[2]=new Option("Maternity","Maternity");
            document.getElementById("status").options[3]=new Option("Familyshoot","Familyshoot");
			document.getElementById("status").options[4]=new Option("Others","Others");
			
			$('.cadvance').hide();
			$('.cevent_pay').hide();
			$('.cfinal_pay').hide();
			$('.cevent_date').hide();
			$('.cvenue').hide();
			$('.ctime').hide();
			
			$('.cshoot_date').show();
			$('.cshoot_time').show();
            break;
		case "Baby Erode" :
            document.getElementById("status").options[0]=new Option("Choose","");
            document.getElementById("status").options[1]=new Option("Baby","Baby");
            document.getElementById("status").options[2]=new Option("Familyshoot","Familyshoot");
			document.getElementById("status").options[3]=new Option("Others","Others");
			
			$('.cadvance').hide();
			$('.cevent_pay').hide();
			$('.cfinal_pay').hide();
			$('.cevent_date').hide();
			$('.cvenue').hide();
			$('.ctime').hide();
			
			$('.cshoot_date').show();
			$('.cshoot_time').show(); 
            break;
        }
        return true;
    }
    </script>
	<script>
		var uid = sessionStorage.getItem('user_id');
		//alert(uid);
		if ((uid == "undefined")||(uid == "")||(uid == null)){
			alert("Invalid Credentials")
			window.location.href = 'index.php';
		  }
		</script>
		<script>
		$(document).ready(function () {	
			
			var url_str = $(location).attr('href');
			var url = new URL(url_str);
			var search_params = url.searchParams; 
			var eid = url.searchParams.get("eid");	
			alert(eid);
			
			$.ajax({ 
				type: 'GET', 
				url: 'https://efflo.xyz/App/api.php?gofor=getestimate&estimate_id='+eid, 
				data: { get_param: 'value' }, 
				success: function (data) {
					var parseddata = JSON.stringify(data);
					alert(parseddata);
					$eid = parseddata.estimate_id;
					alert(parseddata.event_venue);
					$('input[name="event_venue"]').val(parseddata.event_venue);
				}
				
			});
			
	
				if((estimate_id == '')||(typeof(estimate_id) == "undefined")||estimate_id == null){
					ApiUrl = 'https://efflo.xyz/App/api.php?gofor=addestimates';
				}else{
					ApiUrl = 'https://efflo.xyz/App/api.php?gofor=editestimates';
				}
				
				
	
				$("#btnSubmit").click(function (event) {
		 
				//stop submit the form, we will post it manually.
				event.preventDefault();
		 
				// Get form
				var form = $('#myform')[0];
		 
			   // Create an FormData object 
				var data = new FormData(form);
				data.append("user_id", uid);
				data.append("estimate_id", estimate_id);
				
				var jsonData = JSON.stringify(Object.fromEntries(data));
		 
			   // If you want to add an extra field for the FormData
				
				
				// Validation form
				if ($("#treatment_name").val()==''){
					alert("You must enter all fields");
					return;
				}
				
				
		 
			   // disabled the submit button
				$("#btnSubmit").prop("disabled", true);
				
				//alert(ApiUrl);
		 
				$.ajax({
					type: "POST",
					enctype: 'multipart/form-data',
					url: ApiUrl,
					data: jsonData,
					processData: false,
					contentType: false,
					cache: false,
					timeout: 800000,
					success: function (data) {
		 
						$("#output").text(data);
						console.log("SUCCESS : ", data);
						$("#btnSubmit").prop("disabled", false);
						$('#success-modal').modal('toggle');
		 
					},
					error: function (e) {
		 
						$("#output").text(e.responseText);
						console.log("ERROR : ", e);
						$("#btnSubmit").prop("disabled", false);
						
		 
					}
				});
		 
			});
		});
		</script>
		
    </body>
</html>