<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Chart CSS -->
		<link rel="stylesheet" href="assets/plugins/morris/morris.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
		<style>
		/*
		.card-table{
			box-shadow: rgba(100, 100, 111, 0.1) 0px 7px 18px 0px !important;
		}*/
		.card {
			border: 0px solid #ededed !important;
			box-shadow: none!important;
		}
		.btn-sm{
			padding: 0.15rem 0.9rem;
			font-size: .775rem;
		}
		.btn-secondary:hover,
		.btn-secondary:focus {
			background-color: #009efb;
			border: 1px solid #009efb;
			color: #fff;
		}
		.table.custom-table > tbody > tr > td, .table.custom-table > tbody > tr > th, .table.custom-table > tfoot > tr > td, .table.custom-table > tfoot > tr > th, .table.custom-table > thead > tr > td, .table.custom-table > thead > tr > th{
			padding: 10px 10px !important;
			font-size: 14px;
		}
		</style>
    </head>
	
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row">
							<div class="col-sm-12">
								<h3 class="page-title">Welcome Admin!</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item active">Dashboard</li>
								</ul>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					<div class="row">
						<div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
							<ul class="nav nav-tabs nav-tabs-bottom">
								<li class="nav-item"><a class="nav-link active" href="#Accounts-tab" data-toggle="tab">Accounts</a></li>
								<li class="nav-item"><a class="nav-link" href="#HRM-tab" data-toggle="tab">HRM</a></li>
								<li class="nav-item"><a class="nav-link" href="#Tracker-tab" data-toggle="tab">Tracker</a></li>
								<li class="nav-item"><a class="nav-link" href="#Marketing-tab" data-toggle="tab">Marketing</a></li>
								<li class="nav-item"><a class="nav-link" href="#Business-tab" data-toggle="tab">Business</a></li>
							</ul>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
							<div class="tab-content">
								<div class="tab-pane show active" id="Accounts-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TRevenue"></span></h3>
														<span>Total Revenue</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TExpenses"></span></h3>
														<span>Total Expense</span>
													</div>									
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TProfit"></span></h3>
														<span>Total Profit</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TDue"></span></h3>
														<span>Total Due</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
									</div>
									
									<!--<div class="row">-->
									<!--	<div class="col-md-12">-->
									<!--		<div class="row">-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Earnings VS Profit</h3>-->
									<!--						<div id="bar-charts"></div>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Income VS Expenses</h3>-->
									<!--						<div id="line-charts"></div>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--		</div>							-->
									<!--	</div>-->
									<!--</div>-->
									
									
									
									<div class="row">
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Due Payments</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="payments.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0">
															<thead>
																<tr>
																	<!--<th>Orders ID</th>-->
																	<th>Customer</th>
																	<th>Mobile No</th>
																	<th>Amount</th>
																	<th>Due Date</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">Siva</a></h2>
																	</td>
																	<td>9858920423</td>
																	<td>52000</td>
																	<td>17 May 2023</td>
																	
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Arun</a></h2>
																	</td>
																    <td>8748990493</td>
																	<td>34000</td>
																	<td>8 July 2023</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Rahul</a></h2>
																	</td>
																	<td>9786593001</td>
																	<td>18000</td>
																	<td>22 Oct 2023</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Sathish</a></h2>
																	</td>
																	<td>9948990543</td>
																	<td>70000</td>
																	<td>01 Nov 2023</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Papitha</a></h2>
																	</td>
																	<td>6324598103</td>
																	<td>84000</td>
																	<td>16 Nov 2023</td>
																</tr>
																
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">High Expenses</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="expenses.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>									
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">	
														<table class="table custom-table table-nowrap mb-0">
															<thead>
																<tr>
																	<!--<th>Invoice ID</th>-->
																	<th>Name</th>
																	<th>Date</th>
																	<th>Amount</th>
																	<th>PayType</th>
																	
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">Sony v12</a></h2>
																	</td>
																	<td>11 Mar 2019</td>
																	<td>120000</td>
																	<td>Credit Card</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Wide Lens</a></h2>
																	</td>
																	<td>18 June 2022</td>
																	<td>45000</td>
																	<td>Debit Card</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">LED Lights</a></h2>
																	</td>
																	<td>05 Jan 2023</td>
																	<td>7500</td>
																	<td>Gpay</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Battery</a></h2>
																	</td>
																	<td>28 May 2023</td>
																	<td>12000</td>
																	<td>Cash</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Bags</a></h2>
																	</td>
																	<td>06 Oct 2023</td>
																	<td>4200</td>
																	<td>Cash</td>
																</tr>
																
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
									</div>
									
									
								</div>
								<div class="tab-pane" id="HRM-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TDepartments"></span></h3>
														<span>Total Departments</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TEmployee"></span></h3>
														<span>Total Employees</span>
													</div>									
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TSalary"></span></h3>
														<span>Monthly Salary</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="PAttendance"></span><span>%</span></h3>
														<span>Today Attendance</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
									</div>
									
									<!--<div class="row">-->
									<!--	<div class="col-md-12">-->
									<!--		<div class="row">-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Actual VS Spent </h3>-->
									<!--						<canvas id="myChart1"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Attendance</h3>-->
									<!--						<div class="chart-container" style="position: relative; height:37vh; width:80vw;left:25%">-->
									<!--						<canvas id="myChart2"></canvas>-->
									<!--						</div>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--		</div>							-->
									<!--	</div>-->
									<!--</div>-->
									
									
									
									<div class="row">
										<div class="col-md-12 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Active Employees</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="employees.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0">
															<thead>
																<tr>
																	<!--<th>Orders ID</th>-->
																	<th>Name</th>
																	<th>Mobile No</th>
																	<th>Attedance</th>
																	<th>Effort Hours</th>
																	<th>Order</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">Siva</a></h2>
																	</td>
																	<td>9004034435</td>
																	<td>100%</td>
																    <td>154</td>
																    <td>ORD004,ORD104</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Arun</a></h2>
																	</td>
																	<td>9578021977</td>
																	<td>95%</td>
																    <td>142</td>
																    <td>ORD005</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Rahul</a></h2>
																	</td>
																	<td>9786773931</td>
																	<td>90%</td>
																    <td>145</td>
																    <td>ORD104</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Arjun</a></h2>
																	</td>
																	<td>8647848344</td>
																	<td>82%</td>
																    <td>123</td>
																    <td>ORD113,ORD116</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Mohan</a></h2>
																	</td>
																	<td>7492399234</td>
																	<td>60%</td>
																    <td>102</td>
																    <td>ORD020</td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
										
									</div>
									
									
								</div>
								<div class="tab-pane" id="Tracker-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TOrders"></span></h3>
														<span>Total Orders</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TTasks"></span></h3>
														<span>Total Tasks</span>
													</div>									
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TOrderCompleted"></span></h3>
														<span>Total Completed</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TOrderPending"></span></h3>
														<span>Total Pending</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
									</div>
									
									<!--<div class="row">-->
									<!--	<div class="col-md-12">-->
									<!--		<div class="row">-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Completed VS Pending</h3>-->
									<!--						<canvas id="myChart3"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Employee/ Vendor VS Tasks</h3>-->
									<!--						<canvas id="myChart4"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--		</div>							-->
									<!--	</div>-->
									<!--</div>-->
									
									
									
									<div class="row">
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Nearing Deadline</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="tracking.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0">
															<thead>
																<tr>
																	<!--<th>Orders ID</th>-->
																	<th>Order ID</th>
																	<th>Task</th>
																	<th>Deadline</th>
																	<th>Assigned</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD003</a></h2>
																	</td>
																	<td>Photo Selection</td>
																	<td>22 Nov 2023 </td>
																	<td>Client</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD007</a></h2>
																	</td>
																	<td>Photo Editing</td>
																	<td>26 Nov 2023 </td>
																	<td>Bala</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD011</a></h2>
																	</td>
																	<td>Video Editing</td>
																	<td>29 Nov 2023 </td>
																	<td>Siva</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD016</a></h2>
																	</td>
																	<td>Album Designing</td>
																	<td>03 Dec 2023 </td>
																	<td>Arun</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD022</a></h2>
																	</td>
																	<td>Album Approval</td>
																	<td>10 Dec 2023 </td>
																	<td>Client</td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Longtime Pending</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="tracking.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>									
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">	
														<table class="table custom-table table-nowrap mb-0">
															<thead>
																<tr>
																	<!--<th>Invoice ID</th>-->
																	<th>Order ID</th>
																	<th>Task</th>
																	<th>Deadline</th>
																	<th>Assigned</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD001</a></h2>
																	</td>
																	<td>Photo Selection</td>
																	<td>14 Feb 2023 </td>
																	<td>Client</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD005</a></h2>
																	</td>
																	<td>Album Designing</td>
																	<td>20 Apr 2023 </td>
																	<td>Bala</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD05</a></h2>
																	</td>
																	<td>Video Editing</td>
																	<td>22 May 2023 </td>
																	<td>Siva</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD002</a></h2>
																	</td>
																	<td>Album Approval</td>
																	<td>01 May 2023 </td>
																	<td>Client</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">ORD003</a></h2>
																	</td>
																	<td>Photo Selection</td>
																	<td>14 Aug 2023 </td>
																	<td>Client</td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
									</div>
									
									
								</div>
								<div class="tab-pane" id="Marketing-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TLeadsCount"></span></h3>
														<span>Total Leads</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TcustomerCount"></span></h3>
														<span>Total Customers</span>
													</div>									
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TestimateCount"></span></h3>
														<span>Total Estimate</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TordersCount"></span></h3>
														<span>Total Orders</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
									</div>
									
									<!--<div class="row">-->
									<!--	<div class="col-md-12">-->
									<!--		<div class="row">-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Leads VS Customer</h3>-->
									<!--						<canvas id="myChart5"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Estimate VS Orders</h3>-->
									<!--						<canvas id="myChart6"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--		</div>							-->
									<!--	</div>-->
									<!--</div>-->
									
								
									
									
									
									<div class="row">
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Recent Leads</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="leads.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0">
															<thead>
																<tr>
																	<!--<th>Orders ID</th>-->
																	<th>Name</th>
																	<th>Mobileno</th>
																	<th>Event</th>
																	<th>Date</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">Siva</a></h2>
																	</td>
																	<td>9402002443</td>
																	<td>Wedding</td>
																	<td>17 Jan 2024</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Arun</a></h2>
																	</td>
																	<td>9786593001</td>
																	<td>Birthday</td>
																	<td>15 Dec 2023</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Rahul</a></h2>
																	</td>
																	<td>6488329933</td>
																	<td>Wedding</td>
																	<td>24 Feb 2024</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Siva</a></h2>
																	</td>
																	<td>8753834994</td>
																	<td>Engagement</td>
																	<td>17 Mar 2024</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Arun</a></h2>
																	</td>
																	<td>7849400323</td>
																	<td>Wedding</td>
																	<td>31 May 2024</td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Upcoming Orders</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="estimates.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>									
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">	
														<table class="table custom-table table-nowrap mb-0">
															<thead>
																<tr>
																	<!--<th>Invoice ID</th>-->
																	<th>Est ID</th>
																	<th>Value</th>
																	<th>Name</th>
																	<th>Mobileno</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">EST-145</a></h2>
																	</td>
																	<td>120000</td>
																	<td>Karthick</td>
																	<td>9400430341</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">EST-157</a></h2>
																	</td>
																	<td>120000</td>
																	<td>Aisha</td>
																	<td>8742899424</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">EST-162</a></h2>
																	</td>
																	<td>165000</td>
																	<td>Anitha</td>
																	<td>9400430341</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">EST-167</a></h2>
																	</td>
																	<td>200000</td>
																	<td>Saranya</td>
																	<td>6329824924</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">EST-170</a></h2>
																	</td>
																	<td>350000</td>
																	<td>Vinoth</td>
																	<td>7839393553</td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
									</div>
									
									
								</div>
								<div class="tab-pane" id="Business-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TEvents"></span></h3>
														<span>Total Events</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TServices"></span></h3>
														<span>Total Services</span>
													</div>									
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TTasks1"></span></h3>
														<span>Total Tasks</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>
													<div class="dash-widget-info">
														<h3><span id="TequipmentCount"></span></h3>
														<span>Total Equipments</span>
													</div>
												</div>
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
											</div>
										</div>
									</div>
									
									
									
									
									
									<div class="row">
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Equipment in Service</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="equipments.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0">
															<thead>
																<tr>
																	<!--<th>Orders ID</th>-->
																	<th>Equipment</th>
																	<th>Date</th>
																	<th>ToWhom</th>
																	<th>MobileNo</th>
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">SonyV12</a></h2>
																	</td>
																	<td>17 Sep 2023</td>
																	<td>NB Makers</td>
																	<td>9490234004</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Pixel 800</a></h2>
																	</td>
																	<td>08 Oct 2023</td>
																	<td>Southern Lights</td>
																	<td>7994203203</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Mark III</a></h2>
																	</td>
																	<td>12 Nov 2023</td>
																	<td>CUB Specs</td>
																	<td>8593933555</td>
																</tr>
																
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Vendor List </h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="vendors.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>									
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">	
														<table class="table custom-table table-nowrap mb-0">
															<thead>
																<tr>
																	<!--<th>Invoice ID</th>-->
																	<th>Name</th>
																	<th>Company</th>
																	<th>Type</th>
																	<th>MobileNo</th>
																	
																</tr>
															</thead>
															<tbody>
																<tr>
																	
																	<td>
																		<h2><a href="#">Siva</a></h2>
																	</td>
																	<td>AB Photography</td>
																	<td>Lights</td>
																	<td>9300353533</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Ajay</a></h2>
																	</td>
																<td>Mac Studios</td>
																	<td>Photography</td>
																	<td>6729494433</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Rahul</a></h2>
																	</td>
																	<td>Creative Studio</td>
																	<td>Videography</td>
																	<td>9764363466</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Siva</a></h2>
																	</td>
																<td>Micro Photography</td>
																	<td>Drone</td>
																	<td>7894939344</td>
																</tr>
																<tr>
																	
																	<td>
																		<h2><a href="#">Ajay</a></h2>
																	</td>
																<td>Hypo Lights</td>
																	<td>Lights</td>
																	<td>6498948944</td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
									</div>
									
									
								</div>
							</div>
						</div>
					</div>
				
					
				
				</div>
				<!-- /Page Content -->

            </div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Chart JS -->
		<script src="assets/plugins/morris/morris.min.js"></script>
		<script src="assets/plugins/raphael/raphael.min.js"></script>
		<script src="assets/js/chart.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script>
		
		$(document).ready(function () {			
			const uid = sessionStorage.getItem("user_id");
			fetch('https://efflo.xyz/App/api.php?gofor=dashboard&user_id='+uid)
			.then(function (response) {
				return response.json();
			})
			.then(function (data) {
				appendData(data);
			})
			.catch(function (err) {
				console.log('error: ' + err);
			});
			function appendData(data) {
				
                var totalPayments = document.getElementById("TRevenue");
				var span = document.createElement("span");                
				span.innerHTML = data.totalpayments;
				totalPayments.appendChild(span);
				
				var totalExpenses = document.getElementById("TExpenses");
				var span = document.createElement("span");                
				span.innerHTML = data.totalexpenses;
				totalExpenses.appendChild(span);
				
				var totalProfit = document.getElementById("TProfit");
				var span = document.createElement("span");                
				span.innerHTML = data.profit;
				totalProfit.appendChild(span);
				
				var totalDue = document.getElementById("TDue");
				var span = document.createElement("span");                
				span.innerHTML = data.totaldue;
				totalDue.appendChild(span);
				
				var totalDepartments = document.getElementById("TDepartments");
				var span = document.createElement("span");                
				span.innerHTML = data.totaldepartments;
				totalDepartments.appendChild(span);
				
				var totalEmployee = document.getElementById("TEmployee");
				var span = document.createElement("span");                
				span.innerHTML = data.totalemployee;
				totalEmployee.appendChild(span);
				
				var totalSalary = document.getElementById("TSalary");
				var span = document.createElement("span");                
				span.innerHTML = data.totalsalary;
				totalSalary.appendChild(span);
				
				var orderCount = document.getElementById("TOrders");
				var span = document.createElement("span");                
				span.innerHTML = data.ordercount;
				orderCount.appendChild(span);
				
				var totalTasks = document.getElementById("TTasks");
				var span = document.createElement("span");                
				span.innerHTML = data.totaltasks;
				totalTasks.appendChild(span);
				
				var totalCompleted = document.getElementById("TOrderCompleted");
				var span = document.createElement("span");                
				span.innerHTML = data.totalcompleted;
				totalCompleted.appendChild(span);
				
				var totalPending = document.getElementById("TOrderPending");
				var span = document.createElement("span");                
				span.innerHTML = data.totalpending;
				totalPending.appendChild(span);
				
				var leadsCount = document.getElementById("TLeadsCount");
				var span = document.createElement("span");                
				span.innerHTML = data.leadscount;
				leadsCount.appendChild(span);
				
				var customerCount = document.getElementById("TcustomerCount");
				var span = document.createElement("span");                
				span.innerHTML = data.customercount;
				customerCount.appendChild(span);
				
				var estimateCount = document.getElementById("TestimateCount");
				var span = document.createElement("span");                
				span.innerHTML = data.estimatecount;
				estimateCount.appendChild(span);
				
				var ordercount1 = document.getElementById("TordersCount");
				var span = document.createElement("span");                
				span.innerHTML = data.ordercount;
				ordercount1.appendChild(span);
				
				var totalEvents = document.getElementById("TEvents");
				var span = document.createElement("span");                
				span.innerHTML = data.totalevents;
				totalEvents.appendChild(span);
				
				var totalServices = document.getElementById("TServices");
				var span = document.createElement("span");                
				span.innerHTML = data.totalservices;
				totalServices.appendChild(span);
				
				var totalTasks1 = document.getElementById("TTasks1");
				var span = document.createElement("span");                
				span.innerHTML = data.totaltasks;
				totalTasks1.appendChild(span);
				
				var equipmentCount = document.getElementById("TequipmentCount");
				var span = document.createElement("span");                
				span.innerHTML = data.equipmentcount;
				equipmentCount.appendChild(span);
				
				var attendancePercentage = document.getElementById("PAttendance");
				var span = document.createElement("span");                
				span.innerHTML = data.attendancepercentage;
				attendancePercentage.appendChild(span);
				
				
			}
		});
		</script>
		<script>
			Morris.Bar({
			element: 'bar-charts1',
			data: [
				{ y: '2006', a: 100, b: 90 },
				{ y: '2007', a: 75,  b: 65 },
				{ y: '2008', a: 50,  b: 40 },
				{ y: '2009', a: 75,  b: 65 },
				{ y: '2010', a: 50,  b: 40 },
				{ y: '2011', a: 75,  b: 65 },
				{ y: '2012', a: 100, b: 90 }
			],
			xkey: 'y',
			ykeys: ['a', 'b'],
			labels: ['Total Income', 'Total Outcome'],
			lineColors: ['#24d2b5','#20aee3'],
			lineWidth: '3px',
			barColors: ['#24d2b5','#20aee3'],
			resize: true,
			redraw: true
		});
		Morris.Line({
			element: 'line-charts1',
			data: [
				{ y: '2006', a: 50, b: 90 },
				{ y: '2007', a: 75,  b: 65 },
				{ y: '2008', a: 50,  b: 40 },
				{ y: '2009', a: 75,  b: 65 },
				{ y: '2010', a: 50,  b: 40 },
				{ y: '2011', a: 75,  b: 65 },
				{ y: '2012', a: 100, b: 50 }
			],
			xkey: 'y',
			ykeys: ['a', 'b'],
			labels: ['Total Sales', 'Total Revenue'],
			lineColors: ['#24d2b5','#20aee3'],
			lineWidth: '3px',
			resize: true,
			redraw: true
		});
		</script>
		
		
		<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

		<script>
		  const ctx1 = document.getElementById('myChart1');

		  new Chart(ctx1, {
			type: 'bar',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Actual',
				data: [2000, 1000, 500, 3000, 1000, 1500],
				borderWidth: 1
			  },
			  {
				label: '# of Spent',
				data: [1000, 500, 1000, 1500, 500, 400],
				borderWidth: 1
			 }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<script>
		  const ctx2 = document.getElementById('myChart2');

		  new Chart(ctx2, {
			type: 'pie',
			data: {
			  labels: ['Present', 'Absent'],
			  datasets: [{
				label: '# of Votes',
				data: [12, 19],
				backgroundColor: ['#04b381', '#009efb']				
			  }]
			}
			
		  });
		</script>
		<script>
		  const ctx3 = document.getElementById('myChart3');

		  new Chart(ctx3, {
			type: 'line',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Completed',
				data: [2000, 1000, 500, 3000, 1000, 1500],
				borderWidth: 1
			  },
			  {
				label: '# of Pending',
				data: [1000, 500, 1000, 1500, 500, 400],
				borderWidth: 1
			 }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<script>
		  const ctx4 = document.getElementById('myChart4');

		  new Chart(ctx4, {
			type: 'bar',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Employee/Vendor',
				data: [2000, 1000, 500, 3000, 1000, 1500],
				borderWidth: 1
			  },
			  {
				label: '# of Tasks',
				data: [1000, 500, 1000, 1500, 500, 400],
				borderWidth: 1
			 }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<script>
		  const ctx5 = document.getElementById('myChart5');

		  new Chart(ctx5, {
			type: 'bar',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Customers',
				data: [12, 19, 3, 5, 2, 3],
				borderWidth: 1
			  }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<script>
		  const ctx6 = document.getElementById('myChart6');

		  new Chart(ctx6, {
			type: 'line',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Estimates',
				data: [2000, 1000, 500, 3000, 1000, 1500],
				borderWidth: 1
			  },
			  {
				label: '# of Orders',
				data: [1000, 500, 1000, 1500, 500, 400],
				borderWidth: 1
			 }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<?php include "common-script.php";?>
    </body>
</html>