<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Chart CSS -->
		<link rel="stylesheet" href="assets/plugins/morris/morris.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
		<style>
		
		.card-table{
			box-shadow: rgba(100, 100, 111, 0.1) 0px 7px 18px 0px !important;
		}
		.card {
			/*border: 0px solid #ededed !important;
			box-shadow: none!important;*/
			border: 1px solid #ededed;
			border-radius: 5px;
			box-shadow: rgba(0, 0, 0, 0.1) 1px 4px 20px;
		}
		.btn-sm{
			padding: 0.15rem 0.9rem;
			font-size: .775rem;
		}
		.btn-secondary:hover,
		.btn-secondary:focus {
			background-color: #009efb;
			border: 1px solid #009efb;
			color: #fff;
		}
		.table.custom-table > tbody > tr > td, .table.custom-table > tbody > tr > th, .table.custom-table > tfoot > tr > td, .table.custom-table > tfoot > tr > th, .table.custom-table > thead > tr > td, .table.custom-table > thead > tr > th{
			padding: 10px 10px !important;
			font-size: 14px;
		}
		.dash-widget-icon{
			float: left !important;
		}
		.card-body .img-icons{float:left;margin-right: 10px;}
		.card-body .img-icons img{width:70px;}
		</style>
		<style>
		.dash-widget:hover {
		  transform: translateY(-5px);
		  transition: 0.5s;
		}
		.dash-widget:hover .img-icons img {
		  animation: tada 1.5s ease infinite;
		}
		</style>
    </head>
	
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row">
							<div class="col-sm-12">
								<h3 class="page-title">Welcome Admin!</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item active">Dashboard</li>
								</ul>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					<div class="row">
						<div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
							<ul class="nav nav-tabs nav-tabs-bottom">
								<li class="nav-item"><a class="nav-link active" href="#Accounts-tab" data-toggle="tab">Accounts</a></li>
								<li class="nav-item"><a class="nav-link" href="#HRM-tab" data-toggle="tab">HRM</a></li>
								<li class="nav-item"><a class="nav-link" href="#Tracker-tab" data-toggle="tab">Tracker</a></li>
								<li class="nav-item"><a class="nav-link" href="#Marketing-tab" data-toggle="tab">Marketing</a></li>
								<li class="nav-item"><a class="nav-link" href="#Business-tab" data-toggle="tab">Business</a></li>
							</ul>
						</div>
					</div>
					
					<div class="row">
						<div class="col-md-12 col-sm-12 col-lg-12 col-xl-12">
							<div class="tab-content">
								<div class="tab-pane show active" id="Accounts-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Accounts/1.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TRevenue">0</span></h3>
														<span>Total Revenue</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Accounts/2.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TExpenses">0</span></h3>
														<span>Total Expense</span>
													</div>									
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Accounts/3.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TProfit">0</span></h3>
														<span>Total Profit</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Accounts/4.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TDue">0</span></h3>
														<span>Total Due</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
									</div>
									
									<!--<div class="row">-->
									<!--	<div class="col-md-12">-->
									<!--		<div class="row">-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Earnings VS Profit</h3>-->
									<!--						<div id="bar-charts"></div>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Income VS Expenses</h3>-->
									<!--						<div id="line-charts"></div>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--		</div>							-->
									<!--	</div>-->
									<!--</div>-->
									
									
									
									<div class="row">
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Due Payments</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="payments.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0 paymentsduelist">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Order</th>
																	<th>Total</th>
																	<th>Paid</th>
																	<th>Due</th>
																</tr>
															</thead>
															<tbody>
															
																
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">High Expenses</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="expenses.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>									
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">	
														<table class="table custom-table table-nowrap mb-0 highexpenselist">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Name</th>
																	<th>Date</th>
																	<th>Amount</th>
																	<th>PayType</th>
																	
																</tr>
															</thead>
															<tbody>
																
																
															</tbody>
														</table>
														
													</div>
												</div>
												
											</div>
										</div>
									</div>
									
									
								</div>
								<div class="tab-pane" id="HRM-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/HRM/1.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TDepartments">0</span></h3>
														<span>Departments</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/HRM/2.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TEmployee">0</span></h3>
														<span>Total Employees</span>
													</div>									
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/HRM/3.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TSalary">0</span></h3>
														<span>Monthly Salary</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/HRM/4.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="PAttendance">0</span><span>%</span></h3>
														<span>Today Attend</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
									</div>
									
									<!--<div class="row">-->
									<!--	<div class="col-md-12">-->
									<!--		<div class="row">-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Actual VS Spent </h3>-->
									<!--						<canvas id="myChart1"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Attendance</h3>-->
									<!--						<div class="chart-container" style="position: relative; height:37vh; width:80vw;left:25%">-->
									<!--						<canvas id="myChart2"></canvas>-->
									<!--						</div>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--		</div>							-->
									<!--	</div>-->
									<!--</div>-->
									
									
									
									<div class="row">
										<div class="col-md-12 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Active Employees</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="employees.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0 recentemplist">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Name</th>
																	<th>Mobile No</th>
																	<th>Email</th>
																	<th>Role</th>
																	<th>Designation</th>
																	<th>Joining Date</th>
																</tr>
															</thead>
															<tbody>
																
															</tbody>
														</table>
														
													</div>
												</div>
												
											</div>
										</div>
										
									</div>
									
									
								</div>
								<div class="tab-pane" id="Tracker-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Tracker/1.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TOrders">0</span></h3>
														<span>Total Orders</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Tracker/2.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TTasks">0</span></h3>
														<span>Total Tasks</span>
													</div>									
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Tracker/3.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TOrderCompleted">0</span></h3>
														<span>Total Completed</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Tracker/4.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TOrderPending">0</span></h3>
														<span>Total Pending</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
									</div>
									
									<!--<div class="row">-->
									<!--	<div class="col-md-12">-->
									<!--		<div class="row">-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Completed VS Pending</h3>-->
									<!--						<canvas id="myChart3"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Employee/ Vendor VS Tasks</h3>-->
									<!--						<canvas id="myChart4"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--		</div>							-->
									<!--	</div>-->
									<!--</div>-->
									
									
									
									<div class="row">
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Nearing Deadline</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="tracking.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0 nearingdeadlinetasks">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Order ID</th>
																	<th>Task</th>
																	<th>Deadline</th>
																	<th>Assigned</th>
																</tr>
															</thead>
															<tbody>
																
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Longtime Pending</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="tracking.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>									
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">	
														<table class="table custom-table table-nowrap mb-0 longtimependingtasks">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Order ID</th>
																	<th>Task</th>
																	<th>Deadline</th>
																	<th>Assigned</th>
																</tr>
															</thead>
															<tbody>
																
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
									</div>
									
									
								</div>
								<div class="tab-pane" id="Marketing-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Marketing/1.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TLeadsCount">0</span></h3>
														<span>Total Leads</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Marketing/2.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TcustomerCount">0</span></h3>
														<span>Total Customers</span>
													</div>									
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Marketing/3.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TestimateCount">0</span></h3>
														<span>Total Estimate</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Marketing/4.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TordersCount">0</span></h3>
														<span>Total Orders</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
									</div>
									
									<!--<div class="row">-->
									<!--	<div class="col-md-12">-->
									<!--		<div class="row">-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Leads VS Customer</h3>-->
									<!--						<canvas id="myChart5"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--			<div class="col-md-6 text-center">-->
									<!--				<div class="card">-->
									<!--					<div class="card-body">-->
									<!--						<h3 class="card-title">Estimate VS Orders</h3>-->
									<!--						<canvas id="myChart6"></canvas>-->
									<!--					</div>-->
									<!--				</div>-->
									<!--			</div>-->
									<!--		</div>							-->
									<!--	</div>-->
									<!--</div>-->
									
								
									
									
									
									<div class="row">
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Recent Leads</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="leads.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0 recentleadslist">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Name</th>
																	<th>Mobileno</th>
																	<th>Event</th>
																	<th>Date</th>
																</tr>
															</thead>
															<tbody>
																
															</tbody>
														</table>
														
													</div>
												</div>
												
											</div>
										</div>
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Upcoming Orders</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="estimates.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>									
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">	
														<table class="table custom-table table-nowrap mb-0 upcomingorders">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Est ID</th>
																	<th>Value</th>
																	<th>Name</th>
																	<th>Mobileno</th>
																</tr>
															</thead>
															<tbody>
																
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
									</div>
									
									
								</div>
								<div class="tab-pane" id="Business-tab">
									<div class="row">
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-success icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Business/1.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TEvents">0</span></h3>
														<span>Total Events</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-success" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
											
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-info icon-Credit-Card2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Business/2.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TServices">0</span></h3>
														<span>Total Services</span>
													</div>									
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-info" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-warning icon-Coin"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Business/3.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TTasks1">0</span></h3>
														<span>Total Tasks</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-warning" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
										<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3">
											<div class="card dash-widget">
												<div class="card-body">
													<!--<span class="dash-widget-icon"><i class="text-danger icon-Coins-2"></i></span>-->
													<div class="img-icons">
														<img src="assets/img/dashboard-icons/Business/4.png">
													</div>
													<div class="dash-widget-info">
														<h3><span id="TequipmentCount">0</span></h3>
														<span>Total Equipments</span>
													</div>
												</div>
												<!--
												<div class="progress" style="height: 5px;margin-bottom:-2px">
													<div class="progress-bar bg-danger" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
												</div>
												-->
											</div>
										</div>
									</div>
									
									
									
									
									
									<div class="row">
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Equipment in Service</h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="equipments.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">
														<table class="table table-nowrap custom-table mb-0 serviceequipmentlist">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Equipment</th>
																	<th>Date</th>
																	<th>ToWhom</th>
																	<th>Amount</th>
																</tr>
															</thead>
															<tbody>
																
																
															</tbody>
														</table>
													</div>
												</div>
												
											</div>
										</div>
										<div class="col-md-6 d-flex">
											<div class="card card-table flex-fill">
												<div class="card-header">
													<div class="row">
														<div class="col-md-6">
															<h3 class="card-title mb-0">Vendor List </h3>
														</div>
														<div class="col-md-6 text-right">
															<a href="vendors.php" class="btn btn-success btn-sm">View All</a>
														</div>
													</div>									
												</div>
												<div class="card-body">
													<div class="table-responsive dashboard-table-height">	
														<table class="table custom-table table-nowrap mb-0 recentvendorlist">
															<thead>
																<tr>
																	<th>#</th>
																	<th>Name</th>
																	<th>Company</th>
																	<th>Type</th>
																	<th>MobileNo</th>
																	
																</tr>
															</thead>
															<tbody>
																
															</tbody>
														</table>
														
													</div>
												</div>
												
											</div>
										</div>
									</div>
									
									
								</div>
							</div>
						</div>
					</div>
				
					
				
				</div>
				<!-- /Page Content -->

            </div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Chart JS -->
		<script src="assets/plugins/morris/morris.min.js"></script>
		<script src="assets/plugins/raphael/raphael.min.js"></script>
		<script src="assets/js/chart.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script>
		
		$(document).ready(function () {	

			var strDate = new Date(); // By default Date empty constructor give you Date.now
			var shortYear = strDate.getFullYear(); 
			// Add this line
			var twoDigitYear = shortYear.toString().substr(-2);
		
			const uid = sessionStorage.getItem("user_id");
			fetch('https://efflo.xyz/App/api.php?gofor=dashboard&user_id='+uid)
			.then(function (response) {
				return response.json();
			})
			.then(function (data) {
				appendData(data);
			})
			.catch(function (err) {
				console.log('error: ' + err);
			});
			function appendData(data) {
                var totalPayments = document.getElementById("TRevenue");
				totalPayments.innerHTML = data.totalpayments;
				
				var totalExpenses = document.getElementById("TExpenses");
				totalExpenses.innerHTML = data.totalexpenses;
				
				var totalProfit = document.getElementById("TProfit");
				totalProfit.innerHTML = data.profit;
				
				var totalDue = document.getElementById("TDue");
				totalDue.innerHTML = data.totaldue;
				
				var totalDepartments = document.getElementById("TDepartments");
				totalDepartments.innerHTML = data.totaldepartments;
				
				var totalEmployee = document.getElementById("TEmployee");
				totalEmployee.innerHTML = data.totalemployee;
				
				var totalSalary = document.getElementById("TSalary");
				totalSalary.innerHTML = data.totalsalary;
				
				var orderCount = document.getElementById("TOrders");
				orderCount.innerHTML = data.ordercount;
				
				var totalTasks = document.getElementById("TTasks");
				totalTasks.innerHTML = data.totaltasks;
				
				var totalCompleted = document.getElementById("TOrderCompleted");
				totalCompleted.innerHTML = data.totalcompleted;
				
				var totalPending = document.getElementById("TOrderPending");
				totalPending.innerHTML = data.totalpending;
				
				var leadsCount = document.getElementById("TLeadsCount");
				leadsCount.innerHTML = data.leadscount;
				
				var customerCount = document.getElementById("TcustomerCount");
				customerCount.innerHTML = data.customercount;
				
				var estimateCount = document.getElementById("TestimateCount");
				estimateCount.innerHTML = data.estimatecount;
				
				var ordercount1 = document.getElementById("TordersCount");
				ordercount1.innerHTML = data.ordercount;
				
				var totalEvents = document.getElementById("TEvents");
				totalEvents.innerHTML = data.totalevents;
				
				var totalServices = document.getElementById("TServices");
				totalServices.innerHTML = data.totalservices;
				
				var totalTasks1 = document.getElementById("TTasks1");
				totalTasks1.innerHTML = data.totaltasks;
				
				var equipmentCount = document.getElementById("TequipmentCount");
				equipmentCount.innerHTML = data.equipmentcount;
				
				var attendancePercentage = document.getElementById("PAttendance");
				attendancePercentage.innerHTML = data.attendancepercentage;
				
				getPaymentsDueList();
				getHighexpenseList();
				getNearingdeadlineTasks();
				getLongtimependingTasks();
				getRecentempList();
				getRecentleadsList();
				getUpcomingordersList();
				getRecentvendorList();
				getServiceequipmentList();
				
				function getPaymentsDueList() {
					var table = $(".paymentsduelist tbody");
					const paymentsduelist = JSON.stringify(data.paymentsduelist);				
					var parsedpaymentsduelist = JSON.parse(paymentsduelist);
					let num = 0;
					if(parsedpaymentsduelist == ""){						
						table.append(
							"<tr><td colspan='5' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
						parsedpaymentsduelist.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>ORD"+twoDigitYear+"-00" +
								  x.order_id +
								  "</td>" +
								  "<td>" +
								  x.total_amount +
								  "</td>" + 
								  "<td>" +
								  x.total_amount_paid +
								  "</td>" + 
								  "<td>" +
								  x.total_payment_due +
								  "</td>" 
								  
							 );
						});
					}
					
				}
				
				function getHighexpenseList() {
					var table = $(".highexpenselist tbody");
					const highexpenselist = JSON.stringify(data.highexpenselist);				
					var parsedhighexpenselist = JSON.parse(highexpenselist);
					let num = 0;
					if(parsedhighexpenselist == ""){						
						table.append(
							"<tr><td colspan='5' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
						parsedhighexpenselist.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>" +
								  x.expense_name +
								  "</td>" +
								  "<td>" +
								  x.date +
								  "</td>" + 
								  "<td>" +
								  x.expense_amount +
								  "</td>" + 
								  "<td>" +
								  x.payment_method +
								  "</td>" 
								  
							 );
						});
					}
					
				}
				
				function getNearingdeadlineTasks() {
					var table = $(".nearingdeadlinetasks tbody");
					const nearingdeadlinetasks = JSON.stringify(data.nearingdeadlinetasks);				
					var parsednearingdeadlinetasks = JSON.parse(nearingdeadlinetasks);
					let num = 0;
					if(parsednearingdeadlinetasks == ""){						
						table.append(
							"<tr><td colspan='5' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
						parsednearingdeadlinetasks.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>ORD"+twoDigitYear+"-00" +
								  x.order_id +
								  "</td>" +
								  "<td>" +
								  x.task_name +
								  "</td>" + 
								  "<td>" +
								  x.due_date +
								  "</td>" + 
								  "<td>" +
								  x.assigned +
								  "</td>" 
								  
							 );
						});
					}
					
				}
				
				function getLongtimependingTasks() {
					var table = $(".longtimependingtasks tbody");
					const longtimependingtasks = JSON.stringify(data.longtimependingtasks);				
					var parsedlongtimependingtasks = JSON.parse(longtimependingtasks);
					let num = 0;
					if(parsedlongtimependingtasks == ""){						
						table.append(
							"<tr><td colspan='5' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
						parsedlongtimependingtasks.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>ORD"+twoDigitYear+"-00" +
								  x.order_id +
								  "</td>" +
								  "<td>" +
								  x.task_name +
								  "</td>" + 
								  "<td>" +
								  x.due_date +
								  "</td>" + 
								  "<td>" +
								  x.assigned +
								  "</td>" 
								  
							 );
						});
					}
					
				}
				
				function getRecentempList() {
					var table = $(".recentemplist tbody");
					const recentemplist = JSON.stringify(data.recentemplist);
					//alert(json);
					//console.log(recentemplist); // 👉️ {"name":"Bobby"}				
					var parsedrecentemplist = JSON.parse(recentemplist);
					//parsedrecentemplist.forEach(element => console.log(element.name));
					let num = 0;
					if(parsedrecentemplist == ""){						
						table.append(
							"<tr><td colspan='7' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
							parsedrecentemplist.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>" +
								  x.name +
								  "</td>" +
								  "<td>" +
								  x.mobileno +
								  "</td>" + 
								  "<td>" +
								  x.email +
								  "</td>" + 
								  "<td>" +
								  x.role +
								  "</td>" + 
								  "<td>" +
								  x.designation +
								  "</td>" + 
								  "<td>" +
								  x.joining_date +
								  "</td>" 
								  
							 );
						});
					}
					
				}
				
				function getRecentvendorList() {
					var table = $(".recentvendorlist tbody");
					const recentvendorlist = JSON.stringify(data.recentvendorlist);				
					var parsedrecentvendorlist = JSON.parse(recentvendorlist);
					let num = 0;
					if(parsedrecentvendorlist == ""){						
						table.append(
							"<tr><td colspan='5' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
							parsedrecentvendorlist.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>" +
								  x.name +
								  "</td>" +
								  "<td>" +
								  x.company +
								  "</td>" + 
								  "<td>" +
								  x.vendor_type +
								  "</td>" + 
								  "<td>" +
								  x.mobileno +
								  "</td>" 
								  
							 );
						});
					}
					
				}
				
				function getRecentleadsList() {
					var table = $(".recentleadslist tbody");
					const recentleadslist = JSON.stringify(data.recentleadslist);				
					var parsedrecentleadslist = JSON.parse(recentleadslist);
					let num = 0;
					if(parsedrecentleadslist == ""){						
						table.append(
							"<tr><td colspan='5' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
							parsedrecentleadslist.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>" +
								  x.name +
								  "</td>" +
								  "<td>" +
								  x.mobileno +
								  "</td>" + 
								  "<td>" +
								  x.subcategory +
								  "</td>" + 
								  "<td>" +
								  x.event_date +
								  "</td>" 
								  
							 );
						});
					}					
				}
				
				function getUpcomingordersList() {
					var table = $(".upcomingorders tbody");
					const upcomingorders = JSON.stringify(data.upcomingorders);				
					var parsedupcomingorders = JSON.parse(upcomingorders);
					let num = 0;
					if(parsedupcomingorders == ""){						
						table.append(
							"<tr><td colspan='5' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
							parsedupcomingorders.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>" +
								  x.estimate_id +
								  "</td>" +
								  "<td>" +
								  x.final_amount +
								  "</td>" + 
								  "<td>" +
								  x.customer_name +
								  "</td>" + 
								  "<td>" +
								  x.mobileno +
								  "</td>" 
								  
							 );
						});
					}					
				}
				
				function getServiceequipmentList() {
					var table = $(".serviceequipmentlist tbody");
					const serviceequipmentlist = JSON.stringify(data.serviceequipmentlist);				
					var parsedserviceequipmentlist = JSON.parse(serviceequipmentlist);
					let num = 0;
					if(parsedserviceequipmentlist == ""){						
						table.append(
							"<tr><td colspan='5' align='center'><div class='no-data-div'><h1><i class='fa fa-smile-o no-data-icon'></i></h1><p>No Data Found</p></td></div></tr>"
						);
					} else {
							parsedserviceequipmentlist.forEach(x=>{					 
							 //alert(x.name);
							 num++;
							 table.append(
								"<tr><td>" +
								  num +
								  "</td>" +
								  "<td>" +
								  x.name +
								  "</td>" +
								  "<td>" +
								  x.purchase_date +
								  "</td>" + 
								  "<td>" +
								  x.used_by +
								  "</td>" + 
								  "<td>" +
								  x.amount +
								  "</td>" 
								  
							 );
						});
					}					
				}
				
				
				
				

				
				
			}
		});
		</script>
		<script>
			Morris.Bar({
			element: 'bar-charts1',
			data: [
				{ y: '2006', a: 100, b: 90 },
				{ y: '2007', a: 75,  b: 65 },
				{ y: '2008', a: 50,  b: 40 },
				{ y: '2009', a: 75,  b: 65 },
				{ y: '2010', a: 50,  b: 40 },
				{ y: '2011', a: 75,  b: 65 },
				{ y: '2012', a: 100, b: 90 }
			],
			xkey: 'y',
			ykeys: ['a', 'b'],
			labels: ['Total Income', 'Total Outcome'],
			lineColors: ['#24d2b5','#20aee3'],
			lineWidth: '3px',
			barColors: ['#24d2b5','#20aee3'],
			resize: true,
			redraw: true
		});
		Morris.Line({
			element: 'line-charts1',
			data: [
				{ y: '2006', a: 50, b: 90 },
				{ y: '2007', a: 75,  b: 65 },
				{ y: '2008', a: 50,  b: 40 },
				{ y: '2009', a: 75,  b: 65 },
				{ y: '2010', a: 50,  b: 40 },
				{ y: '2011', a: 75,  b: 65 },
				{ y: '2012', a: 100, b: 50 }
			],
			xkey: 'y',
			ykeys: ['a', 'b'],
			labels: ['Total Sales', 'Total Revenue'],
			lineColors: ['#24d2b5','#20aee3'],
			lineWidth: '3px',
			resize: true,
			redraw: true
		});
		</script>
		
		
		<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

		<script>
		  const ctx1 = document.getElementById('myChart1');

		  new Chart(ctx1, {
			type: 'bar',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Actual',
				data: [2000, 1000, 500, 3000, 1000, 1500],
				borderWidth: 1
			  },
			  {
				label: '# of Spent',
				data: [1000, 500, 1000, 1500, 500, 400],
				borderWidth: 1
			 }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<script>
		  const ctx2 = document.getElementById('myChart2');

		  new Chart(ctx2, {
			type: 'pie',
			data: {
			  labels: ['Present', 'Absent'],
			  datasets: [{
				label: '# of Votes',
				data: [12, 19],
				backgroundColor: ['#04b381', '#009efb']				
			  }]
			}
			
		  });
		</script>
		<script>
		  const ctx3 = document.getElementById('myChart3');

		  new Chart(ctx3, {
			type: 'line',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Completed',
				data: [2000, 1000, 500, 3000, 1000, 1500],
				borderWidth: 1
			  },
			  {
				label: '# of Pending',
				data: [1000, 500, 1000, 1500, 500, 400],
				borderWidth: 1
			 }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<script>
		  const ctx4 = document.getElementById('myChart4');

		  new Chart(ctx4, {
			type: 'bar',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Employee/Vendor',
				data: [2000, 1000, 500, 3000, 1000, 1500],
				borderWidth: 1
			  },
			  {
				label: '# of Tasks',
				data: [1000, 500, 1000, 1500, 500, 400],
				borderWidth: 1
			 }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<script>
		  const ctx5 = document.getElementById('myChart5');

		  new Chart(ctx5, {
			type: 'bar',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Customers',
				data: [12, 19, 3, 5, 2, 3],
				borderWidth: 1
			  }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<script>
		  const ctx6 = document.getElementById('myChart6');

		  new Chart(ctx6, {
			type: 'line',
			data: {
			  labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
			  datasets: [{
				label: '# of Estimates',
				data: [2000, 1000, 500, 3000, 1000, 1500],
				borderWidth: 1
			  },
			  {
				label: '# of Orders',
				data: [1000, 500, 1000, 1500, 500, 400],
				borderWidth: 1
			 }]
			},
			options: {
			  scales: {
				  x: {
					grid: {
					  display: false
					}
				  },
				  y: {
					grid: {
					  display: false
					}
				  }
				}
			}
		  });
		</script>
		<?php include "common-script.php";?>
    </body>
</html>