<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Equipments-Services</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Equipments -Services</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="add-eqserv.php"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header

          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
-->
          <!-- Search Filter 
          <div class="row filter-row">
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <input type="text" class="form-control floating" />
                <label class="focus-label">Services Name</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option value="">-- Select --</option>
                  <option value="0">Pending</option>
                  <option value="1">Approved</option>
                  <option value="2">Returned</option>
                </select>
                <label class="focus-label">Status</label>
              </div>
            </div>
            <div class="col-sm-12 col-md-4">
              <div class="row">
                <div class="col-md-6 col-sm-6">
                  <div class="form-group form-focus">
                    <div class="cal-icon">
                      <input
                        class="form-control floating datetimepicker"
                        type="text"
                      />
                    </div>
                    <label class="focus-label">From</label>
                  </div>
                </div>
                <div class="col-md-6 col-sm-6">
                  <div class="form-group form-focus">
                    <div class="cal-icon">
                      <input
                        class="form-control floating datetimepicker"
                        type="text"
                      />
                    </div>
                    <label class="focus-label">To</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-sm-6 col-md-2">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- /Search Filter -->

          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-striped custom-table mb-0 datatable">
                  <thead>
                    <tr>
                      <th>Services</th>
                      <th>Equipments</th>
                      <th class="text-center">Status</th>
                      <th class="text-right"></th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add Asset Modal -->
        
        <!-- /Add Asset Modal -->

        <!-- Edit Asset Modal -->
        
        <!-- Edit Asset Modal -->

        <!-- Delete Asset Modal -->
        <div class="modal custom-modal fade" id="delete_asset" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete Asset</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete Asset Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      $(document).ready(function () {
        var table = $(".custom-table tbody");
        //const lId = e.target.parentElement.getAttribute("data-service-id");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=userequiplist&user_id=" +
            sessionStorage.getItem("user_id"),
          success: function (data) {
            table.empty();
            $.each(data, function (a, b) {
              b.status == 1
                ? table.append(
                    "<tr><td><strong>" +
                      b.service_name +
                      "</strong></td><td>" +
                      b.equip_names +
                      "</td>" +
                      "<td class='text-center'><span class='badge bg-inverse-success'>Active</span></td>" +
                      "<td class='text-right'><a class='text-danger delete_user' href='#' data-id='" + b.se_id + "' data-toggle='modal' data-target='#delete_user'><i class='sl-icon-trash fa-lg m-r-5'></i></a>"+
                        "<a class='text-success edit_user' href='#' data-id='" + b.se_id + "' data-toggle='modal' data-target='#edit_user'><i class='sl-icon-note fa-lg m-r-5'></i></a></td></tr>"
                  )
                : table.append(
                    "<tr><td><strong>" +
                      b.service_name +
                      "</strong></td><td>" +
                      b.equip_names +
                      "</td>" +
                      "<td class='text-center'><span class='badge bg-inverse-warning'>Inactive</span></td>" +
                      "<td class='text-right'><a class='text-danger delete_user' href='#' data-id='" + b.se_id + "' data-toggle='modal' data-target='#delete_user'><i class='sl-icon-trash fa-lg m-r-5'></i></a>" + 
                        "<a class='text-success edit_user' href='#' data-id='" + b.se_id + "' data-toggle='modal' data-target='#edit_user'><i class='sl-icon-note fa-lg m-r-5'></i></a></td></tr>"
                  );
            });

            $(document).on("click", ".edit_user", (el) => {
              var id = el.target.parentElement.getAttribute('data-id')
              window.location.href='./add-eqserv.php?id='+id
            })
			
			$(document).on("click", ".delete_user", (el) => {
              var id = el.target.parentElement.getAttribute('data-id');
              //alert(id);
			  Swal.fire({
				  title: 'Are you sure! want to delete?',
				  text: "",
				  icon: 'warning',
				  showCancelButton: true,
				  confirmButtonColor: '#3085d6',
				  cancelButtonColor: '#d33',
				  confirmButtonText: 'Yes'
				}).then((result) => {
				  if (result.isConfirmed) {
					$.ajax({
					type: "GET",
					url:
					  "https://efflo.xyz/App/api.php?gofor=deleteuserequserv&se_id="+id,
					success: function (data) {
					  window.location.reload();
					  setTimeout(() => {
						showNotification("Deleted Successfully");
					  }, 2000);
					},
				  });
					
				  } //else {
					//Swal.fire('Changes are not saved', '', 'info')
				  //}
				})
					
            })
          },
        });

      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
