<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Equipments</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Equipments</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header 

          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
-->
          <!-- Search Filter 
          <div class="row filter-row">
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <input type="text" class="form-control floating" />
                <label class="focus-label">Employee Name</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option value="">-- Select --</option>
                  <option value="0">Pending</option>
                  <option value="1">Approved</option>
                  <option value="2">Returned</option>
                </select>
                <label class="focus-label">Status</label>
              </div>
            </div>
            <div class="col-sm-12 col-md-4">
              <div class="row">
                <div class="col-md-6 col-sm-6">
                  <div class="form-group form-focus">
                    <div class="cal-icon">
                      <input
                        class="form-control floating datetimepicker"
                        type="text"
                      />
                    </div>
                    <label class="focus-label">From</label>
                  </div>
                </div>
                <div class="col-md-6 col-sm-6">
                  <div class="form-group form-focus">
                    <div class="cal-icon">
                      <input
                        class="form-control floating datetimepicker"
                        type="text"
                      />
                    </div>
                    <label class="focus-label">To</label>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-sm-6 col-md-2">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- /Search Filter -->

          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-striped custom-table mb-0">
                  <thead>
                    <tr>
                      <th>#</th>
                      <th>Name</th>
                      <th>Brand</th>
                      <th>Type</th>
                      <th>Purchase Date</th>
                      <th>Duration</th>
                      <th>Amount</th>
                      <th>Purchased From</th>
                      <th class="text-right">Actions</th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add Asset Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Add Equipments</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form id="addForm">
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Name</label>
                        <input
                          class="form-control"
                          type="text"
                          name="name"
                          id="name"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Brand</label>
                        <select class="form-control" name="brand" id="brand">
                          <option value="">Choose</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Type</label>
                        <select class="form-control" name="type" id="type">
                          <option value="">Choose</option>
                          
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Condition</label>
                        <input
                          class="form-control"
                          type="text"
                          name="econdition"
                          id="econdition"
                        />
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Purchase Date</label>
                        <input
                          class="form-control datetimepicker"
                          type="text"
                          name="purchase_date"
                          id="purchase_date"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Service Duration (in Months) </label>
                        <select
                          class="select"
                          name="service_duration"
                          id="service_duration"
                        >
                          <option value="">Choose</option>
						  <option value="1">1</option>
                          <option value="3">3</option>
                          <option value="6">6</option>
                          <option value="9">9</option>
                          <option value="12">12</option>
						  <option value="12+">More than 12</option>
                        </select>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Specification</label>
                        <input
                          class="form-control"
                          type="text"
                          name="specification"
                          id="specification"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Amount </label>
                        <input
                          class="form-control"
                          type="text"
                          name="amount"
                          id="amount"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Purchased From</label>
                        <select
                          class="form-control"
                          name="purchased_from"
                          id="purchased_from"
                        >
                          <option>Choose</option>                          
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Used By</label>
                        <select
                          class="form-control"
                          name="used_by"
                          id="used_by"
                        >
                          <option value="">Choose</option>
                        </select>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Bill upload</label>
                        <input
                          class="form-control"
                          type="file"
                          id="bill"
                          value="default.pdf"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Status</label>
                        <select class="form-control" name="status" id="status">
                          <option value="">Choose</option>
                          
                          <option value="1">Approved</option>
                          <option value="3">Deployed</option>
                          <option value="4">Damaged</option>
                        </select>
                      </div>
                    </div>
                  </div>

                  <div class="submit-section">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add Asset Modal -->

        <!-- Edit Asset Modal -->

        <!-- Edit Asset Modal -->

        <!-- Delete Asset Modal -->

        <!-- /Delete Asset Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- Toast -->
    <div
      class="toast"
      role="alert"
      aria-live="assertive"
      aria-atomic="true"
      data-delay="2000"
      style="position: absolute; top: 5rem; right: 1rem"
    >
      <div>
        <strong class="mr-auto toast-header"></strong>
        <button
          type="button"
          class="ml-2 mb-1 close"
          data-dismiss="toast"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="toast-body"></div>
    </div>
    <!-- /Toast -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>
    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>
    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>
    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- pdfjs -->
    <script src="assets/js/es6-promise.auto.min.js"></script>
    <script src="assets/js/jspdf.umd.min.js"></script>
    <script src="assets/js/html2canvas.js"></script>
    <script src="assets/js/html2pdf.bundle.min.js"></script>
    <!--<script src="assets/js/jspdf.umd.min.js"></script>-->

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      var equipmentData = "";
      var actionType = "addequipments";
      var equipmentId = "";
      $(document).ready(function () {
		getEquipmentsBrand();
		getEquipmentsType();
		getEmployeeList();
		getPurchaseFromList();
		getPurchaseFromVendor();
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=equipmentslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            equipmentData = data;
            $.each(data, function (a, b) {
              table.append(
                "<tr><td>" +
                  (a + 1) +
                  "</td>" +
                  "<td>" +
                  b.name +
                  "</td>" +
                  "<td>" +
                  b.brand +
                  "</td>" +
                  "<td>" +
                  b.type +
                  "</td>" +
                  "<td>" +
                  b.purchase_date +
                  "</td>" +
                  "<td>" +
                  b.service_duration +
                  "</td>" +
                  "<td>" +
                  b.amount +
                  "</td>" +
                  "<td>" +
                  b.purchased_from +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-equipment-id="' +
                  b.equipment_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-equipment-id="' +
                  b.equipment_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span><span class="text-primary convert_user" data-equipment-id="' +
                  b.equipment_id +
                  '"><i class="sl-icon-printer fa-lg m-r-5 print-pdf"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "editequipments";
                  equipmentId =
                    e.target.parentElement.getAttribute("data-equipment-id");
                  var selectedequipmentData = equipmentData.find(
                    (l) => l.equipment_id === equipmentId.toString()
                  );
                  var entries = Object.entries(selectedequipmentData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "equipment_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);
                    }
                  }
                  $("#add_client").modal("show");
                });

                $(".print-pdf").click((e) => {
                  equipmentId =
                    e.target.parentElement.getAttribute("data-equipment-id");
                  var selectedequipmentData = equipmentData.find(
                    (l) => l.equipment_id === equipmentId.toString()
                  );
                  var entries = Object.entries(selectedequipmentData);
                  var mapValues = {};
                  for ([key, value] of entries) {
                    mapValues[key] = value;
                  }
                  generatePdf(mapValues);
                });

                $(document).on("click", ".delete_user", (e) => {
                  const lId =
                    e.target.parentElement.getAttribute("data-equipment-id");
                  
				  Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=equipmentsdelete&equipment_id=" +lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

        $("#bill").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            const replaceBaseSrc = reader.result.split("base64,")[1];

            var data = {
              gofor: "equipment_proof_post",
              user_id: sessionStorage.getItem("user_id"),
              bill: replaceBaseSrc,
            };
            uploadImage(data);
          };
          reader.readAsDataURL(file);
        });

        function uploadImage(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              var keyToSave = Object.keys(postData)[2];
              window[keyToSave] = data;
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          data.append("bill", window.bill);
          if (actionType === "editequipments") {
            data.append("equipment_id", equipmentId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("equipment Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });
		
		function getEquipmentsBrand() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=equpbrandlist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#brand");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getEquipmentsType() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=equptypelist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#type");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getEmployeeList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=employeeslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#used_by");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getPurchaseFromList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=purcfromlist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#purchased_from");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getPurchaseFromVendor() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=vendorslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#purchased_from");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>VEN-" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });

        function generatePdf(data) {
          console.log(data);
          const opt = {
            filename: "report.pdf",
            image: { type: "jpeg", quality: 0.98 },
            html2canvas: {
              scale: 2,
              useCORS: true,
              allowTaint: true,
              scrollY: 0,
            },
            jsPDF: {
              unit: "pt",
              format: [350, 550],
              orientation: "landscape",
            },
          };
          var html = `<div class="container gen-pdf" style="margin-bottom:30px;height:380px;width:700px;border:10px solid #000;border-radius:20px;margin-top:40px"><div class="align-items-center justify-content-center my-3 no-gutters row" style=""><div class="col-md-7 text-center"><h2 style="font-size:35px">Scan &amp; Secure!</h2><h2 style="font-size:45px;width:70%;margin:0 auto;word-break:break-all">${data.name}</h2></div><div class="col-md-5" style="overflow:hidden"><img width="280" height="280" src="https://chart.googleapis.com/chart?chs=300x300&amp;cht=qr&amp;chl=${data.equipment_id}&amp;choe=UTF-8%22;"></div></div><div class="row"><div class="col-md-12"><p class="mb-0" style="font-size:25px">Equ23${data.equipment_id}</p></div></div></div>`;
          html2pdf().set(opt).from(html).output("dataurlnewwindow");
        }
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
