<?php
ini_set('memory_limit','2048M');
ini_set('max_execution_time', '0'); // for infinite time of execution
// Initialize the session
session_start();
include "config.php";
$result_orders = $conn->query('SELECT * from estimates where estimate_id="'.$_GET['vid'].'" ORDER BY estimate_id DESC LIMIT 1');
if($result_orders->num_rows==1) {
	$row_orders = mysqli_fetch_array($result_orders);
	$lead_id = $row_orders['lead_id'];
	$customer_id = $row_orders['customer_id'];
	$package_id = $row_orders['package_id'];
	$user_id = $row_orders['user_id'];
}
if($customer_id != ""){
$result_customers = $conn->query('SELECT * from customers where customer_id="'.$customer_id.'" ORDER BY customer_id DESC LIMIT 1');
$row_customers = mysqli_fetch_array($result_customers);
$name = $row_customers["name"];
$mobileno = $row_customers['mobileno'];
$email = $row_customers['email'];
$location = $row_customers['location'];
$dob = $row_customers['dob'];
$age = $row_customers['age'];
}

if($lead_id != ""){
$result_leads = $conn->query('SELECT * from leads where lead_id="'.$lead_id.'" ORDER BY lead_id DESC LIMIT 1');
$row_leads = mysqli_fetch_array($result_leads);
$name = $row_leads['name'];
$mobileno = $row_leads['mobileno'];
$location = $row_leads['location'];
$dob = $row_leads['dob'];
$age = $row_leads['age'];
}

$result_users = $conn->query('SELECT * from users where user_id="'.$user_id.'" ORDER BY user_id DESC LIMIT 1');
$row_users = mysqli_fetch_array($result_users);

$result_estimate_services = $conn->query('SELECT * from estimate_services where estimate_id="'.$_GET['vid'].'" and status =  1 ORDER BY estimate_id');


$result_packages = $conn->query('SELECT * from packages where package_id="'.$package_id.'" ORDER BY package_id DESC LIMIT 1');
$row_packages = mysqli_fetch_array($result_packages);

$result_package_services = $conn->query('SELECT * from package_services where package_id="'.$package_id.'" ORDER BY package_id DESC LIMIT 1');
$row_package_services = mysqli_fetch_array($result_package_services);

$result_terms = $conn->query('SELECT * from terms where user_id="'.$user_id.'" ORDER BY term_id DESC LIMIT 1');
$row_terms = mysqli_fetch_array($result_terms);


?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Estimate</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Estimate</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="btn-group btn-group-sm">
									<button class="btn btn-white">CSV</button>
									<button class="btn btn-white">PDF</button>
									<!--<button id="btn-generate" class="btn btn-white"><i class="fa fa-print fa-lg"></i> Print</button>-->
									<a class="btn btn-white" target="_blank" href="printed-estimate.php?vid=<?php echo $_GET['vid'];?>"><i class="fa fa-print fa-lg"></i> Print</a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<div class="row" id="pdf-content">
						<div class="col-md-12">
							<div class="card">
								<div class="card-body">
									<div class="row">
										<div class="col-sm-6 m-b-20">
											<img src="<?php echo $row_users['logo'];?>" class="inv-logo" alt="">
				 							<ul class="list-unstyled">
												<li><?php echo $row_users['company_name'];?></li>
												<li><?php echo $row_users['address'];?></li>
												<li><?php echo $row_users['location'];?></li>
											</ul>
										</div>
										<div class="col-sm-6 m-b-20">
											<div class="invoice-details">
												<h3 class="text-uppercase">#EST-24-00<?php echo $_GET['vid'];?></h3>
												<ul class="list-unstyled">
													<?php 
														$created_date = $row_orders['created_date'];
														$expiry_date = date('Y-m-d', strtotime('+1 month', strtotime($created_date)));
													?>
													<li>Create Date: <span><?php echo $row_orders['created_date'] = date("M d, Y", strtotime($row_orders['created_date']));?></span></li>
													<li>Expiry date: <span><?php echo $expiry_date1 = date("M d, Y", strtotime($expiry_date));?></span></li>
												</ul>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-sm-12 col-lg-12 m-b-20">
											<h5>Estimate to:</h5>
				 							<ul class="list-unstyled">
												<li><h5><strong><?php echo $name;?></strong></h5></li>
												<li><?php echo $mobileno;?></li>
												<li><a href="mailto:<?php echo $email;?>"><?php echo $email;?></a></li>
											</ul>
										</div>
									</div>
									<table class="table table-striped table-hover">
										<thead>
											<tr>
												<th>#</th>
												<th>SERVICE</th>
                                            <th class="d-none d-sm-table-cell">SPECIFICATION</th>
												<th class="text-right">TOTAL</th>
											</tr>
										</thead>
										<tbody>
										<?php 
											$tot =0;
											while($row_estimate_services = mysqli_fetch_array($result_estimate_services)){
												
												$service_id = $row_estimate_services["service"];
												$result_services_name = $conn->query('SELECT * from services where service_id="'.$service_id.'" and status =  1 ORDER BY service_id');
												$row_services_name = mysqli_fetch_array($result_services_name);
											
										?>
											<tr>
												<td><?php echo ++$i;?></td>
												<td><?php echo $row_services_name["service_name"];?></td>
												<td><?php echo $row_estimate_services["specifications"];?></td>
												<td class="text-right"><?php echo $row_estimate_services["amount"];?></td>
											</tr>
											<?php 
												$tot +=$row_estimate_services["amount"];
											?>
											<?php } ?>
										</tbody>
									</table>
									<div>
										<div class="row invoice-payment">
											<div class="col-sm-7">
											</div>
											<div class="col-sm-5">
												<div class="m-b-20">
													<div class="table-responsive no-border">
														<table class="table">
															<tbody>
																<tr>
																	<th>Total:</th>
																	<td class="text-right"><?php echo $tot;?></td>
																</tr>
																<tr>
																	<th>Discount(Rs.): <span class="text-regular"></span></th>
																	<td class="text-right"><?php echo $row_orders["discount"];?></td>
																</tr>
																<tr>
																	<th>Grand Total:</th>
																	<td class="text-right text-primary"><h5><?php echo $row_orders["final_amount"];?></h5></td>
																</tr>
															</tbody>
														</table>
													</div>
												</div>
											</div>
										</div>
										<div class="invoice-info">
											<h5>Terms & Conditions</h5>
											<!--
											<p class="text-muted">Clearly outline the payment terms, including the total cost of the photography services, any applicable taxes, and the accepted payment methods.
Specify the deposit amount, if required, and the due dates for both the deposit and the final payment. Specify any cancellation fees or refund policies that may apply and the timeframe within which cancellations must be communicated. Clearly state the responsibilities of the client, including the provision of necessary details such as event location, schedule, and any specific requirements for the shoot.</p>
-->
<p class="text-muted"><?php echo $row_terms["terms"];?></p>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
                </div>
				<!-- /Page Content -->
				
            </div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script>
	var buttonElement = document.querySelector("#btn-generate");
	buttonElement.addEventListener('click', function() {
		var pdfContent = document.getElementById("pdf-content").innerHTML;
		var windowObject = window.open();

		windowObject.document.write(pdfContent);

		windowObject.print();
		windowObject.close();
	});
</script>
<?php include "common-script.php";?>
    </body>
</html>