<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Feedback</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Feedbacks</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header 

          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
-->
          <!-- Search Filter 
          <div class="row filter-row">
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <input type="text" class="form-control floating" />
                <label class="focus-label">Name</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Issue</option>
                  <option>Global Technologies</option>
                  <option>Delta Infotech</option>
                </select>
                <label class="focus-label">Issue</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Orders</option>
                  <option>Web Developer</option>
                  <option>Web Designer</option>
                  <option>Android Developer</option>
                  <option>Ios Developer</option>
                </select>
                <label class="focus-label">Orders</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- /Search Filter -->

          <div class="row mt-3">
            <div class="col-md-12">
              <div class="table-responsive">
                <table
                  class="table table-striped table-nowrap custom-table mb-0"
                >
                  <thead>
                    <tr>
                      <th>#</th>
					  <th>Date</th>
                      <th>Name</th>
                      <th>Type</th>
					  <th>For</th>
                      <th>Title</th>
                      <th>Details</th>
                      <th>Order</th>
                      <th>Solution</th>
                      <th class="text-right">Action</th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add User Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div
            class="modal-dialog modal-dialog-centered modal-lg"
            role="document"
          >
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title text-right">Add Feedbacks</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form id="addForm">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="form-group row">
                        <label class="col-form-label col-sm-12 pt-0"
                          >Type</label
                        >
                        <div class="col-sm-4 mt-2">
                          <input
                            type="radio"
                            id="employee_type"
                            name="select_type"
                            value="No"
                            checked
                          />
                          <label class="form-check-label" for="radio11"
                            >Employees</label
                          >
                        </div>
                        <div class="col-sm-4 mt-2">
                          <input
                            type="radio"
                            id="vendor_type"
                            name="select_type"
                            value="Yes"
                          />
                          <label class="form-check-label" for="radio22"
                            >Vendors</label
                          >
                        </div>
                      </div>
                    </div>

                    <div class="col-md-6" id="ifYes" style="display: none">
                      <div class="row">
                        <div class="col-md-12">
                          <div class="form-group">
                            <label
                              >Vendors <span class="text-danger">*</span></label
                            >
                            <select
                              class="select"
                              name="vendor_id"
                              id="vendor"
                            >
                              <option value="">Please Select</option>
                            </select>
							<span class="error-message" id="vendor_idErr"></span>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="col-md-6" id="ifNo" style="display: block">
                      <div class="row">
                        <div class="col-md-12">
                          <div class="form-group">
                            <label
                              >Employees
                              <span class="text-danger">*</span></label
                            >
                            <select
                              class="select"
                              name="employee_id"
                              id="employee"
                            >
                              <option value="">Please Select</option>
                            </select>
							<span class="error-message" id="employee_idErr"></span>
                          </div>
                        </div>
                      </div>
                    </div>
					<div class="col-md-3">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Feedback Type
                          <span class="text-danger">*</span></label
                        >
                        <select class="form-control" name="type" id="type">
                          <option value="">Select Type</option>
						  <option value="Issue">Issue</option>
						  <option value="Appreciation">Appreciation</option>
                        </select>
						<span class="error-message" id="typeErr"></span>
                      </div>
                    </div>
                    <div class="col-md-3">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Feedback For
                          <span class="text-danger">*</span></label
                        >
                        <select class="form-control" name="typefor" id="typefor">
                          <option value="">Select Type For</option>
						  <option value="General">General</option>
						  <option value="Orders">Orders</option>
                        </select>
						<span class="error-message" id="typeforErr"></span>
                      </div>
                    </div>
					<div class="col-md-12" id="OrdersGroup">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Orders <span class="text-danger">*</span></label
                        >
                        <select
                          class="form-control"
                          name="order_id"
                          id="order_id"
                        >
                          <option value="">Select Orders</option>
						  <option value="0">General</option>
                        </select>
						<span class="error-message" id="order_idErr"></span>
                      </div>
                    </div>
                    <div class="col-md-12">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Title <span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="text"
                          name="title"
                          id="title"
                        />
                      </div>
                    </div>
                    <div class="col-md-12">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Details <span class="text-danger">*</span></label
                        >
                        <textarea
                          class="form-control"
                          type="text"
                          name="details"
                          id="details"
                        ></textarea>
                      </div>
                    </div>
                    
                    <div class="col-md-12">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Solution <span class="text-danger">*</span></label
                        >
                        <textarea
                          class="form-control"
                          type="text"
                          name="solution"
                          id="solution"
                        ></textarea>
                      </div>
                    </div>
					<div class="col-md-6">
						<div class="form-group">
							<label> Date</label>
							<div class="cal-icon"><input class="form-control datetimepicker" type="text" id="date" name="date"></div>
							<span class="error-message" id="dateErr"></span>
						</div>
					</div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Status <span class="text-danger">*</span></label
                        >
                        <select class="form-control" name="status" id="status">
                          <option value="">Select Status</option>
                          <option value="1">Active</option>
                          <option value="2">Inactive</option>
                        </select>
						<span class="error-message" id="statusErr"></span>
                      </div>
                    </div>
                  </div>

                  <div class="submit-section">
                    <div class="col-md-12 text-right">
                      <button class="btn btn-danger submit-btn">Submit</button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add User Modal -->

        <!-- Toast -->
        <div
          class="toast"
          role="alert"
          aria-live="assertive"
          aria-atomic="true"
          data-delay="2000"
          style="position: absolute; top: 5rem; right: 1rem"
        >
          <div>
            <strong class="mr-auto toast-header"></strong>
            <button
              type="button"
              class="ml-2 mb-1 close"
              data-dismiss="toast"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="toast-body"></div>
        </div>
        <!-- /Toast -->

        <!-- Delete User Modal -->
        <div class="modal custom-modal fade" id="delete_user" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete User</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete User Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
	
    <script>
      var feedbackData = "";
      var actionType = "addfeedbacks";
      var feedbackId = "";
      $(document).ready(function () {
        // Add an event listener to the radio buttons
        const employeesRadio = document.querySelector('input[value="No"]');
        const vendorsRadio = document.querySelector('input[value="Yes"]');

        employeesRadio.addEventListener("change", function () {
          $("#ifNo").show();
          $("#ifYes").hide();
        });

        vendorsRadio.addEventListener("change", function () {
          $("#ifNo").hide();
          $("#ifYes").show();
        });
        // Add an event listener to the radio buttons
		
		
        $("#OrdersGroup").hide();
        $(document).on("change", "#typefor", function (val) {
          leadOrCustomer = val.target.value;
          if (val.target.value === "Orders") {
            $("#OrdersGroup").show();            
          } else {            
            $("#OrdersGroup").hide();
          }
        });

        getEmployeesList();
        getVendorsList();
		getOrderList();
		//getFeedbackType();
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=feedbackslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            feedbackData = data;
            $.each(data, function (a, b) {
			  if (b.order_id == "0") {
				order_num = "NA";
			  } else {
				 order_num = b.order_id; 
			  }
              table.append(
                "<tr><td>" +
                  (a + 1) +
                  "</td>" +
				  "<td>" +
                  b.date +
                  "</td>" +
                  "<td>" +
                  (b.ename || b.vname) +
                  "</td>" +
				  "<td>" +
                  b.type +
                  "</td>" +
                  "<td>" +
                  b.typefor +
                  "</td>" +
                  "<td>" +
                  b.title +
                  "</td>" +
                  "<td>" +
                  b.details +
                  "</td>" +
                  "<td>" +
                  order_num +
                  "</td>" +
                  "<td>" +
                  b.solution +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-feedback-id="' +
                  b.feedback_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-feedback-id="' +
                  b.feedback_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
			  ordering: true,
			  //order : [[0,"desc"]],
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "editfeedbacks";
                  feedbackId =
                    e.target.parentElement.getAttribute("data-feedback-id");
                  var selectedFeedbackData = feedbackData.find(
                    (l) => l.feedback_id === feedbackId.toString()
                  );
                  var entries = Object.entries(selectedFeedbackData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "feedback_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value).trigger('change');
                    }
                  }

                  if (selectedFeedbackData?.vname) {
                    $("#vendor_type").attr("checked", "checked");
					$("#employee_type").attr("checked", false);
                    $("#ifYes").show();
					$("#ifNo").hide();
                  } else {
                    $("#employee_type").attr("checked", "checked");
					$("#vendor_type").attr("checked", false);
                    $("#ifNo").show();
					$("#ifYes").hide();
                  }

                  $("#add_client").modal("show");
                });

                $(document).on("click", ".delete_user", (e) => {
                  const lId =
                    e.target.parentElement.getAttribute("data-feedback-id");
                  
				  Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=feedbacksdelete&feedback_id=" +lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        $("#source").change((v) => {
          if (v.target.value === "Referral") {
            $("#rname").removeClass("d-none");
            $("#rnumber").removeClass("d-none");
          } else {
            $("#rname").addClass("d-none");
            $("#rnumber").addClass("d-none");
          }
        });

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          if (actionType === "editfeedbacks") {
            data.append("feedback_id", feedbackId);
          }
		  var typeforValue = $("select[name='typefor']").val();
		  if (typeforValue != "Orders") {
			var orderValue = "0";
            data.append("order_id", orderValue);
          }
		  // Validation form
			function printError(elemId, hintMsg) {
				document.getElementById(elemId).innerHTML = hintMsg;
			}
			
			// Defining error variables with a default value
			var vendor_idErr = employee_idErr = typeErr = typeforErr = dateErr = statusErr = true;
			
			var checkedValue = $("input[name='select_type']:checked").val();
			//alert(checkedValue);
			
			// Validate employee
			if((checkedValue == "No") && ($("select[name='employee_id']").val() == "")) {
				printError("employee_idErr", "Please select your employee");
			} else {
				printError("employee_idErr", "");
				employee_idErr = false;
			}
			
			// Validate vendor
			if((checkedValue == "Yes") && ($("select[name='vendor_id']").val() == "")) {
				printError("vendor_idErr", "Please select your vendor");
			} else {
				printError("vendor_idErr", "");
				vendor_idErr = false;
			}
			
			if($("select[name='type']").val() == "") {
				printError("typeErr", "Please select type");
			} else {
				printError("typeErr", "");
				typeErr = false;
			}
			
			
			if($("select[name='typefor']").val() == "") {
				printError("typeforErr", "Please select type for");
			} else {
				printError("typeforErr", "");
				typeforErr = false;
			}
			
			
			//if($("select[name='order_id']").val() == "") {
			//	printError("order_idErr", "Please select orders");
			//} else {
			//	printError("order_idErr", "");
			//	order_idErr = false;
			//}
			
			if($("input[name='date']").val() == "") {
				printError("dateErr", "Please enter date");
			} else {
				printError("dateErr", "");
				dateErr = false;
			}
			
			// Validate status
			if($("#status").val() == "") {
				printError("statusErr", "Please select your status");
			} else {
				printError("statusErr", "");
				statusErr = false;
			}
			
			
			
			//Prevent the form from being submitted if there are any errors
			if((vendor_idErr || employee_idErr || typeErr || typeforErr || dateErr || statusErr) == true) {
			   return false;
			 }

          var modifyData = Object.fromEntries(data);
          delete modifyData.employee_type;
          delete modifyData.vendor_type;

          if (modifyData.select_type === "Yes") {
            delete modifyData.employee_id;
          } else {
            delete modifyData.vendor_id;
          }

          var jsonData = JSON.stringify(modifyData);
		  

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("Feedback Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });

        function getEmployeesList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=employeeslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#employee");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.employee_id +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }

        function getVendorsList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=vendorslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#vendor");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.vendor_id +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getOrderList() {
          $.ajax({
            type: "GET",
            url: "https://efflo.xyz/App/api.php?gofor=orderslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
				$dropdown = $('#order_id');
				$.each(data, function(a,b) {
					$dropdown.append(
						"<option value='" +
						this.order_id +
						"'>" +
						this.ordevent_name +
						"</option>"
					);
				})
			},
          });
        }
		
		//function getFeedbackType() {
        //  $.ajax({
        //    type: "GET",
        //    url:
        //      "https://efflo.xyz/App/api.php?gofor=feedbacktypelist&user_id=" +
        //      sessionStorage.getItem("user_id"),
        //    success: function (data) {
        //      var $dropdown = $("#type");
        //      $.each(data, function () {
        //        $dropdown.append(
        //          "<option value='" +
        //            this.name +
        //            "'>" +
        //            this.name +
        //            "</option>"
        //        );
        //      });
        //    },
        //  });
        //}

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
		  $("#employee_type").attr("checked", "checked");
		  $("#vendor_type").attr("checked", false);
		  $("#ifNo").show();
		  $("#ifYes").hide();
        });
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
