<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />
	
	<link rel="stylesheet" href="plugins/porfolio-filter/css/magnific-popup.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
    <style>
      .col-xs-15,
      .col-sm-15,
      .col-md-15,
      .col-lg-15 {
        position: relative;
        min-height: 1px;
        padding-right: 10px;
        padding-left: 10px;
      }
      .col-xs-15 {
        width: 14.285%;
        float: left;
      }
      @media (min-width: 768px) {
        .col-sm-15 {
          width: 14.285%;
          float: left;
        }
      }
      @media (min-width: 992px) {
        .col-md-15 {
          width: 14.285%;
          float: left;
        }
      }
      @media (min-width: 1200px) {
        .col-lg-15 {
          width: 14.285%;
          float: left;
        }
      }
      @media (max-width: 768px) {
        .col-sm-15 {
          width: 50%;
          float: left;
        }
      }
    </style>
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Photo Detail</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Photo Detail</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_info"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <!--<div class="card mb-0">-->
          <!--	<div class="card-body">-->
          <!--		<div class="row">-->
          <!--			<div class="col-md-12">-->
          <!--				<div class="profile-view">-->
          <!--					<div class="profile-img-wrap">-->
          <!--						<div class="profile-img">-->
          <!--							<a href="#"><img alt="" src="assets/img/profiles/avatar-02.jpg"></a>-->
          <!--						</div>-->
          <!--					</div>-->
          <!--					<div class="profile-basic">-->
          <!--						<div class="row">-->
          <!--							<div class="col-md-5">-->
          <!--								<div class="profile-info-left">-->
          <!--									<h3 class="user-name m-t-0 mb-0">John Doe</h3>-->
          <!--									<h6 class="text-muted"></h6>-->
          <!--									<small class="text-muted">Chennai</small>-->
          <!--									<div class="staff-id">9874563210</div>-->
          <!--									<div class="small doj text-muted"> example@gmail.com</div>-->
          <!--									<div class="staff-msg"><a class="btn btn-custom" href="#">Send Message</a></div>-->
          <!--								</div>-->
          <!--							</div>-->
          <!--							<div class="col-md-7">-->
          <!--								<ul class="personal-info">-->
          <!--									<li>-->
          <!--										<div class="title">Source:</div>-->
          <!--										<div class="text">Google</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Category:</div>-->
          <!--										<div class="text">Events</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Event Name:</div>-->
          <!--										<div class="text">Birthday</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Event Date:</div>-->
          <!--										<div class="text">30-10-2023</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Type:</div>-->
          <!--										<div class="text">Photography</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Assign to:</div>-->
          <!--										<div class="text">assign_name</div>-->
          <!--									</li>-->

          <!--								</ul>-->
          <!--							</div>-->
          <!--						</div>-->
          <!--					</div>-->
          <!--					<div class="pro-edit"><a data-target="#profile_info" data-toggle="modal" class="edit-icon" href="#"><i class="fa fa-trash"></i></a></div>-->
          <!--				</div>-->
          <!--			</div>-->
          <!--		</div>-->
          <!--	</div>-->
          <!--</div>-->

          <div class="card tab-box">
            <div class="row user-tabs">
              <div class="col-lg-12 col-md-12 col-sm-12 line-tabs">
                <ul class="nav nav-tabs nav-tabs-bottom">
                  <li class="nav-item">
                    <a href="#info" data-toggle="tab" class="nav-link"
                      >Info</a
                    >
                  </li>
                  <li class="nav-item">
                    <a href="#upload_photos" data-toggle="tab" class="nav-link"
                      >Upload Photos</a
                    >
                  </li>
                  <li class="nav-item">
                    <a href="#my_selection" data-toggle="tab" class="nav-link"
                      >My Selection
                    </a>
                  </li>
                  <li class="nav-item">
                    <a
                      href="#client_selected"
                      data-toggle="tab"
                      class="nav-link"
                      >Client Selected
                    </a>
                  </li>
                  <li class="nav-item">
                    <a
                      href="#client_rejected"
                      data-toggle="tab"
                      class="nav-link"
                      >Client Rejected
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>

          <div class="tab-content">
            <!-- Profile Info Tab -->
            <div id="info" class="pro-overview tab-pane fade">
              <div class="row">
                <div class="col-md-12 d-flex">
                  <div class="card profile-box flex-fill">
                    <div class="card-body">
                      <h3 class="card-title">
                        Info
                        <a
                          href="#"
                          data-toggle="modal"
                          data-target="#edit_info"
                          class="edit-icon"
                          ><i class="fa fa-edit"></i
                        ></a>
                      </h3>
                      <ul class="personal-info">
                        <li>
                          <div class="title">Album Name</div>
                          <div class="text al-name"></div>
                        </li>
                        <li>
                          <div class="title">Upload Date</div>
                          <div class="text al-date"></div>
                        </li>
                        <li>
                          <div class="title">Selection Dead Line</div>
                          <div class="text al-deadline-date"></div>
                        </li>
                        <li>
                          <div class="title">Selected Final Date</div>
                          <div class="text al-final-date"></div>
                        </li>
                        <li>
                          <div class="title">Notes</div>
                          <div class="text al-notes"></div>
                        </li>
                        <li>
                          <div class="title">Selection Limit</div>
                          <div class="text al-limit"></div>
                        </li>
                        <li>
                          <div class="title">Selection Status</div>
                          <div class="text al-status"></div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Profile Info Tab -->
            <style>
              .img-thumbs {
                background: #eee;
                border: 1px solid #ccc;
                border-radius: 0.25rem;
                margin: 1.5rem 0;
                padding: 0.75rem;
              }
              .img-thumbs-hidden {
                display: none;
              }

              .wrapper-thumb {
                position: relative;
                display: inline-block;
                margin: 1rem 0;
                justify-content: space-around;
              }

              .img-preview-thumb {
                background: #fff;
                border: 1px solid none;
                border-radius: 0.25rem;
                box-shadow: 0.125rem 0.125rem 0.0625rem rgba(0, 0, 0, 0.12);
                margin-right: 1rem;
                max-width: 140px;
                padding: 0.25rem;
              }

              .remove-btn {
                position: absolute;
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: 0.7rem;
                top: -5px;
                right: 10px;
                width: 20px;
                height: 20px;
                background: white;
                border-radius: 10px;
                font-weight: bold;
                cursor: pointer;
              }

              .remove-btn:hover {
                box-shadow: 0px 0px 3px grey;
                transition: all 0.3s ease-in-out;
              }
            </style>
            <style>
              input[type="file"]::file-selector-button {
                background-color: #fff;
                color: #000;
                border: 0px;
                border-right: 1px solid #e5e5e5;
                padding: 10px 15px;
                margin-right: 20px;
                transition: 0.5s;
              }

              input[type="file"]::file-selector-button:hover {
                background-color: #eee;
                border: 0px;
                border-right: 1px solid #e5e5e5;
              }
            </style>
            <!-- Projects Tab -->
            <div class="tab-pane fade" id="upload_photos">
              <div class="row">
                <div class="col-md-12 d-flex">
                  <div class="">
                    <div class="container">
                      <div class="row">
                        <div class="col-md-12">
                          <form
                            method="post"
                            enctype="multipart/form-data"
                            id="form-upload"
                          >
                            <div class="form-group mb-3">
                              <label for="">Upload Your Photos</label>
                              <input
                                type="file"
                                class="form-control"
                                name="images[]"
                                multiple
                                id="upload-img"
                              />
                            </div>
                            <div
                              class="img-thumbs img-thumbs-hidden"
                              id="img-preview"
                            ></div>
                            <button type="submit" class="btn btn-primary">
                              Upload
                            </button>
                          </form>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Projects Tab -->
            <style>
              .rounded-checkbox {
                width: 20px;
                height: 20px;
                border-radius: 50%;
                vertical-align: middle;
                border: 1px solid #e23c33;
                appearance: none;
                -webkit-appearance: none;
                outline: none;
                cursor: pointer;
              }
              .rounded-checkbox:checked {
                appearance: auto;
                clip-path: circle(50% at 50% 50%);
                background-color: blue;
              }
              .position-change {
                position: absolute;
                right: 15px;
                top: 5px;
              }
            </style>
            <!-- Bank Statutory Tab -->
            <div class="tab-pane fade" id="my_selection">
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="row">
                      <div class="col-md-8">
                        <h3 class="card-title">My Selection <span id="my-selection-count"></span></h3>
                      </div>
                      <div class="col-md-4 text-right">
                        <a
                          href="#"
                          class="btn btn-sm btn-primary"
                          data-toggle="modal"
                          data-target="#share_selection"
                          >Share</a
                        >
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <div class="row" id="uploaded-photos">
                    </div>
                  </div>
                  <!--
									<div class="col-md-12">
										<button type="submit" class="btn btn-primary">Submit</button>
									</div>
									-->
                </div>
              </div>
            </div>
            <!-- /Bank Statutory Tab -->

            <div class="tab-pane fade" id="client_selected">
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="row">
                      <div class="col-md-8">
                        <h3 class="card-title">Client Selected <span id="client-selection-count"></span></h3>
                      </div>
                      <div class="col-md-4 text-right">
                        <a href="#" class="btn btn-sm btn-primary">Accept</a>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <div class="row" id="selected-photos">
                    </div>
                  </div>
                  <!--
									<div class="col-md-12">
										<button type="submit" class="btn btn-primary">Submit</button>
									</div>
									-->
                </div>
              </div>
            </div>

            <div class="tab-pane fade" id="client_rejected">
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="row">
                      <div class="col-md-8">
                        <h3 class="card-title">Client Rejected <span id="client-rejected-count"></span></h3>
                      </div>
                      <div class="col-md-4"></div>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <div class="row" id="rejected-photos">
                    </div>
                  </div>
                  <!--
									<div class="col-md-12">
										<button type="submit" class="btn btn-primary">Submit</button>
									</div>
									-->
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Profile Modal -->

        <!-- /Profile Modal -->

        <!-- Personal Info Modal -->

        <!-- /Personal Info Modal -->

        <!-- Family Info Modal -->

        <!-- /Family Info Modal -->

        <!-- Emergency Contact Modal -->

        <!-- /Emergency Contact Modal -->

        <!-- Education Modal -->

        <!-- /Education Modal -->

        <!-- Experience Modal -->

        <!-- /Experience Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <div id="edit_task_modal" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add/Edit Tasks</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="addUpload">
              <div class="row">
                <div class="col-md-6">
                  <label class="col-form-label">Deadline</label>
                  <input class="form-control" type="date" name="bulk_upload" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Allocated To</label>
                  <select class="form-control" onchange="showDiv(this)">
                    <option value="">Choose</option>
                    <option value="Employee">Employee</option>
                    <option value="Vendor">Vendor</option>
                  </select>
                </div>
                <div class="col-md-12" id="hidden_div1" style="display: none">
                  <label class="col-form-label">Employee Name</label>
                  <input class="form-control" type="text" />
                </div>
                <div class="col-md-12" id="hidden_div2" style="display: none">
                  <label class="col-form-label">Vendor Name</label>
                  <input class="form-control" type="text" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Remarks</label>
                  <input class="form-control" type="text" name="bulk_upload" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Status</label>
                  <select class="form-control">
                    <option value="">Choose</option>
                    <option value="">Pending</option>
                    <option value="">Processing</option>
                    <option value="">Completed</option>
                  </select>
                </div>
                <div class="col-md-12">
                  <div class="submit-section" style="text-align: left">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <!-- Edit Expense Modal -->
    <div id="edit_info" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Edit Info</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Album Name</label>
                    <input class="form-control al-edit-name" type="text" />
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Upload Date</label>
                    <div class="cal-icon">
                      <input
                        class="form-control datetimepicker al-edit-date"
                        type="text"
                      />
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selection Dead Line</label>
                    <div class="cal-icon">
                      <input
                        class="form-control datetimepicker al-edit-deadline-date"
                        type="text"
                      />
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selected Final Date</label>
                    <div class="cal-icon">
                      <input
                        class="form-control datetimepicker al-edit-final-date"
                        type="text"
                      />
                    </div>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label>Notes</label>
                    <textarea class="form-control al-edit-notes"></textarea>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selection Limit</label>
                    <input class="form-control al-edit-limit" type="number" />
                  </div>
                </div>
                <div class="col-md-6">
                  <label>Status</label>
                  <select class="form-control al-edit-status">
                    <option value="choose">Choose</option>
                    <option value="3">Pending</option>
                    <option value="2">Processing</option>
                    <option value="1">Completed</option>
                  </select>
                </div>
              </div>

              <div class="submit-section">
                <button class="btn btn-primary submit-btn" id="edit-button">
                  Submit
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- /Edit Expense Modal -->

    <!-- Add Expense Modal -->
    <div id="add_info" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add Info</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Album Name</label>
                    <input class="form-control al-add-name" type="text" />
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Upload Date</label>
                    <div class="cal-icon">
                      <input
                        class="form-control datetimepicker al-add-date"
                        type="text"
                      />
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selection Dead Line</label>
                    <div class="cal-icon">
                      <input
                        class="form-control datetimepicker al-add-deadline-date"
                        type="text"
                      />
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selected Final Date</label>
                    <div class="cal-icon">
                      <input
                        class="form-control datetimepicker al-add-final-date"
                        type="text"
                      />
                    </div>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label>Notes</label>
                    <textarea class="form-control al-add-notes"></textarea>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selection Limit</label>
                    <input class="form-control al-add-limit" type="number" />
                  </div>
                </div>
                <div class="col-md-6">
                  <label>Status</label>
                  <select class="form-control al-add-status">
                    <option value="choose">Choose</option>
                    <option value="3">Pending</option>
                    <option value="2">Processing</option>
                    <option value="1">Completed</option>
                  </select>
                </div>
              </div>

              <div class="submit-section">
                <button class="btn btn-primary submit-btn" id="add-button">
                  Submit
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- /Add Expense Modal -->

    <!-- Add Expense Modal -->
    <div id="share_selection" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Share Selection Photos</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <div class="col-md-10">
                  <div class="form-group">
                    <label>URL</label>
                    <input
                      class="form-control"
                      id="myvalue"
                      type="text"
                      value=""
                    />
                  </div>
                </div>
                <div class="col-md-2">
                  <div class="form-group">
                    <label>&nbsp;</label>
                    <a
                      style="position: relative; top: 35px"
                      class=""
                      href="javascript:;"
                      onclick="copyToClipboard()"
                      >Copy Link</a
                    >
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <label>Selection Dead Line</label>
                    <div class="cal-icon">
                      <input class="form-control datetimepicker" type="text" />
                    </div>
                  </div>
                </div>
                <div class="col-md-8">
                  <div class="form-group">
                    <label>Mail To</label>
                    <input class="form-control" type="email" />
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label>Subject</label>
                    <input class="form-control" type="text" />
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label>Remarks</label>
                    <textarea class="form-control"></textarea>
                  </div>
                </div>
                <div class="col-md-12 mb-4">
                  <button type="submit" class="btn btn-primary">Send</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- /Add Expense Modal -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
	
	<script src="plugins/porfolio-filter/js/isotope.pkgd.js"></script>
	<script src="plugins/porfolio-filter/js/jquery.magnific-popup.js"></script>

    <script>
      var imgUpload = document.getElementById("upload-img"),
        imgPreview = document.getElementById("img-preview"),
        imgUploadForm = document.getElementById("form-upload"),
        totalFiles,
        previewTitle,
        previewTitleText,
        img;

      var uploadedImages = [];
      var uploadPromises = [];
      imgUpload.addEventListener("change", previewImgs, true);

      imgUploadForm.addEventListener("submit", uploadImages, true);

      //convert img src to base64
      const getBase64 = (file) =>
        new Promise((resolve, reject) => {
          const reader = new FileReader();
          reader.readAsDataURL(file);
          reader.onload = () => resolve(reader.result);
          reader.onerror = (err) => reject(err);
        });
      //convert img src to base64

      function previewImgs(event) {
        totalFiles = imgUpload.files.length;

        if (!!totalFiles) {
          imgPreview.classList.remove("img-thumbs-hidden");
        }

        for (var i = 0; i < totalFiles; i++) {
          getBase64(event.target.files[i]).then(v => {
            uploadedImages.push(v.split("base64,")[1]);
          })

          wrapper = document.createElement("div");
          wrapper.classList.add("wrapper-thumb");
          wrapper.setAttribute('data-id', i);
          removeBtn = document.createElement("span");
          nodeRemove = document.createTextNode("x");
          removeBtn.classList.add("remove-btn");
          removeBtn.appendChild(nodeRemove);
          img = document.createElement("img");
          img.src = URL.createObjectURL(event.target.files[i]);
          img.classList.add("img-preview-thumb");
          wrapper.appendChild(img);
          wrapper.appendChild(removeBtn);
          imgPreview.appendChild(wrapper);
        }

        $(".remove-btn").click(function (el) {
          let elementIndexToRemove = $(this).parent(".wrapper-thumb").attr('data-id');
          uploadedImages.splice(elementIndexToRemove, 1);
          $(this).parent(".wrapper-thumb").remove();
        });
      }
      function uploadImages(event) {
        event.preventDefault();
        uploadedImages.map(v => {
          uploadPromises.push(uploadImagesApi(v))
        })

        //All file upload Success
        Promise.all(uploadPromises).then((values) => {
          window.location = window.location.href + '&activeTab=2'
        });
      }

      function uploadImagesApi(v) {
        return new Promise((resolve, reject) => {
          var postData = {
            "gofor": "album_photos_post",
            "user_id": 1,
            "order_id": oid,
            "imgname":  v
          }

          $.ajax({
            type: "POST",
            url: 'https://efflo.xyz/App/api.php',
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              resolve('Success');
            },
            error: function (e) {
              console.log(e);
              reject('Failed');
            }
          });
        })
      }
    </script>
    <script>
      $(document).ready(function () {
        var queryString = window.location.search;
        var urlParams = new URLSearchParams(queryString);
        window.oid = urlParams.get('oid');

        const getActiveTab = window.location.search.split('&activeTab=')[1];
        var uploadedPhotos = [];
        if(getActiveTab == '2') {
          removeAllActive();
          $('.nav-tabs .nav-item').eq(2).children('a').addClass('active');
          $('.tab-content .tab-pane').eq(2).addClass('active show');
        }

        if(getActiveTab == '0' || !getActiveTab) {
          removeAllActive();
          $('.nav-tabs .nav-item').eq(0).children('a').addClass('active');
          $('.tab-content .tab-pane').eq(0).addClass('active show');
        }

        getDetails();

        getUploadedPhotos();

        getSelectedPhotos();

        getRejectedPhotos();

        $(document).on("click", "#edit-button", function () {
          let payload = {
            gofor: "editorderalbuminfo",
            user_id: sessionStorage.getItem("user_id"),
            oainfo_id: 1,
            order_id: oid,
            album_name: $(".al-edit-name").val(),
            upload_date: $(".al-edit-date").val(),
            selection_deadline: $(".al-edit-deadline-date").val(),
            selection_finaldate: $(".al-edit-final-date").val(),
            remarks: $(".al-edit-notes").val(),
            selection_limit: $(".al-edit-limit").val(),
            selection_status: $(".al-edit-status").val(),
          };
          editDetails(payload);
        });

        $(document).on("click", "#add-button", function () {
          let payload = {
            gofor: "addorderalbuminfo",
            user_id: sessionStorage.getItem("user_id"),
            order_id: oid,
            album_name: $(".al-add-name").val(),
            upload_date: $(".al-add-date").val(),
            selection_deadline: $(".al-add-deadline-date").val(),
            selection_finaldate: $(".al-add-final-date").val(),
            remarks: $(".al-add-notes").val(),
            selection_limit: $(".al-add-limit").val(),
            selection_status: $(".al-add-status").val(),
          };
          addDetails(payload);
        });

        $(document).on('click', '#uploaded-photos .fa-trash', (el) => { 
          const getId = el.target.parentElement.getAttribute('data-id')
          deleteUploadedPhotos(getId) 
        });

        function getDetails() {
          $.ajax({
            type: "GET",
            url: "https://efflo.xyz/App/api.php?gofor=orderalbuminfo&order_id="+oid,
            success: function (data) {
              console.log(data);
              $(".al-name").text(data.album_name);
              $(".al-date").text(data.upload_date);
              $(".al-deadline-date").text(data.selection_deadline);
              $(".al-final-date").text(data.selection_finaldate);
              $(".al-notes").text(data.remarks);
              $(".al-limit").text(data.selection_limit);
              if (data.status === "1") {
                $(".al-status").html(
                  '<span class="badge bg-inverse-success">Sent</span>'
                );
              } else {
                $(".al-status").html(
                  '<span class="badge bg-inverse-danger">Pending</span>'
                );
              }

              // for edit form
              $(".al-edit-name").val(data.album_name);
              $(".al-edit-date").val(data.upload_date);
              $(".al-edit-deadline-date").val(data.selection_deadline);
              $(".al-edit-final-date").val(data.selection_finaldate);
              $(".al-edit-notes").val(data.remarks);
              $(".al-edit-limit").val(data.selection_limit);
              $(".al-edit-status").val(data.status);
            },
          });
        }

        function editDetails(payload) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(payload),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function addDetails(payload) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(payload),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function copyToClipboard() {
          var textBox = document.getElementById("myvalue");
          textBox.select();
          document.execCommand("copy");
        }

        function removeAllActive() {
          $('.nav-tabs .nav-item').find('.active').removeClass('active');
          $('.tab-content .tab-pane').removeClass('active');
          $('.tab-content .tab-pane').removeClass('show');
        }

        function getUploadedPhotos() {
          $.ajax({
            type: "GET",
            url: "https://efflo.xyz/App/api.php?gofor=orderalbumphotos&order_id="+oid,
            success: function (data) {
              uploadedPhotos = data;
              $('#my-selection-count').html('('+data.length+') photos');
              data.map(val => {
                $('#uploaded-photos').append(
                  `<div class="col-md-15 col-sm-15 mb-3"><a href="${val.thumb_img}" class="fancylight popup-btn" data-fancybox-group="light"><img src="${val.thumb_img}" width="100%"/></a><div class="position-change" data-id="${val.op_id}"><i class="fa fa-trash text-danger"></i></div></div>`
                )
              })
			  var popup_btn = $('.popup-btn');
					 popup_btn.magnificPopup({
					 type : 'image',
					 gallery : {
						enabled : true
					 }
				});
            }
          });
        }

        function deleteUploadedPhotos(id) {
          $.ajax({
            type: "GET",
            url: "https://efflo.xyz/App/api.php?gofor=deleteuploadedphotos&op_id="+id,
            success: function (data) {
              window.location.reload();
            }
          });
        }

        function getSelectedPhotos() {
          $.ajax({
            type: "GET",
            url: "https://efflo.xyz/App/api.php?gofor=selectedorderalbumphotos&order_id="+oid,
            success: function (data) {
              $('#client-selection-count').html('('+data.length+') photos');
              data.map(val => {
                $('#selected-photos').append(
                  `<div class="col-md-15 col-sm-15 mb-3"><a href="${val.thumb_img}" class="fancylight popup-btn" data-fancybox-group="light"><img src="${val.thumb_img}" width="100%"/></a></div>`
                )
              })
			  var popup_btn = $('.popup-btn');
					 popup_btn.magnificPopup({
					 type : 'image',
					 gallery : {
						enabled : true
					 }
				});
            }
          });
        }

        function getRejectedPhotos() {
          $.ajax({
            type: "GET",
            url: "https://efflo.xyz/App/api.php?gofor=rejectedorderalbumphotos&order_id="+oid,
            success: function (data) {
              $('#client-rejected-count').html('('+data.length+') photos');
              data.map(val => {
                $('#rejected-photos').append(
                  `<div class="col-md-15 col-sm-15 mb-3"><a href="${val.thumb_img}" class="fancylight popup-btn" data-fancybox-group="light"><img src="${val.thumb_img}" width="100%"/></a></div>`
                )
              })
			  var popup_btn = $('.popup-btn');
					 popup_btn.magnificPopup({
					 type : 'image',
					 gallery : {
						enabled : true
					 }
				});
            }
          });
        }

        $('#share_selection').on('show.bs.modal', function () {
          $('#myvalue').val("image_selector.php?oid="+oid)
        });
      });
    </script>
	<?php include "common-script.php";?>
  </body>
</html>
