<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
    <style>
      body {
        color: #67757c;
      }
    </style>
  </head>
  <body class="account-page login_page" style="">
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <div class="account-content">
        <div class="x-left">
          <img src="assets/img//login-1.png" class="login-images" />
        </div>
        <!--<a href="job-list.php" class="btn btn-primary apply-btn">Apply Job</a>-->
        <div class="container">
          <!-- Account Logo -->
          <div class="account-logo">
            <a href="index.php"
              ><img
                src="assets/img/logo.png"
                style="width: 150px !important"
                alt="Dreamguy's Technologies"
            /></a>
          </div>
          <!-- /Account Logo -->

          <div class="account-box">
            <div class="account-wrapper">
              <p class="account-subtitle">Sign in Scan your Equipment</p>

              <!-- Account Form -->
              <form id="myform">
                <div class="form-group">
                  <input
                    class="form-control"
                    type="text"
                    placeholder="Mobile Number"
                    name="username"
                    id="username"
                  />
                </div>
                <div class="form-group position-relative">
                  <input
                    class="form-control"
                    type="password"
                    placeholder="Password"
                    name="password"
                    id="password"
                  />
                  <span
                    class="password-toggle"
                    id="password-toggle"
                    onclick="togglePasswordVisibility()"
                  >
                    <i class="fa fa-eye" id="eye-icon"></i>
                  </span>
                </div>
                <div class="form-group">
                  <div class="row">
                    <div class="col">
                      <input class="" type="checkbox" /> Remember me
                    </div>
                    <div class="col-auto"></div>
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                    <div class="col">
                      <label></label>
                    </div>
                    <div class="col-auto">
                      <a class="text-muted" href="index.php">
                        Forgot password?
                      </a>
                    </div>
                  </div>
                </div>
                <div class="form-group text-center">
                  <button
                    class="btn btn-primary account-btn"
                    id="btnSubmit"
                    type="submit"
                  >
                    Login
                  </button>
                </div>
                <!--
								<div class="account-footer">
									<p>Don't have an account yet? <a href="register.php">Register</a></p>
								</div>
								-->
              </form>
              <!-- /Account Form -->
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      $(document).ready(function () {
        $("#btnSubmit").click(function (event) {
          //stop submit the form, we will post it manually.
          event.preventDefault();

          var username = document.getElementById("username").value;
          var password = document.getElementById("password").value;

          // disabled the submit button
          $("#btnSubmit").prop("disabled", true);

          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=login&username=" +
              username +
              "&password=" +
              password,
            success: function (data) {
              if (data.status === "Incorrect Username or Password") {
                alert(data.status);
                $("#btnSubmit").prop("disabled", false);
              } else {
                var uid = data.user_id;
                var name = data.username;
                sessionStorage.setItem("user_id", uid);
                sessionStorage.setItem("uname", name);
                window.location.href = "orderequip.php";
              }
            },
            error: function (e) {
              $("#output").text(e.responseText);
              console.log("ERROR : ", e);
              $("#btnSubmit").prop("disabled", false);
            },
          });
        });
      });

      function togglePasswordVisibility() {
        var passwordInput = document.getElementById("password");
        var eyeIcon = document.getElementById("eye-icon");

        if (passwordInput.type === "password") {
          passwordInput.type = "text";
          eyeIcon.classList.remove("fa-eye");
          eyeIcon.classList.add("fa-eye-slash");
        } else {
          passwordInput.type = "password";
          eyeIcon.classList.remove("fa-eye-slash");
          eyeIcon.classList.add("fa-eye");
        }
      }
    </script>
  </body>
</html>
