<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />
    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />
    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
    <style>
      .edit-icon-1 {
        background-color: #eee;
        border: 1px solid #e3e3e3;
        border-radius: 24px;
        color: #bbb;
        position: absolute;
        top: 12%;
        right: 10%;
        font-size: 12px;
        line-height: 24px;
        min-height: 26px;
        text-align: center;
        width: 26px;
      }
    </style>
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row">
              <div class="col-sm-6">
                <h3 class="page-title">Packages</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Packages</li>
                </ul>
              </div>
              <div class="col-sm-6">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header 

          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
		  -->
		  <style>
		  .ag-courses_box {
  
}
.ag-courses_item {
  -ms-flex-preferred-size: calc(33.33333% - 30px);
  flex-basis: calc(33.33333% - 30px);

  margin: 0 15px 30px;

  overflow: hidden;

  border-radius: 28px;
}
.ag-courses-item_link {
  display: block;
  padding: 30px 20px;
  background-color: #fff;
  box-shadow: rgba(100, 100, 111, 0.1) 0px 7px 18px 0px !important;
  overflow: hidden;

  position: relative;
  
  
  
}
.ag-courses-item_link:hover,
.ag-courses-item_link:hover .ag-courses-item_date {
  text-decoration: none;
  color: #FFF;
}
.ag-courses-item_link:hover .ag-courses-item_bg {
  -webkit-transform: scale(10);
  -ms-transform: scale(10);
  transform: scale(10);
}
.ag-courses-item_title {
  min-height: 87px;
  margin: 0 0 25px;

  overflow: hidden;

  font-weight: bold;
  font-size: 30px;
  color: #000;

  z-index: 2;
  position: relative;
}
.ag-courses-item_link:hover .ag-courses-item_title{
	color: #fff;
}
.ag-courses-item_date-box {
  font-size: 18px;
  color: #606060;

  z-index: 2;
  position: relative;
  /**Added By MKH**/
  height: 150px;
  overflow-y: auto;
}
.ag-courses-item_link:hover .ag-courses-item_date-box{
	color: #fff;
}
.ag-courses-item_date {
  font-weight: bold;
  color: #f9b234;

  -webkit-transition: color .5s ease;
  -o-transition: color .5s ease;
  transition: color .5s ease
}
.ag-courses-item_bg {
  height: 128px;
  width: 128px;
  background-color: #f9b234;

  z-index: 1;
  position: absolute;
  top: -75px;
  right: -75px;

  border-radius: 50%;

  -webkit-transition: all .5s ease;
  -o-transition: all .5s ease;
  transition: all .5s ease;
}
.ag-courses_item:nth-child(2n) .ag-courses-item_bg {
  background-color: #3ecd5e;
}
.ag-courses_item:nth-child(3n) .ag-courses-item_bg {
  background-color: #e44002;
}
.ag-courses_item:nth-child(4n) .ag-courses-item_bg {
  background-color: #952aff;
}
.ag-courses_item:nth-child(5n) .ag-courses-item_bg {
  background-color: #cd3e94;
}
.ag-courses_item:nth-child(6n) .ag-courses-item_bg {
  background-color: #4c49ea;
}



@media only screen and (max-width: 979px) {
  .ag-courses_item {
    -ms-flex-preferred-size: calc(50% - 30px);
    flex-basis: calc(50% - 30px);
  }
  .ag-courses-item_title {
    font-size: 24px;
  }
}

@media only screen and (max-width: 767px) {
  .ag-format-container {
    width: 96%;
  }

}
@media only screen and (max-width: 639px) {
  .ag-courses_item {
    -ms-flex-preferred-size: 100%;
    flex-basis: 100%;
  }
  .ag-courses-item_title {
    min-height: 72px;
    line-height: 1;

    font-size: 24px;
  }
  .ag-courses-item_link {
    padding: 22px 40px;
  }
  .ag-courses-item_date-box {
    font-size: 16px;
  }
}
.package-head-size{font-size:15px;}
		  </style>
		  <div class="">
			<div class="ag-format-container">
  <div class="row ag-courses_box">
    <div class="col-md-4 ag-courses_item">
      <a href="#" class="ag-courses-item_link">
        <div class="ag-courses-item_bg"></div>

        <div class="ag-courses-item_title">
          <h2>Gold Package </h2>
		  <div class="row mt-3">
				<div class="col-md-6">
					<p class="package-head-size"><i class="fa fa-calendar-check-o"></i> Wedding</p>
				</div>
				<div class="col-md-6 text-right">
					<p class="package-head-size"><i class="fa fa-money"></i> 200000 INR</p>
				</div>
			</div>
        </div>
		
        <div class="ag-courses-item_date-box">
          Traditional Photography, Candid Photography, Album Design
        </div>
      </a>
    </div>

    <div class="col-md-4 ag-courses_item">
      <a href="#" class="ag-courses-item_link">
        <div class="ag-courses-item_bg"></div>

        <div class="ag-courses-item_title">
          Gold Package
        </div>

        <div class="ag-courses-item_date-box">
          Traditional Photography, Candid Photography, Album Design, Traditional Photography, Candid Photography, Album Design
        </div>
      </a>
    </div>
	
	

    

  </div>
</div>
		  </div>
          <div class="row staff-grid-row">
            <!--
						<div class="col-xl-4 col-md-6 col-sm-6">
							<div class="topics">
								<h3 class="topic-title"><a href="#"><i class="fa fa-folder-o"></i> Installation & Activation <span>11</span></a></h3>
								<ul class="topics-list">
									<li><a href="knowledgebase-view.php"> Sed ut perspiciatis unde omnis? </a>
									</li>
									<li><a href="knowledgebase-view.php"> Sed ut perspiciatis unde omnis? </a>
									</li>
									<li><a href="knowledgebase-view.php"> Sed ut perspiciatis unde omnis? </a>
									</li>
									<li><a href="knowledgebase-view.php"> Sed ut perspiciatis unde omnis? </a>
									</li>
									<li><a href="knowledgebase-view.php"> Sed ut perspiciatis unde omnis? </a>
									</li>
								</ul>
							</div>
						</div>
						-->
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->
    <div id="add_client" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add Packages</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form method="POST" id="addForm">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Name</label>
                    <input class="form-control" type="text" name="name" />
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Event <span class="text-danger">*</span></label
                    >
                    <select class="form-control" id="eventName" name="event_id">
                      <option>Select Event</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-12 col-sm-12">
                      <div class="table-responsive">
                        <table
                          id="GRNTable1"
                          class="table table-hover table-white"
                        >
                          <thead>
                            <tr>
                              <th class="col-md-5">Services</th>
                              <th class="col-md-5">Specifications</th>
                              <th>Amount</th>
                              <th></th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <td>
                                <select
                                  class="form-control"
                                  type="text"
                                  style="min-width: 150px"
                                  id="col1"
                                >
                                  <option value="">Please Select</option>
                                </select>
                              </td>
                              <td>
                                <input
                                  class="form-control"
                                  type="text"
                                  style="min-width: 150px"
                                  id="col2"
                                />
                              </td>
                              <td>
                                <input
                                  class="form-control amount"
                                  style="width: 100px"
                                  type="text"
                                  id="col3"
                                />
                              </td>

                              <td style="padding-top: 20px">
                                <a
                                  href="javascript:void(0)"
                                  class="text-success font-18"
                                  title="Add"
                                  onclick="insRow()"
                                  ><i class="fa fa-plus"></i></a
                                >&nbsp;&nbsp;<a
                                  href="javascript:void(0)"
                                  class="text-danger font-18"
                                  title="Remove"
                                  onclick="deleteRow(this)"
                                  ><i class="fa fa-trash-o"></i
                                ></a>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div class="table-responsive">
                        <table class="table table-hover table-white">
                          <tbody>
                            <tr>
                              <td
                                colspan="5"
                                style="text-align: right; font-weight: bold"
                              >
                                Grand Total
                              </td>
                              <td
                                style="
                                  text-align: right;
                                  padding-right: 30px;
                                  font-weight: bold;
                                  font-size: 16px;
                                  width: 230px;
                                "
                              >
                                <input
                                  class="form-control text-right"
                                  readonly
                                  type="text"
                                  id="grandtotal"
                                />
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="col-sm-12">
                  <div class="form-group">
                    <label class="col-form-label">Status</label>
                    <select class="select">
                      <option value="1">Active</option>
                      <option value="0">Inactive</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="submit-section">
                <button class="btn btn-primary submit-btn">Submit</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>
    <script src="assets/js/select2.min.js"></script>
    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script>
      function deleteRow(row) {
        var x = document.getElementById("GRNTable1");
        var len = x.rows.length;
        var i = row.parentNode.parentNode.rowIndex;
        if (i == len - 1)
          if (i != 1) document.getElementById("GRNTable1").deleteRow(i);
          else alert("Must have one row");
        else alert("Delete last rows first");
      }
      function insRow() {
        var cloneRow = $("#GRNTable1 tr").last().clone();
        cloneRow.find(":input").val("");

        $("#GRNTable1 tr").last().after(cloneRow);
      }

      var packageData = "";
      var actionType = "addpackages";
      var packageId = "";
      var selectedpackageData;
      $(document).ready(async function () {
        var serviceList;
        const uid = sessionStorage.getItem("user_id");
        await getEventList();
        await getServiceList();
        var table = $(".staff-grid-row");

        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=packageslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            packageData = data;
            $.each(data, function (a, b) {
              const packageServices = [];
              b.package_services.map(p => {
                const mapService = serviceList.find(s => s.service_id === p.service)
                if(mapService) {
                  packageServices.push(mapService.service_name)
                }
              })
              table.append(
                '<div class="col-xl-4 col-md-6 col-sm-6">' +
                  '<div class="topics">' +
                  '<h3 class="topic-title mb-0"><a href="#"><i class="fa fa-folder-o"></i> ' +
                  b.name +
                  "</a></h3>" +
                  '<span class="edit-icon-1 mt-0 edit_user" data-package-id="' +
                  b.package_id +
                  '"><i class="fa fa-pencil"></i></span>' +
                  '<h5 class="mt-0"><a href="#">' +
                  b.event_name +
                  "</a></h5>" +
                  '<h3 class="mt-0"><a href="#">' +
                  b.totalamount +
                  "</a></h3>" +
                  '<ul class="topics-list">' +
                  '<li><a href="javascript:;">' +
                    packageServices.join(", ") +
                  "</a></li>" +
                  "</ul>" +
                  "</div>" +
                  "</div>"
              );
            });

            $(document).on("click", ".edit_user", (e) => {
              actionType = "editpackages";
              $('.modal-title').text('Edit Package');
              packageId =
                e.target.parentElement.getAttribute("data-package-id");
              selectedpackageData = packageData.find(
                (l) => l.package_id === packageId.toString()
              );

              selectedpackageData.package_services.map((s, i) => {
                if(i === 0) {
                  $("#GRNTable1 tr").last().find("select").val(s.service)
                  $("#GRNTable1 tr").last().find("td").eq(1).find("input").val(s.specifications)
                  $("#GRNTable1 tr").last().find("td").eq(2).find("input").val(s.amount)
                } else {
                  var cloneRow = $("#GRNTable1 tr").last().clone();
                  cloneRow.find(":input").val("");

                  $("#GRNTable1 tr").last().after(cloneRow);

                  //prefill values
                  $("#GRNTable1 tr").last().find("select").val(s.service)
                  $("#GRNTable1 tr").last().find("td").eq(1).find("input").val(s.specifications)
                  $("#GRNTable1 tr").last().find("td").eq(2).find("input").val(s.amount)
                }
              })

              var entries = Object.entries(selectedpackageData);
              for ([key, value] of entries) {
                if (
                  key !== "user_id" &&
                  key !== "package_id" &&
                  value !== "" &&
                  key !== "created_date" &&
                  key !== "modified_date"
                ) {
                  $("[name=" + key + "]").val(value);
                }
              }
              $("#add_client").modal("show");
            });

            //   $('.custom-table').DataTable();
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

        $(document).on("change", ".amount", function () {
          var grandTotal = 0;
          $("#GRNTable1 tbody tr").map(function () {
            var $row = $(this);
            grandTotal += Number($row.find("td").eq(2).find("input").val());
          });

          $("#grandtotal").val(grandTotal);
        });

        $("#addForm").submit(function (e) {
          e.preventDefault();
          const uid = sessionStorage.getItem("user_id");
          var postData = {
            gofor: actionType,
            user_id: uid,
            name: $('[name="name"]').val(),
            event_id: $('[name="event_id"]').val(),
            totalamount: $("#grandtotal").val(),
            status: "1",
            package_details: [],
          };

          if(actionType === 'editpackages') postData.package_id = selectedpackageData.package_id;

          $("#GRNTable1 tbody tr").map(function () {
            var $row = $(this);
            postData.package_details.push({
              service: $row.find("td").eq(0).find("select option:selected").val(),
              specifications: $row.find("td").eq(1).find("input").val(),
              amount: $row.find("td").eq(2).find("input").val(),
              package_id: (actionType === 'editpackages') ? selectedpackageData.package_id : undefined
            });
          });
          addPackages(postData);
        });

        function addPackages(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function getServiceList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=serviceslist&user_id=" +
              uid,
            success: function (data) {
              $dropdown = $("#col1");
              serviceList = data;
              $.each(data, function (index, service) {
                $dropdown.append(
                  "<option value='" +
                    service.service_id +
                    "'>" +
                    service.service_name +
                    "</option>"
                );
              });
            },
          });
        }

        function getEventList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=eventslist&user_id=" +
              uid,
            success: function (data) {
              $dropdown = $("#eventName");
              $.each(data, function (a, b) {
                $dropdown.append(
                  "<option value='" +
                    this.event_id +
                    "'>" +
                    this.event_name +
                    "</option>"
                );
              });
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
          actionType = "addpackages";
          $('.modal-title').text('Add Packages');
        });
      });
    </script>
    <?php include "common-script.php";?>
  </body>
</html>
