<div class="sidebar" id="sidebar">
    <div class="sidebar-inner slimscroll">
        <div id="sidebar-menu" class="sidebar-menu">
            <ul>
            </ul>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

<script>
    $(document).ready(function() {
        const uid = sessionStorage.getItem("user_id");

        fetch('https://efflo.xyz/App/api.php?gofor=userget_by_user_id&user_id=' + uid)
            .then(function(response) {
                return response.json();
            })
            .then(function(data) {
				const utype = data.type;
				document.getElementById('utype').innerHTML=utype;
				if (data.type === 'Admin') {
					$(".adduserprofile").show();
				}
				if (data.type === 'Super Admin') {
					$(".addprofile").show();
				}
                // Assuming the response contains a property called 'type'
                if (data.type === 'Admin' || data.type === 'Super Admin') {
                    // Show the entire menu
                    var menus = `
                        <li class="menu-title"><span>&nbsp;</span></li>
                        <li class="">
                            <a href="dashboard.php" title="Dashboard"><i class="la la-dashboard"></i> <span> Dashboard</span></a>
                        </li>

                        <li class="menu-title mt-3">
                            <span>Data</span>
                        </li>

                        <li>
                            <a href="leads.php" title="Leads"><i class="la la-user-circle"></i> <span>Leads</span></a>
                        </li>
                        <li>
                            <a href="customers.php" title="Customers"><i class="la la-user-tie"></i> <span>Customers</span></a>
                        </li>
                        <li>
                            <a href="employees.php" title="Employees"><i class="la la-user"></i> <span>Employees</span></a>
                        </li>
                        <li>
                            <a href="vendors.php" title="Vendors"><i class="la la-users"></i> <span>Vendors</span></a>
                        </li>
                        <li>
                            <a href="feedbacks.php" title="Feedbacks"><i class="la la-comment"></i> <span>Feedbacks</span></a>
                        </li>

                        <li class="menu-title mt-3">
                            <span>Project Management</span>
                        </li>

                        <li>
                            <a href="estimates.php" title="Estimates"><i class="la la-money"></i> <span>Estimates</span></a>
                        </li>
                        <li>
                            <a href="orders.php" title="Orders"><i class="la la-file-invoice-dollar"></i> <span>Orders</span></a>
                        </li>

                        <li>
                            <a href="calendar.php" title="Calendar"><i class="la la-calendar"></i> <span>Calendar</span></a>
                        </li>
                        <li>
                            <a href="image_selection.php" title="Image Selection"><i class="la la-image"></i> <span>Image Selection</span></a>
                        </li>

                        <li class="menu-title mt-3">
                            <span>Accounting</span>
                        </li>

                        <li>
                            <a href="payments.php" title="Payments"><i class="la la-wallet"></i> <span>Payments</span></a>
                        </li>
                        <li>
                            <a href="expenses.php" title="Expenses"><i class="la la-money-bill"></i> <span>Expenses</span></a>
                        </li>
                        <li>
                            <a href="all_transactions.php" title="All Transactions"><i class="la la-money-check-alt"></i> <span>All Transactions</span></a>
                        </li>

                        <li class="menu-title mt-3">
                            <span>HRM</span>
                        </li>

                        <li>
                            <a href="appointments.php" title="Appointments"><i class="la la-calendar-check"></i> <span>Appointments</span></a>
                        </li>
                        <li>
                            <a href="departments.php" title="Departments"><i class="la la-boxes"></i> <span>Departments</span></a>
                        </li>
                        <li>
                            <a href="designations.php" title="Designations"><i class="la la-id-card"></i> <span>Designations</span></a>
                        </li>
                        <li>
                            <a href="timesheets.php" title="Timesheets"><i class="la la-calendar-week"></i> <span>Timesheets</span></a>
                        </li>
                        <li>
                            <a href="attendance.php" title="Attendance"><i class="la la-calendar-check"></i> <span>Attendance</span></a>
                        </li>
                        <li>
                            <a href="salary.php" title="Salary"><i class="la la-credit-card"></i> <span>Salary</span></a>
                        </li>
						<li>
                            <a href="payroll.php" title="Payroll"><i class="la la-credit-card"></i> <span>Payroll</span></a>
                        </li>
                        <li>
                            <a href="leaves.php" title="Leaves"><i class="la la-calendar-times"></i> <span>Leaves</span></a>
                        </li>
                        <li>
                            <a href="holidays.php" title="Holidays"><i class="la la-business-time"></i> <span>Holidays</span></a>
                        </li>
                        <li>
                            <a href="announcement.php" title="Announcements"><i class="la la-bullhorn"></i> <span>Announcements</span></a>
                        </li>

                        <li class="menu-title mt-3">
                            <span>My Business</span>
                        </li>

                        <li>
                            <a href="products.php" title="Products"><i class="la la-shopping-cart"></i> <span>Products</span></a>
                        </li>
                        <li>
                        <a href="stores.php" title="Stores"><i class="la la-industry"></i> <span>Stores</span></a>
                        </li>

                        <li>
                            <a href="equipments.php" title="Equipments"><i class="la la-tools"></i> <span>Equipments</span></a>
                        </li>

                        <li>
                            <a href="eqserv.php" title="EquServ"><i class="la la-list"></i> <span>EquServ</span></a>
                        </li>
                        <li>
                            <a href="portfolio.php" title="Portfolio"><i class="la la-icons"></i> <span>Portfolio</span></a>
                        </li>
                        <li>
                            <a href="services.php" title="Services"><i class="la la-clipboard-list"></i> <span>Services</span></a>
                        </li>
                        <li>
                            <a href="events.php" title="Events"><i class="la la-photo-video"></i> <span>Events</span></a>
                        </li>
                        <li>
                            <a href="tasks.php" title="Tasks"><i class="la la-newspaper"></i> <span>Tasks</span></a>
                        </li>
                        <li>
                            <a href="packages.php" title="Packages"><i class="la la-money-check-alt"></i> <span>Packages</span></a>
                        </li>
                        <li>
                            <a href="testimonials.php" title="Testimonials"><i class="la la-comment-o"></i> <span>Testimonials</span></a>
                        </li>

                        <li class="submenu">
                            <a href="#"><i class="la la-pie-chart"></i> <span> Settings </span> <span class="menu-arrow"></span></a>
                            <ul style="display: none";">
                                <li><a href="ref_source.php"> Source</a></li>
                                <li><a href="subcategory.php"> Subcategory </a></li>
                                <li><a href="shoot.php"> Shoot</a></li>
                                <li><a href="vendortype.php"> Vendor Type </a></li>
                                <!--<li><a href="feedbacktype.php"> Feedback Type </a></li>-->
                                <li><a href="paymethod.php"> Pay Method </a></li>
                                <li><a href="purchase_from.php"> Purchase From </a></li>
                                <li><a href="expenses_category.php"> Expense Category </a></li>
                                <li><a href="expenses_towhom.php"> Expense To Whom </a></li>
                                <li><a href="equipments_brand.php"> Equipments Brand </a></li>
                                <li><a href="equipments_type.php"> Equipments Type </a></li>
                                <li><a href="task-list.php"> Tasks </a></li>
                                <li><a href="terms.php"> Terms</a></li>
                            </ul>
                        </li>
                    `;

                    $('.sidebar-menu ul').html(menus);

                } else if (data.type === 'Emp') {
                    // Show only specific menus (Leads, Customers, Estimates, Orders, Calendar)
                    var menus = `
                        <li class="menu-title mt-3">
                            <span>Menu</span>
                        </li>

                        <li>
                            <a href="leads.php" title="Leads"><i class="la la-user-circle"></i> <span>Leads</span></a>
                        </li>
                        <li>
                            <a href="customers.php" title="Customers"><i class="la la-user-tie"></i> <span>Customers</span></a>
                        </li>
                        
                        <li>
                            <a href="estimates.php" title="Estimates"><i class="la la-money"></i> <span>Estimates</span></a>
                        </li>
                        <li>
                            <a href="orders.php" title="Orders"><i class="la la-file-invoice-dollar"></i> <span>Orders</span></a>
                        </li>

                        
                        <li>
                            <a href="calendar.php" title="Calendar"><i class="la la-calendar"></i> <span>Calendar</span></a>
                        </li>
                        
                    `;

                    $('.sidebar-menu ul').html(menus);
                }

                var page = location.pathname.split('/').pop();
                $('#sidebar-menu li a[href="' + page + '"]').addClass('active');
                if (page == 'vendor-detail.php') {
                    $('#sidebar-menu li a[href="vendors.php"]').addClass('active');
                }
                if (page == 'employee-detail.php') {
                    $('#sidebar-menu li a[href="employees.php"]').addClass('active');
                }
                if (page == 'customer-detail.php') {
                    $('#sidebar-menu li a[href="customers.php"]').addClass('active');
                }
                if (page == 'create-estimate.php') {
                    $('#sidebar-menu li a[href="estimates.php"]').addClass('active');
                }
                if (page == 'estimate-view.php') {
                    $('#sidebar-menu li a[href="estimates.php"]').addClass('active');
                }
                if (page == 'create-order.php') {
                    $('#sidebar-menu li a[href="orders.php"]').addClass('active');
                }
                if (page == 'order-detail.php') {
                    $('#sidebar-menu li a[href="orders.php"]').addClass('active');
                }
                if (page == 'image-detail.php') {
                    $('#sidebar-menu li a[href="image_selection.php"]').addClass('active');
                }
                if (page == 'image_selector.php') {
                    $('#sidebar-menu li a[href="image_selection.php"]').addClass('active');
                }
                if (page == 'all_transactions.php') {
                    $('#sidebar-menu li a[href="all_transactions.php"]').addClass('active');
                }
                if (page == 'add-eqserv.php') {
                    $('#sidebar-menu li a[href="eqserv.php"]').addClass('active');
                }
                if (page == 'add-tasks.php') {
                    $('#sidebar-menu li a[href="tasks.php"]').addClass('active');
                }
                
                var Sidemenu = function() {
            		this.$menuItem = $('#sidebar-menu a');
            	};
            	
            	function init() {
            		var $this = Sidemenu;
            		$('#sidebar-menu a').on('click', function(e) {
            			if($(this).parent().hasClass('submenu')) {
            				e.preventDefault();
            			}
            			if(!$(this).hasClass('subdrop')) {
            				$('ul', $(this).parents('ul:first')).slideUp(350);
            				$('a', $(this).parents('ul:first')).removeClass('subdrop');
            				$(this).next('ul').slideDown(350);
            				$(this).addClass('subdrop');
            			} else if($(this).hasClass('subdrop')) {
            				$(this).removeClass('subdrop');
            				$(this).next('ul').slideUp(350);
            			}
            		});
            		$('#sidebar-menu ul li.submenu a.active').parents('li:last').children('a:first').addClass('active').trigger('click');
            	}
            	
            	// Sidebar Initiate
            	init();
            })
            .catch(function(error) {
                console.error('Error fetching user data:', error);
            });
    });
</script>