<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Testimonials</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Testimonials</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->
		 <!--
          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
		  <!--

          <!-- Search Filter 
          <div class="row filter-row">
            <div class="col-sm-6 col-md-4 col-lg-4 col-xl-4 col-12">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>-- Select --</option>
                  <option>Loren Gatlin</option>
                  <option>Tarah Shropshire</option>
                </select>
                <label class="focus-label">Type</label>
              </div>
            </div>

            <div class="col-sm-6 col-md-4 col-lg-4 col-xl-3 col-12">
              <div class="form-group form-focus">
                <div class="cal-icon">
                  <input
                    class="form-control floating datetimepicker"
                    type="text"
                  />
                </div>
                <label class="focus-label">From</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-4 col-lg-4 col-xl-3 col-12">
              <div class="form-group form-focus">
                <div class="cal-icon">
                  <input
                    class="form-control floating datetimepicker"
                    type="text"
                  />
                </div>
                <label class="focus-label">To</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- /Search Filter -->

          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-striped custom-table mb-0">
                  <thead>
                    <tr>
                      <th>#</th>
                      <th>Photo</th>
                      <th>Name</th>
                      <th>Profession</th>
                      <th>Type</th>
                      <th>Order</th>
                      <th>Content</th>
                      <th class="text-center">Status</th>
                      <th class="text-right">Actions</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr></tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add Expense Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div
            class="modal-dialog modal-dialog-centered modal-lg"
            role="document"
          >
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title">Add Testimonials</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form id="addForm">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="form-group row">
                        <label class="col-form-label col-sm-12 pt-0"
                          >Type</label
                        >
                        <div class="col-sm-4 mt-2">
                          <input
                            class=""
                            type="radio"
                            id="expenses_type"
                            name="type"
                            value="General"
                            checked
                          />
                          <label class="form-check-label" for="radio11"
                            >General</label
                          >
                        </div>
                        <div class="col-sm-4 mt-2">
                          <input
                            class=""
                            type="radio"
                            id="order_type"
                            name="type"
                            value="Order"
                          />
                          <label class="form-check-label" for="radio22"
                            >Orders</label
                          >
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6" id="ifYes" style="display: none">
                      <div class="row">
                        <div class="col-md-12">
                          <div class="form-group">
                            <label
                              >Orders <span class="text-danger">*</span></label
                            >
                            <select
                              class="select"
                              id="order_id"
                              name="order_id"
                            >
                              <option value="">Please Select</option>
                            </select>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Name</label>
                        <input
                          class="form-control"
                          type="text"
                          id="name"
                          name="name"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Profession</label>
                        <input
                          class="form-control"
                          type="text"
                          id="profession"
                          name="profession"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Location</label>
                        <input
                          class="form-control"
                          type="text"
                          id="location"
                          name="location"
                        />
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Photo</label>
                        <input class="form-control" type="file" id="photo" />
                      </div>
                    </div>
                    <div class="col-md-12">
                      <div class="form-group">
                        <label>Content</label>
                        <textarea
                          class="form-control"
                          id="content"
                          name="content"
                        ></textarea>
                      </div>
                    </div>

                    <div class="col-md-6">
                      <div class="form-group">
                        <label>Status</label>
                        <select class="select" id="status" name="status">
                          <option value="">Choose</option>
                          <option value="0">Pending</option>
                          <option value="1">Approved</option>
                        </select>
                      </div>
                    </div>
                  </div>

                  <div class="submit-section">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add Expense Modal -->

        <!-- Edit Expense Modal 
				<div id="edit_expense" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Edit Expense</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label>Item Name</label>
												<input class="form-control" value="Dell Laptop" type="text">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Purchase From</label>
												<input class="form-control" value="Amazon" type="text">
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label>Purchase Date</label>
												<div class="cal-icon"><input class="form-control datetimepicker" type="text"></div>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Purchased By </label>
												<select class="select">
													<option>Daniel Porter</option>
													<option>Roger Dixon</option>
												</select>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label>Amount</label>
												<input placeholder="$50" class="form-control" value="$10000" type="text">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Paid By</label>
												<select class="select">
													<option>Cash</option>
													<option>Cheque</option>
												</select>
											</div>
										</div>
									</div>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label>Status</label>
												<select class="select">
													<option>Pending</option>
													<option>Approved</option>
												</select>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Attachments</label>
												<input class="form-control" type="file">
											</div>
										</div>
									</div>
									<div class="attach-files">
										<ul>
											<li>
												<img src="assets/img/placeholder.jpg" alt="">
												<a href="#" class="fa fa-close file-remove"></a>
											</li>
											<li>
												<img src="assets/img/placeholder.jpg" alt="">
												<a href="#" class="fa fa-close file-remove"></a>
											</li>
										</ul>
									</div>
									<div class="submit-section">
										<button class="btn btn-primary submit-btn">Save</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Edit Expense Modal -->

        <!-- Delete Expense Modal -->
        <div class="modal custom-modal fade" id="delete_expense" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete Expense</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- Delete Expense Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- Toast -->
    <div
      class="toast"
      role="alert"
      aria-live="assertive"
      aria-atomic="true"
      data-delay="2000"
      style="position: absolute; top: 5rem; right: 1rem"
    >
      <div>
        <strong class="mr-auto toast-header"></strong>
        <button
          type="button"
          class="ml-2 mb-1 close"
          data-dismiss="toast"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="toast-body"></div>
    </div>
    <!-- /Toast -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script>
      $("input[type='radio']").on("change", function () {
        if ($("#order_type").is(":checked")) {
          document.getElementById("ifYes").style.display = "block";
        } else {
          document.getElementById("ifYes").style.display = "none";
        }
      });
    </script>
    <script>
      var testimonialData = "";
      var actionType = "addtestimonials";
      var testimonialId = "";
      $(document).ready(function () {
        getOrdersList();
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=testimonialslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            testimonialData = data;
            $.each(data, function (a, b) {
              let spanData = "";
              if (b.status === "1") {
                spanData =
                  '<span class="badge bg-inverse-success">Approved</span>';
              }
              if (b.status === "0") {
                spanData =
                  '<span class="badge bg-inverse-danger">Pending</span>';
              }

              table.append(
                '<tr><td>' +
                  (a + 1) +
                  '</td>' +
                  '<td><img class="b-50" alt="" src="' +
                  b.photo +
                  '" width="50px" height="50px"></td>' +
                  '<td>' +
                  b.name +
                  '</td>' +
                  '<td>' +
                  b.profession +
                  '</td>' +
                  '<td>' +
                  b.type +
                  '</td>' +
                  '<td>' +
                  b.order_id +
                  '</td>' +
                  '<td>' +
                  b.content +
                  '</td>' +
                  '<td class="text-center">' +
                  spanData +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-testimonial-id="' +
                  b.testimonial_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-testimonial-id="' +
                  b.testimonial_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "edittestimonials";
                  testimonialId = e.target.parentElement.getAttribute(
                    "data-testimonial-id"
                  );
                  var selectedtestimonialData = testimonialData.find(
                    (l) => l.testimonial_id === testimonialId.toString()
                  );
                  var entries = Object.entries(selectedtestimonialData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "testimonial_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);
                    }
                  }
                  $("#add_client").modal("show");
                });

                $(document).on("click", ".delete_user", (e) => {
                  const lId = e.target.parentElement.getAttribute(
                    "data-testimonial-id"
                  );
                  
				  Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=testimonialsdelete&testimonial_id=" +lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

        $("#photo").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            const replaceBaseSrc = reader.result.split("base64,")[1];

            var data = {
              gofor: "testimonial_photo_post",
              user_id: sessionStorage.getItem("user_id"),
              photo: replaceBaseSrc,
            };
            uploadImage(data);
          };
          reader.readAsDataURL(file);
        });

        function uploadImage(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              var keyToSave = Object.keys(postData)[2];
              window[keyToSave] = data;
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          data.append("photo", window.photo);
          if (actionType === "edittestimonials") {
            data.append("testimonial_id", testimonialId);
          }

          if ($("#expenses_type").prop("checked")) {
            data.delete("order_id");
          }

          var jsonData = JSON.stringify(Object.fromEntries(data));

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("testimonial Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });

        function getOrdersList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=orderslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#order_id");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.order_id +
                    "'>" +
                    this.order_id +
                    "</option>"
                );
              });
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>
    <?php include "common-script.php";?>
  </body>
</html>
