<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row">
							<div class="col">
								<h3 class="page-title">Tracking</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Tracking</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="quick-stats">
									<button class="special-box-btn" data-toggle="dropdown"><i class="ti-download"></i></button>
									<div class="dropdown-menu dropdown-menu-right">
										<a class="dropdown-item" href="#">PDF</a>
										<a class="dropdown-item" href="#">Excel</a>
									</div>
								</div>
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					<!--
					<div class="row special">
						<div class="col-md-12">
							<div class="card-group special-box m-b-30">
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">112</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">New </span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-info1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">70</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Pending</span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-primary1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">100</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Active</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-danger1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">125</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Inactive</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-success1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							</div>
						</div>	
					</div>
					-->
					<!--
					<div class="row filter-row">
						<div class="col-sm-6 col-md-3">  
							<div class="form-group form-focus">
								<div class="cal-icon">
									<input class="form-control floating datetimepicker" type="text">
								</div>
								<label class="focus-label">From</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">  
							<div class="form-group form-focus">
								<div class="cal-icon">
									<input class="form-control floating datetimepicker" type="text">
								</div>
								<label class="focus-label">To</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3"> 
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option>Select Status</option>
									<option>Accepted</option>
									<option>Declined</option>
									<option>Expired</option>
								</select>
								<label class="focus-label">Status</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">  
							<a href="#" class="btn btn-success btn-block"> Search </a>  
						</div>     
                    </div>
					-->
					<div class="row">
						<div class="col-md-12">
							<div class="table-responsive">	
								<table class="table table-striped table-nowrap custom-table mb-0">
									<thead>
										<tr>
											<th>Tracking ID</th>
											<th>Order</th>
											<th>Phase</th>
											<th>Assigned</th>
											<th>Due Date</th>
											<th>Remarks</th>
											<th>Action</th>
										</tr>
									</thead>
									<tbody>
										
									</tbody>
								</table>
							</div>
						</div>
					</div>
                </div>
				<!-- /Page Content -->
				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->
		
		<!-- Add Client Modal -->
				<div id="add_client" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Add Tracking</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form id="addForm">
									<div class="row">
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Orders <span class="text-danger">*</span></label>
												<select class="form-control" id="order_id" name="order_id"> 
													<option value="">Select Orders</option>				
												</select>
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Services <span class="text-danger">*</span></label>
												<select class="form-control" id="service_id" name="service_id"> 
													<option value="">Select Services</option>				
												</select>
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Tasks <span class="text-danger">*</span></label>
												<select class="form-control" id="task_id" name="task_id"> 
													<option value="">Select Tasks</option>				
												</select>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Phase <span class="text-danger">*</span></label>
												<input class="form-control" type="text" id="phase" name="phase" >
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Assigned <span class="text-danger">*</span></label>
												<select class="form-control" id="assigned" name="assigned"> 
													<option value="">Choose</option>
													<option value="Arjun">Arjun</option>
													<option value="Karthik">Karthik</option>
													<option value="Sathish Kumar">Sathish Kumar</option>
													<option value="Pradeep">Pradeep</option>
												</select>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Due Date</label>
												<input class="form-control" type="date" id="due_date" name="due_date">
											</div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label class="col-form-label">Remarks </label>
											<textarea
											  class="form-control floating"
											  id="remarks" name="remarks"
											></textarea>
										  </div>
										</div>
										
				  
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Status <span class="text-danger">*</span></label>
												<select class="form-control" name="status" id="status"> 
													<option value="">Select Status </option>
													<option value="1">Active</option>
													<option value="2">Inactive</option>
												</select>
											</div>
										</div>
										
										
									</div>
									
									<div class="submit-section">
										<button class="btn btn-primary submit-btn">Submit</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add Client Modal -->
				
				
				<!-- Toast -->
				<div class="toast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="2000" style="position: absolute; top: 5rem; right: 1rem;">
				  <div>
					<strong class="mr-auto toast-header"></strong>
					<button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
					  <span aria-hidden="true">&times;</span>
					</button>
				  </div>
				  <div class="toast-body"></div>
				</div>
				<!-- /Toast -->

		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>

		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>

		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Datatable JS -->
		<script src="assets/js/jquery.dataTables.min.js"></script>
		<script src="assets/js/dataTables.bootstrap4.min.js"></script>

		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script>
			$(function() {
				$("#total_amount, #payment_due").on("keydown keyup", sum);
				function sum() {				
				$("#amount_paying").val(Number($("#total_amount").val()) - Number($("#payment_due").val()));
				}
			});
		</script>
		<script>
      var trackingData = "";
      var actionType = "addtracking";
      var trackingId = "";
      $(document).ready(function () {
		getOrdersList(); 
		getServicesList(); 
		getTasksList(); 
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=trackinglist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            trackingData = data;
            $.each(data, function (a, b) {
              

              table.append(
                "<tr><td>" +
                  b.tracking_id +
                  "</td>" +
                  "<td>" +
                  b.order_id +
                  "</td>" +
                  "<td>" +
                  b.phase +
                  "</td>" +
                  "<td>" +
                  b.assigned +
                  "</td>" +
                  "<td>" +
                  b.due_date +
                  "</td>" +
                  "<td>" +
                  b.remarks +
                  "</td>" +
                  
                  '<td class="text-right"><span class="text-danger delete_user" data-tracking-id="' +
                  b.tracking_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-tracking-id="' +
                  b.tracking_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "edittracking";
                  trackingId = e.target.parentElement.getAttribute("data-tracking-id");
                  var selectedtrackingData = trackingData.find(
                    (l) => l.tracking_id === trackingId.toString()
                  );
                  var entries = Object.entries(selectedtrackingData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "tracking_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);

                      
                    }
                  }
                  $("#add_client").modal("show");
                });
                
                $(document).on("click", ".delete_user", (e) => {
                    const lId = e.target.parentElement.getAttribute("data-tracking-id");
                    
					Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=trackingdelete&tracking_id="+lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        $("#source").change((v) => {
          if (v.target.value === "Referral") {
            $("#rname").removeClass("d-none");
            $("#rnumber").removeClass("d-none");
          } else {
            $("#rname").addClass("d-none");
            $("#rnumber").addClass("d-none");
          }
        });

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          if (actionType === "edittracking") {
            data.append("tracking_id", trackingId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
                setTimeout(() => {
                    $('.toast-header strong').text('Added');
                    $('.toast-body').text('Tracking Added Successfully');
                    $('.toast').toast('show');
                }, 1000)
            },
          });
        });
		
		function getOrdersList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=orderslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#order_id");			  
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.order_id +
                    "'>" +
                    this.order_id +
                    "</option>"
                );
				
              });
            },
          });
        }
		
		function getServicesList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=servicelist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#service_id");			  
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.service_id +
                    "'>" +
                    this.service_name +
                    "</option>"
                );
				
              });
            },
          });
        }
		
		function getTasksList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=taskslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#task_id");			  
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.task_id +
                    "'>" +
                    this.task_name +
                    "</option>"
                );
				
              });
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>
		<?php include "common-script.php";?>
    </body>
</html>