<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Users</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Users</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_user"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					<!--
					<div class="row special">
						<div class="col-md-12">
							<div class="card-group special-box m-b-30">
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">112</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">New </span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-info1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">70</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Pending</span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-primary1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">100</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Active</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-danger1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">125</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Inactive</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-success1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							</div>
						</div>	
					</div>
					-->
					
					<!-- Search Filter 
					<div class="row filter-row">
						<div class="col-sm-6 col-md-3">  
							<div class="form-group form-focus">
								<input type="text" class="form-control floating">
								<label class="focus-label">Name</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3"> 
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option>Select Company</option>
									<option>Global Technologies</option>
									<option>Delta Infotech</option>
								</select>
								<label class="focus-label">Company</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3"> 
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option>Select Roll</option>
									<option>Web Developer</option>
									<option>Web Designer</option>
									<option>Android Developer</option>
									<option>Ios Developer</option>
								</select>
								<label class="focus-label">Role</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">  
							<a href="#" class="btn btn-success btn-block"> Search </a>  
						</div>     
                    </div>
					<!-- /Search Filter -->
					
					<div class="row">
						<div class="col-md-12">
							<div class="table-responsive">
								<table class="table table-striped custom-table datatable">
									<thead>
										<tr>
											<th>Name</th>
											<th>Email</th>
											<th>Company</th>
											<th>Created Date</th>
											<th>Role</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<tr>
											<td>
												<h2 class="table-avatar">
													<a href="profile.php" class="avatar"><img src="assets/img/profiles/avatar-21.jpg" alt=""></a>
													<a href="profile.php">Daniel Porter <span>Admin</span></a>
												</h2>
											</td>
											<td>danielporter@example.com</td>
											<td>Dreamguy's Technologies</td>
											<td>1 Jan 2013</td>
											<td>
												<span class="badge bg-inverse-danger">Admin</span>
											</td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
										<tr>
											<td>
												<h2 class="table-avatar">
													<a href="profile.php" class="avatar"><img alt="" src="assets/img/profiles/avatar-02.jpg"></a>
													<a href="profile.php">John Doe <span>Web Designer</span></a>
												</h2>
											</td>
											<td>johndoe@example.com</td>
											<td>Dreamguy's Technologies</td>
											<td>1 Jan 2013</td>
											<td>
											<span class="badge bg-inverse-success">Employee</span>
											</td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
										<tr>
											<td>
												<h2 class="table-avatar">
													<a href="profile.php" class="avatar"><img alt="" src="assets/img/profiles/avatar-09.jpg"></a>
													<a href="profile.php">Richard Miles <span>Admin</span></a>
												</h2>
											</td>
											<td>richardmiles@example.com</td>
											<td>Dreamguy's Technologies</td>
											<td>1 Jan 2013</td>
											<td>
												<span class="badge bg-inverse-success">Employee</span>
											</td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
										<tr>
											<td>
												<h2 class="table-avatar">
													<a href="profile.php" class="avatar"><img alt="" src="assets/img/profiles/avatar-10.jpg"></a>
													<a href="profile.php">John Smith <span>Android Developer</span></a>
												</h2>
											</td>
											<td>johnsmith@example.com</td>
											<td>Dreamguy's Technologies</td>
											<td>1 Jan 2013</td>
											<td>
												<span class="badge bg-inverse-success">Employee</span>
											</td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
										<tr>
											<td>
												<h2 class="table-avatar">
													<a href="profile.php" class="avatar"><img alt="" src="assets/img/profiles/avatar-05.jpg"></a>
													<a href="profile.php">Mike Litorus <span>IOS Developer</span></a>
												</h2>
											</td>
											<td>mikelitorus@example.com</td>
											<td>Dreamguy's Technologies</td>
											<td>1 Jan 2013</td>
											<td>
												<span class="badge bg-inverse-success">Employee</span>
											</td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
										<tr>
											<td>
												<h2 class="table-avatar">
													<a href="profile.php" class="avatar"><img alt="" src="assets/img/profiles/avatar-11.jpg"></a>
													<a href="profile.php">Wilmer Deluna <span>Team Leader</span></a>
												</h2>
											</td>
											<td>wilmerdeluna@example.com</td>
											<td>Dreamguy's Technologies</td>
											<td>1 Jan 2013</td>
											<td>
												<span class="badge bg-inverse-success">Employee</span>
											</td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
										<tr>
											<td>
												<h2 class="table-avatar">
													<a href="profile.php" class="avatar"><img src="assets/img/profiles/avatar-19.jpg" alt=""></a>
													<a href="profile.php">Barry Cuda <span>Global Technologies</span></a>
												</h2>
											</td>
											<td>barrycuda@example.com</td>
											<td>Global Technologies</td>
											<td>1 Jan 2013</td>
											<td>
												<span class="badge bg-inverse-info">Client</span>
											</td>
											<td class="text-right">
												<a class="text-danger" href="#" data-toggle="modal" data-target="#edit_user"><i class="fa fa-trash-o fa-lg m-r-5"></i></a>
												<a class="text-success" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-pencil fa-lg m-r-5"></i></a>
												<a class="text-warning" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-envelope fa-lg m-r-5"></i></a>
												<a class="text-primary" href="#" data-toggle="modal" data-target="#delete_user"><i class="fa fa-external-link-square fa-lg m-r-5"></i></a>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
					</div>
                </div>
				<!-- /Page Content -->
				
				<!-- Add User Modal -->
				<div id="add_user" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Add User</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form>
									<div class="row">
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Name <span class="text-danger">*</span></label>
												<input class="form-control" type="text">
											</div>
										</div>										
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Mobile No</label>
												<input class="form-control" type="text">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Email <span class="text-danger">*</span></label>
												<input class="form-control" type="email">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Password <span class="text-danger">*</span></label>
												<input class="form-control" type="text">
											</div>
										</div>
									
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Role <span class="text-danger">*</span></label>
												<select class="select floating"> 
													<option>Select Role </option>
													<option>Super Admin</option>
													<option>CRM</option>
													<option>Admin</option>
													<option>Manager</option>
												</select>
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Status <span class="text-danger">*</span></label>
												<select class="select floating"> 
													<option>Select Status </option>
													<option>Active</option>
													<option>Inactive</option>
												</select>
											</div>
										</div>
									</div>
									
									<div class="submit-section">
										<button class="btn btn-primary submit-btn">Submit</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add User Modal -->
				
				<!-- Edit User Modal -->
				<div id="edit_user" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Edit User</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form>
									<div class="row">
										<div class="col-sm-6">
											<div class="form-group">
												<label>First Name <span class="text-danger">*</span></label>
												<input class="form-control" value="John" type="text">
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label>Last Name</label>
												<input class="form-control" value="Doe" type="text">
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label>Username <span class="text-danger">*</span></label>
												<input class="form-control" value="johndoe" type="text">
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label>Email <span class="text-danger">*</span></label>
												<input class="form-control" value="johndoe@example.com" type="email">
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label>Password</label>
												<input class="form-control" type="password">
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label>Confirm Password</label>
												<input class="form-control" type="password">
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label>Phone </label>
												<input class="form-control" value="9876543210" type="text">
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label>Role</label>
												<select class="select">
													<option>Admin</option>
													<option>Client</option>
													<option selected>Employee</option>
												</select>
											</div>
										</div>
										<div class="col-sm-6">
											<div class="form-group">
												<label>Company</label>
												<select class="select">
													<option>Global Technologies</option>
													<option>Delta Infotech</option>
												</select>
											</div>
										</div>
										<div class="col-sm-6">  
											<div class="form-group">
												<label>Employee ID <span class="text-danger">*</span></label>
												<input type="text" value="FT-0001" class="form-control floating">
											</div>
									   </div>
									</div>
									<div class="table-responsive m-t-15">
										<table class="table table-striped custom-table">
											<thead>
												<tr>
													<th>Module Permission</th>
													<th class="text-center">Read</th>
													<th class="text-center">Write</th>
													<th class="text-center">Create</th>
													<th class="text-center">Delete</th>
													<th class="text-center">Import</th>
													<th class="text-center">Export</th>
												</tr>
											</thead>
											<tbody>
												<tr>
													<td>Employee</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
												</tr>
												<tr>
													<td>Holidays</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
												</tr>
												<tr>
													<td>Leaves</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
												</tr>
												<tr>
													<td>Events</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
													<td class="text-center">
														<input checked="" type="checkbox">
													</td>
												</tr>
											</tbody>
										</table>
									</div>
									<div class="submit-section">
										<button class="btn btn-primary submit-btn">Save</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Edit User Modal -->
				
				<!-- Delete User Modal -->
				<div class="modal custom-modal fade" id="delete_user" role="dialog">
					<div class="modal-dialog modal-dialog-centered">
						<div class="modal-content">
							<div class="modal-body">
								<div class="form-header">
									<h3>Delete User</h3>
									<p>Are you sure want to delete?</p>
								</div>
								<div class="modal-btn delete-action">
									<div class="row">
										<div class="col-6">
											<a href="javascript:void(0);" class="btn btn-primary continue-btn">Delete</a>
										</div>
										<div class="col-6">
											<a href="javascript:void(0);" data-dismiss="modal" class="btn btn-primary cancel-btn">Cancel</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- /Delete User Modal -->
				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->

		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>

		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>

		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Datatable JS -->
		<script src="assets/js/jquery.dataTables.min.js"></script>
		<script src="assets/js/dataTables.bootstrap4.min.js"></script>

		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<?php include "common-script.php";?>
    </body>
</html>