<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<link rel="stylesheet" href="plugins/porfolio-filter/css/magnific-popup.css" />
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
		<style>
        

        .container-album {
			padding:30px;
            display: flex;
            width: 100%;
            background-color: #ffffff;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            overflow: hidden;
        }

        .image-container {
            flex: 1;
            overflow: hidden;
        }

        .image-container img {
            width: 100%;
            height: auto;
            display: block;
        }

        .feedback-container {
            flex: 1;
            padding: 20px;
        }

        .feedback-form {
            max-width: 400px;
            margin: 0 auto;
        }

        .feedback-form label {
            display: block;
            margin-bottom: 10px;
        }

        .feedback-form input,
        .feedback-form textarea {
            width: 100%;
            padding: 10px;
            margin-bottom: 15px;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
        }

        .feedback-form button {
            background-color: #4caf50;
            color: #fff;
            padding: 10px 15px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
    </style>
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Vidoes</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Vidoes</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								
								
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					<div class="row special">
						<div class="col-md-12 mySlides">
							<div class="container-album">
								<div class="image-container">
									<a href="http://www.youtube.com/watch?v=7pVpquui3Rc" class="popup-youtube" data-fancybox-group="light" data-fancybox-type="iframe"> <img class="img-fluid" src="http://img.youtube.com/vi/7pVpquui3Rc/hqdefault.jpg" alt=""></a>
								</div>
								<div class="feedback-container">
									<div class="feedback-form">
										<h2>Feedback Form 1</h2>
										<label for="feedback">Feedback:</label>
										<textarea id="feedback" name="feedback" rows="4" required></textarea>

										<button type="submit">Submit Feedback</button>
									</div>
								</div>
							</div>
						</div>	
						<div class="col-md-12 mySlides">
							<div class="container-album">
								<div class="image-container">
									<a href="http://www.youtube.com/watch?v=pC7hlK8F4Fw" class="popup-youtube" data-fancybox-group="light" data-fancybox-type="iframe"> <img class="img-fluid" src="http://img.youtube.com/vi/pC7hlK8F4Fw/hqdefault.jpg" alt=""></a>
								</div>
								<div class="feedback-container">
									<div class="feedback-form">
										<h2>Feedback Form 2</h2>
										<label for="feedback">Feedback:</label>
										<textarea id="feedback" name="feedback" rows="4" required></textarea>

										<button type="submit">Submit Feedback</button>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-12 mySlides">
							<div class="container-album">
								<div class="image-container">
									<a href="http://www.youtube.com/watch?v=tyBJioe8gOs" class="popup-youtube" data-fancybox-group="light" data-fancybox-type="iframe"> <img class="img-fluid" src="http://img.youtube.com/vi/tyBJioe8gOs/hqdefault.jpg" alt=""></a>
								</div>
								<div class="feedback-container">
									<div class="feedback-form">
										<h2>Feedback Form 3</h2>
										<label for="feedback">Feedback:</label>
										<textarea id="feedback" name="feedback" rows="4" required></textarea>

										<button type="submit">Submit Feedback</button>
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<!-- Search Filter -->
					
					<!-- /Search Filter -->
					
					
                </div>
				<!-- /Page Content -->
				
				<!-- Add User Modal -->
				
				<!-- /Add User Modal -->
				
				<!-- Toast -->
				
				<!-- /Toast -->
				
				
				
				<!-- Delete User Modal -->
				
				<!-- /Delete User Modal -->
				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->

		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>

		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>

		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Datatable JS -->
		<script src="assets/js/jquery.dataTables.min.js"></script>
		<script src="assets/js/dataTables.bootstrap4.min.js"></script>

		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		
		<script src="plugins/porfolio-filter/js/isotope.pkgd.js"></script>
		<script src="plugins/porfolio-filter/js/jquery.magnific-popup.js"></script>
		
		<script>
		var slideIndex = 0;
		carousel();

		function carousel() {
		  var i;
		  var x = document.getElementsByClassName("mySlides");
		  for (i = 0; i < x.length; i++) {
			x[i].style.display = "none"; 
		  }
		  slideIndex++;
		  if (slideIndex > x.length) {slideIndex = 1} 
		  x[slideIndex-1].style.display = "block"; 
		  setTimeout(carousel, 2000); 
		}
		</script>
		<script>
		  $(document).ready(function() {
         var popup_btn = $('.popup-btn');
         popup_btn.magnificPopup({
         type : 'image',
         gallery : {
         	enabled : true
         }
         });
		 $('.popup-youtube, .popup-vimeo, .popup-gmaps').magnificPopup({
				disableOn: 700,
				type: 'iframe',
				mainClass: 'mfp-fade',
				removalDelay: 160,
				preloader: false,

				fixedContentPos: false
			});
         });
		</script>


	<?php include "common-script.php";?>	
    </body>
</html>