<div id="help" class="modal custom-modal fade" role="dialog">
	<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">Help</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<form action="post-help.php" method="POST">
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
								<label>Title </label>
								<input class="form-control" type="text" id="help_title" name="help_title" required>								
							</div>
						</div>
						<div class="col-md-12">
							<div class="form-group">
								<label>Brief</label>
								<textarea class="form-control" id="help_brief" name="help_brief" required></textarea>
							</div>
						</div>
					</div>
					
					<div class="submit-section">
						<button class="btn btn-primary submit-btn">Submit</button>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<link rel="stylesheet" type="text/css" href="plugins/sweet-alert/sweetalert2.min.css">
<script src="plugins/sweet-alert/sweetalert2.all.min.js"></script>
<!--<link rel="stylesheet" type="text/css" href="plugins/select2/css/select2.min.css">
<script src="plugins/select2/js/select2.min.js"></script>-->
<style>
.sidebar-menu > ul > li > a.active{color:#2d2a6b; font-weight:500;font-size: 18px;}
.notifications .noti-content{height : auto !important;max-height: 290px }
.no-data-div{margin-top:10%;}
.no-data-tab-div{margin-top:5%;}
.no-data-icon{color: #f36384;}
</style>
<script type="text/javascript">  
$(document).ready(function () {	
		notifyData();
		sofwareNotifyData();
		logoData();
		//faviconData();
        function notifyData() {
            const uid = sessionStorage.getItem("user_id");
			//alert(uid);
            if((uid !== "undefined")||(uid !== "")||(uid !== null)) {
                fetch('https://efflo.xyz/App/api.php?gofor=notifications&user_id='+uid)
    			.then(function (response) {
    				return response.json();
    			})
    			.then(function (data) {
    					appendData(data);
    					function appendData(data) {
    						//alert(data.length);
							const notify_count = data.length;
							document.getElementById('notify_count').innerHTML=notify_count;
    						if(data.length == 0){ 
								$(".noti-content").addClass('nofify-content-height');
								var notify = '<li class="notification-message"><a href="javascript:;"><div class="media" style="display: flex;    justify-content: center;align-items: center;text-align: center;"><div class="media-body"><p class="noti-details"><strong>No Notifications Yet!</strong><div class="small text-muted">Stay tuned! Notifications about your <br/>activity will show up here.</div></p></div></a></li>';
    							$(".notify-list").append(notify);
    						}
    						for (var i = 0; i < data.length; i++) {	
								$(".noti-content").removeClass('nofify-content-height');
    							var notify = '<li class="notification-message"><a href="javascript:;"><div class="media"><div class="media-body"><p class="noti-details">' + data[i].notifications + '</p><p class="noti-time"><span class="notification-time">' + data[i].created_date + '</span></p></div></div></a></li>';								
    							$(".notify-list").append(notify);
    						}
    					}
    			})
    			.catch(function (err) {
    				console.log('error: ' + err);
    			});
            }
        }
		
		function sofwareNotifyData() {
            const uid = sessionStorage.getItem("user_id");
			//alert(uid);
            if((uid !== "undefined")||(uid !== "")||(uid !== null)) {
                fetch('https://efflo.xyz/App/api.php?gofor=software&user_id='+uid)
    			.then(function (response) {
    				return response.json();
    			})
    			.then(function (data) {
    					appendData(data);
    					function appendData(data) {
    						//alert(data.length);
    						if(data.length == 0){ 
								$(".noti-content").addClass('nofify-content-height');
								var notify = '<li class="notification-message"><a href="javascript:;"><div class="media" style="display: flex;    justify-content: center;align-items: center;text-align: center;"><div class="media-body"><p class="noti-details"><strong>No Notifications Yet!</strong><div class="small text-muted">Stay tuned! Software Updates will noftify soon.</div></p></div></a></li>';
    							$(".software-notify").append(notify);
    						}
    						for (var i = 0; i < data.length; i++) {	
								$(".noti-content").removeClass('nofify-content-height');
    							var notify = '<li class="notification-message"><a href="javascript:;"><div class="media"><div class="media-body"><p class="noti-details"><strong>Version (' + data[i].version + ')</strong><br/>' + data[i].detail1 + '</p><p class="noti-time"><span class="notification-time">' + data[i].date + '</span></p></div></div></a></li>';								
    							$(".software-notify").append(notify);
    						}
    					}
    			})
    			.catch(function (err) {
    				console.log('error: ' + err);
    			});
            }
        }
		
		function logoData() {
            const uid = sessionStorage.getItem("user_id");
			//alert(uid);
            if((uid !== "undefined")||(uid !== "")||(uid !== null)) {
                fetch('https://efflo.xyz/App/api.php?gofor=userget_by_user_id&user_id='+uid)
    			.then(function (response) {
    				return response.json();
    			})
    			.then(function (data) {
    					appendData(data);
    					function appendData(data) {
    						//alert(data.logo);
    						if(data.logo == ""){ 								
								var notify = '<img src="assets/img/logo.png" class="large" width="135" height="76" alt="" style="margin-right: 50px;"><img src="assets/img/logo-small.png" class="small" alt="">';
    							$("#company-logo").append(notify);
    						} else {								
								var notify = '<img src="'+data.logo+'" class="large" width="135" height="76" alt="" style="margin-right: 50px;"><img src="'+data.minilogo+'" class="small" alt="">';
    							$("#company-logo").append(notify);
							}
    						
    					}
    			})
    			.catch(function (err) {
    				console.log('error: ' + err);
    			});
            }
        }
		
		
		
		
		
});           
</script> 