<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
		<style>
		.profile-img-wrap.edit-img{
			border-radius: 0% ! important;
			margin: 0 ! important;
			margin-bottom: 20px !important;
			width:100% !important;
			height:auto !important;
			border-radius:0px !important;
		}
		.profile-img-wrap img{
			width:100% !important;
			height:100% !important;
			border-radius:0px !important;
		}
	  </style>
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Profiles</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Profiles</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<!--
								<div class="quick-stats">
									<button class="special-box-btn" data-toggle="dropdown"><i class="ti-download"></i></button>
									<div class="dropdown-menu dropdown-menu-right">
										<a class="dropdown-item" href="#">PDF</a>
										<a class="dropdown-item" href="#">Excel</a>
									</div>
								</div>
								-->
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					
					
					
					<div class="row">
						<div class="col-md-12">
							<div class="table-responsive">
								<table class="table table-striped table-nowrap custom-table mb-0">
									<thead>
										<tr>
											<th>ID</th>
											<th>Name</th>
											<th>Mobile</th>
											<th>Email</th>
											<th>Username</th>
											<th>Password</th>
											<th>Type</th>
											<th>Company</th>
											<th class="text-right">Actions</th>
										</tr>
									</thead>
									<tbody>
										
									</tbody>
								</table>
							</div>
						</div>
					</div>
                </div>
				<!-- /Page Content -->
				
				
				
				
				
            </div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
			<!-- Add user Modal -->
				<div id="add_client" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Add Users</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form id="addForm">
								  <div class="row">
									<div class="col-md-12">
									  <div class="row">
										  
										  <div class="col-md-4">
											  <label>Logo (270 x 152)</label>
											  <div class="profile-img-wrap edit-img">
												<img
												  class="inline-block"
												  src="assets/img/placeholder.jpg"
												  alt="logo"
												  id="profile-pic"
												/>
												<div class="fileupload btn">
												  <span class="btn-text">edit (270 x 152)</span>
												  <input class="upload" type="file" id="logo" />
												</div>
											  </div>
										  </div>
										  <div class="col-md-4">
											  <label>Mini Logo (93 x 93)</label>
											  <div class="profile-img-wrap edit-img" style="position: absolute;bottom: 0px;">
												<img
												  class="inline-block"
												  src="assets/img/placeholder.jpg"
												  alt="mini logo"
												  id="pic1"
												 style="width:80px !important" />
												<div class="fileupload btn">
												  <span class="btn-text">edit (93 x 93)</span>
												  <input class="upload" type="file" id="minilogo" />
												</div>
											  </div>
										  </div>
										  <div class="col-md-4">
										  </div>
										  
										  <!--
										  <div class="col-md-4">
											  <div class="profile-img-wrap edit-img">
												<img
												  class="inline-block"
												  src=""
												  alt="user"
												  id="pic2"
												/>
												<div class="fileupload btn">
												  <span class="btn-text">edit</span>
												  <input class="upload" type="file" id="favicon" />
												</div>
											  </div>
										  </div>
										  -->
									  </div>
									  <div class="row">
										<div class="col-md-6">
										  <div class="form-group">
											<label>Name</label>
											<input
											  type="text"
											  class="form-control"
											  name="name"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Mobile Number</label>
											<input
											  type="text"
											  class="form-control"
											  name="mobilenumber"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>User Name</label>
											<input
											  type="text"
											  class="form-control"
											  name="username"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Password</label>
											<input
											  type="text"
											  class="form-control"
											  name="password"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Type</label>
											<select class="form-control" name="type">
												<option value="">Choose</option>
												<option value="Admin">Admin</option>
												<!--<option value="Super Admin">Super Admin</option>-->
												<option value="Emp">Employee</option>
											</select>											
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Email</label>
											<input
											  type="email"
											  class="form-control"
											  name="email"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Company Name</label>
											<input
											  type="text"
											  class="form-control"
											  name="company_name"
											  id="company_name"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Address</label>
											<input
											  type="text"
											  class="form-control"
											  value=""
											  name="address"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Location</label>
											<input
											  type="text"
											  class="form-control"
											  value=""
											  name="location"
											/>
										  </div>
										</div>
										<div class="col-md-12">
										  <div class="form-group">
											<label>Website</label>
											<input
											  type="text"
											  class="form-control"
											  value=""
											  name="website"
											  id="website"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Facbook</label>
											<input
											  type="text"
											  class="form-control"
											  value=""
											  name="facebook"
											  id="facebook"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Instagram</label>
											<input
											  type="text"
											  class="form-control"
											  value=""
											  name="instagram"
											  id="instagram"
											/>
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Type</label>
											<select class="form-control" name="type">
												<option value="">Choose</option>
												<option value="Admin">Admin</option>
												<option value="Super Admin">Super Admin</option>
												<option value="Emp">Employee</option>
											</select>											
										  </div>
										</div>
										<div class="col-md-6">
										  <div class="form-group">
											<label>Status</label>
											<select class="form-control" name="status">
												<option value="">Choose</option>
												<option value="1">Active</option>
												<option value="0">Inactive</option>
											</select>											
										  </div>
										</div>
									  </div>
									</div>
								  </div>

								  <div class="submit-section">
									<button class="btn btn-primary submit-btn">
									  Submit
									</button>
								  </div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add user Modal -->
		
		<!-- Toast -->
				<div class="toast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="2000" style="position: absolute; top: 5rem; right: 1rem;">
				  <div>
					<strong class="mr-auto toast-header"></strong>
					<button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
					  <span aria-hidden="true">&times;</span>
					</button>
				  </div>
				  <div class="toast-body"></div>
				</div>
				<!-- /Toast -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datatable JS -->
		<script src="assets/js/jquery.dataTables.min.js"></script>
		<script src="assets/js/dataTables.bootstrap4.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		
	<script>
      var userData = "";
      var actionType = "usersadd";
      var userId = "";
      $(document).ready(function () {
		 
		
		
        const user_id = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
		
		var strDate = new Date(); // By default Date empty constructor give you Date.now
		var shortYear = strDate.getFullYear(); 
		// Add this line
		var twoDigitYear = shortYear.toString().substr(-2);
		
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=userlist&user_id=" +
            user_id,
          success: function (data) {
            table.empty();
            userData = data;
            $.each(data, function (a, b) {
              
	
              table.append(
                "<tr><td>" +
                  (a + 1) +
                  "</td>" +
                  "<td>" +
                  b.name +
                  "</td>" +
                  "<td>" +
                  b.mobilenumber +
                  "</td>" +
                  "<td>" +
                  b.email +
                  "</td>" +
                  "<td>" +
                  b.username +
                  "</td>" +
				  "<td>" +
                  b.password +
                  "</td>" +
                  "<td>" +
                  b.type +
                  "</td>" +
				  "<td>" +
                  b.company_name +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-user-id="' +
                  b.user_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-user-id="' +
                  b.user_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
			  ordering: true,
			  //order : [[0,"desc"]],
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "editusers";
                  userId = e.target.parentElement.getAttribute("data-user-id");
                  var selecteduserData = userData.find(
                    (l) => l.user_id === userId.toString()
                  );
                  var entries = Object.entries(selecteduserData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);

                      
                    }
                  }
                  $("#add_client").modal("show");
                });
                
                $(document).on("click", ".delete_user", (e) => {
                    const lId = e.target.parentElement.getAttribute("data-user-id");
                    
					Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=usersdelete&user_id="+lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
		
		$("#logo").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            const replaceBaseSrc = reader.result.split("base64,")[1];

            var data = {
              gofor: "profile_photo_post",
              user_id: sessionStorage.getItem("user_id"),
              logo: replaceBaseSrc,
            };
            uploadImage(data);
          };
          reader.readAsDataURL(file);
        });

        function uploadImage(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
				$("#profile-pic").attr('src', data.logo);
            },
            error: function (e) {
              console.log(e);
            },
          });
        }
		
		$("#minilogo").change(function (el) {
          var file1 = el.target.files[0];
          var reader1 = new FileReader();
          reader1.onloadend = function () {
            const replaceBaseSrc1 = reader1.result.split("base64,")[1];

            var data1 = {
              gofor: "profile_minilogo",
              user_id: sessionStorage.getItem("user_id"),
              minilogo: replaceBaseSrc1,
            };
            uploadImageMini(data1);
          };
          reader1.readAsDataURL(file1);
        });

        function uploadImageMini(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
				$("#pic1").attr('src', data.minilogo);
            },
            error: function (e) {
              console.log(e);
            },
          });
        }
        

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];		 

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          if (actionType === "editusers") {
            data.append("user_id", userId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));
		  //alert(jsonData);
          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
				
              window.location.reload();
                setTimeout(() => {
                    $('.toast-header strong').text('Added');
                    $('.toast-body').text('user Added Successfully');
                    $('.toast').toast('show');
                }, 1000)
            },
          });
        });
		
		
		
		
		
		
		
		
		
		
		
		

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>
	<?php include "common-script.php";?>
    </body>
</html>