<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
		<link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Customers</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Customers</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header -->
					<div class="row text-center mb-4">
						<div class="col-sm-12 col-md-12">
							<a href="#" class="btn btn-white btn-md">Baby - Salem</a>
							<a href="#" class="btn btn-danger btn-md">Wedding</a>
							<a href="#" class="btn btn-white btn-md">Baby - Erode</a>
						</div>
					</div>
					
					<!-- Search Filter -->
					<div class="row filter-row">
						<div class="col-sm-6 col-md-3">  
							<div class="form-group form-focus">
								<input type="text" class="form-control floating">
								<label class="focus-label">Customers Number</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3">  
							<div class="form-group form-focus">
								<input type="text" class="form-control floating">
								<label class="focus-label">Name</label>
							</div>
						</div>
						
						<!--<div class="col-sm-6 col-md-3"> -->
						<!--	<div class="form-group form-focus select-focus">-->
						<!--		<select class="select floating"> -->
						<!--			<option>Select Events</option>-->
						<!--			<option>Wedding</option>-->
						<!--			<option>Birthday</option>-->
						<!--		</select>-->
						<!--		<label class="focus-label">Events</label>-->
						<!--	</div>-->
						<!--</div>-->
						<div class="col-sm-6 col-md-3">  
							<a href="#" class="btn btn-success btn-block"> Search </a>  
						</div>     
                    </div>
					<!-- Search Filter -->
					
					<div class="row staff-grid-row">
						
						
						
					</div>
                </div>
				<!-- /Page Content -->
			
				<!-- Add Client Modal -->
				<div id="add_client" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Add Customers</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form>
              <div class="row">
                    <div class="col-md-6 csource">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Source <span class="text-danger">*</span></label
                    >
                    <select class="form-control" id="source" name="source">
                      <option>Select Source</option>
                      <option value="Calls">Calls</option>
                      <option value="Referral">Referral</option>
                      <option value="Social Media">Social Media</option>
                      <option value="Website">Website</option>
                      <option value="Walk-in">Walk-in</option>
                      <option value="BNI">BNI</option>
                      <option value="JCI">JCI</option>
                      <option value="Others">Others</option>
                      
                    </select>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label">Referrer Name</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="referrer_name"
                    />
                  </div>
                </div>

                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label">Referrer Number</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="referrer_number"
                    />
                  </div>
                </div>
                <div class="col-md-6 category_div" id="category_div">
                  <label class="col-form-label"
                    >Subcategory</label
                  >
                  <select
                    class="form-control"
                    id="subcategory"
                    name="subcategory"
                    onchange="javascript: dynamicdropdown(this.options[this.selectedIndex].value);"
                  >
                    <option value="">Choose</option>
                    <option value="Wedding">Wedding</option>
                    <option value="Baby Salem">Baby Salem</option>
                    <option value="Baby Erode">Baby Erode</option>
                  </select>
                </div>
                <div class="col-md-6 sub_category_div" id="sub_category_div">
                  <label class="col-form-label"
                    >Type of Shoot<span class="text-danger">*</span></label
                  >
                  <script type="text/javascript" language="JavaScript">
                    document.write(
                      '<select class="form-control" name="shoot_type" id="shoot_type"><option value="">Choose</option></select>'
                    );
                  </script>
                  <noscript>
                    <select
                      class="form-control"
                      id="shoot_type"
                      name="shoot_type"
                    >
                      <option value="">Choose</option>
                      <option value="Wedding(Full)">Wedding(Full)</option>
                      <option value="Wedding(Half)">Wedding(Half)</option>
                      <option value="Reception">Reception</option>
                      <option value="Engagement">Engagement</option>
                      <option value="Babyshower">Babyshower</option>
                      <option value="Birthday">Birthday</option>
                      <option value="Puberty">Puberty</option>
                      <option value="Housewarming">Housewarming</option>
                      <option value="Ear Piercing">Ear Piercing</option>
                      <option value="Opening Ceremony">Opening Ceremony</option>
                      <option value="Others">Others</option>
                    </select>
                  </noscript>
                </div>

                <div class="col-md-6 cname">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Customer Name <span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" name="name" />
                  </div>
                </div>
                <div class="col-md-6 cmobile">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Mobile No<span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" name="mobileno" />
                  </div>
                </div>
                <div class="col-md-6 cmobile">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Secondary Mobile </label
                    >
                    <input class="form-control" type="text" name="secon_mobileno" />
                  </div>
                </div>
                <div class="col-md-6 cmobile">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Email<span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" name="email" />
                  </div>
                </div>
                <div class="col-md-6">
											<div class="form-group">
												<label class="col-form-label">Photo </label>
												<input class="form-control floating" type="file">
											</div>
										</div>
                <div class="col-md-6 ccontact">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Contact Saved as</label
                    >
                    <input
                      class="form-control"
                      type="text"
                      name="contact_saved"
                    />
                  </div>
                </div>

                <div class="col-md-6 cevent_date">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Event Date</label
                    >
                    <input
                      class="form-control floating"
                      type="text"
                      name="event_date"
                    />
                  </div>
                </div>
                <div class="col-md-6 cevent_venue">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Event Venue </label
                    >
                    <input
                      class="form-control floating"
                      type="text"
                      name="location"
                    />
                  </div>
                </div>
                <div class="col-md-6 cdob" style="display: none">
                  <div class="form-group">
                    <label class="col-form-label">Date of Birth</label>
                    <input
                      class="form-control floating"
                      type="text"
                      name="dob"
                    />
                  </div>
                </div>
                <div class="col-md-6 cage" style="display: none">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Age </label
                    >
                    <input
                      class="form-control floating"
                      type="text"
                      name="age"
                    />
                  </div>
                </div>
                
              

                

                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label">Remarks </label>
                    <textarea
                      class="form-control floating"
                      name="remarks"
                    ></textarea>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Active Status <span class="text-danger">*</span></label
                    >
                    <select class="form-control" id="status" name="status">
                      <option>Select Status</option>
                      <option value="Active">Active</option>
                      <option value="Inactive">Inactive</option>
                    </select>
                  </div>
                </div>
              </div>

              <div class="submit-section">
                <button class="btn btn-primary submit-btn">Submit</button>
              </div>
            </form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add Client Modal -->
				
				
				
				<!-- Delete Client Modal -->
				<div class="modal custom-modal fade" id="delete_client" role="dialog">
					<div class="modal-dialog modal-dialog-centered">
						<div class="modal-content">
							<div class="modal-body">
								<div class="form-header">
									<h3>Delete Client</h3>
									<p>Are you sure want to delete?</p>
								</div>
								<div class="modal-btn delete-action">
									<div class="row">
										<div class="col-6">
											<a href="javascript:void(0);" class="btn btn-primary continue-btn">Delete</a>
										</div>
										<div class="col-6">
											<a href="javascript:void(0);" data-dismiss="modal" class="btn btn-primary cancel-btn">Cancel</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- /Delete Client Modal -->
				
            </div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script language="javascript" type="text/javascript">
      function dynamicdropdown(listindex) {
        document.getElementById("shoot_type").options.length = 0;
        switch (listindex) {
          case "Wedding":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Wedding(Full)",
              "Wedding(Full)"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Wedding(Half)",
              "Wedding(Half)"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Reception",
              "Reception"
            );
            document.getElementById("shoot_type").options[4] = new Option(
              "Engagement",
              "Engagement"
            );
            document.getElementById("shoot_type").options[5] = new Option(
              "Babyshower",
              "Babyshower"
            );
            document.getElementById("shoot_type").options[6] = new Option(
              "Birthday",
              "Birthday"
            );
            document.getElementById("shoot_type").options[7] = new Option(
              "Puberty",
              "Puberty"
            );
            document.getElementById("shoot_type").options[8] = new Option(
              "Housewarming",
              "Housewarming"
            );
            document.getElementById("shoot_type").options[9] = new Option(
              "Ear Piercing",
              "Ear Piercing"
            );
            document.getElementById("shoot_type").options[10] = new Option(
              "Opening Ceremony",
              "Opening Ceremony"
            );
            document.getElementById("shoot_type").options[11] = new Option(
              "Others",
              "Others"
            );

            $(".cevent_date").show();
            $(".cevent_venue").show();

            $(".cdob").hide();
            $(".cage").hide();
            break;
          case "Baby Salem":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Baby",
              "Baby"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Maternity",
              "Maternity"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Familyshoot",
              "Familyshoot"
            );
            document.getElementById("shoot_type").options[4] = new Option(
              "Others",
              "Others"
            );

            $(".cevent_date").hide();
            $(".cevent_venue").hide();

            $(".cdob").show();
            $(".cage").show();
            break;
          case "Baby Erode":
            document.getElementById("shoot_type").options[0] = new Option(
              "Choose",
              ""
            );
            document.getElementById("shoot_type").options[1] = new Option(
              "Baby",
              "Baby"
            );
            document.getElementById("shoot_type").options[2] = new Option(
              "Familyshoot",
              "Familyshoot"
            );
            document.getElementById("shoot_type").options[3] = new Option(
              "Others",
              "Others"
            );

            $(".cevent_date").hide();
            $(".cevent_venue").hide();

            $(".cdob").show();
            $(".cage").show();
            break;
        }
        return true;
      }
    </script>

    <script>
      $(document).ready(function () {
    const uid = sessionStorage.getItem("user_id");
    var table = $(".staff-grid-row");
    $.ajax({
        type: "GET",
        url: "https://efflo.xyz/App/api.php?gofor=customerslist&user_id=" + uid,
        success: function (data) {
            table.empty();
            $.each(data, function (index, client) {
                table.append(
                    '<div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">' +
                    '<div class="profile-widget">' +
                    '<div class="profile-img">' +
                    '<a href="client-profile.php" class="avatar"><img alt="" src="assets/img/profiles/' + client.Photo + '"></a>' +
                    '</div>' +
                    '<div class="dropdown profile-action">' +
                    '<a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="material-icons">more_vert</i></a>' +
                    '<div class="dropdown-menu dropdown-menu-right">' +
                    '<a class="dropdown-item" href="#" data-toggle="modal" data-target="#edit_client"><i class="fa fa-pencil m-r-5"></i> Edit</a>' +
                    '<a class="dropdown-item" href="#" data-toggle="modal" data-target="#delete_client"><i class="fa fa-trash-o m-r-5"></i> Delete</a>' +
                    '</div>' +
                    '</div>' +
                    '<h4 class="user-name m-t-10 mb-0 text-ellipsis"><a href="client-profile.php">' + client.name + '</a></h4>' +
                    '<h5 class="user-name m-t-10 mb-0 text-ellipsis"><a href="client-profile.php">' + client.location + '</a></h5>' +
                    '<div class="small text-muted">' + client.mobileno + '</div>' +
                    '<a href="https://api.whatsapp.com/send?phone=' + client.mobileno + '&text=Welcome!%20to%20Carnival%20Photography..." target="_blank" class="btn btn-white btn-sm m-t-10">Connect</a>' +
                    '<a href="client-profile.php" class="btn btn-white btn-sm m-t-10">Profile</a>' +
                    '</div>' +
                    '</div>'
                );
            });
        },
        error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
        },
    });
});

    </script>
	<?php include "common-script.php";?>	
    </body>
</html>