<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <?php include "meta-title.php";?>
		
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="assets/img/favicon.png">
		
		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="assets/css/bootstrap.min.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="assets/css/font-awesome.min.css">
		
		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="assets/css/line-awesome.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css">
		
		<!-- Select2 CSS -->
		<link rel="stylesheet" href="assets/css/select2.min.css">
		
		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="assets/css/style.css">
		
		<link rel="stylesheet" href="assets/css/vendor.css">
		
		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="assets/js/html5shiv.min.js"></script>
			<script src="assets/js/respond.min.js"></script>
		<![endif]-->
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Header -->
            <?php include "header.php";?>
			<!-- /Header -->
			
			<!-- Sidebar -->
            <?php include "sidebar.php";?>
			<!-- /Sidebar -->
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title">Expenses</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="dashboard.php">Dashboard</a></li>
									<li class="breadcrumb-item active">Expenses</li>
								</ul>
							</div>
							<div class="col-auto float-right ml-auto">
								<!--
								<div class="quick-stats">
									<button class="special-box-btn" data-toggle="dropdown"><i class="ti-download"></i></button>
									<div class="dropdown-menu dropdown-menu-right">
										<a class="dropdown-item" href="#">PDF</a>
										<a class="dropdown-item" href="#">Excel</a>
									</div>
								</div>
								-->
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
						</div>
					</div>
					<!-- /Page Header 
					
					<div class="row special">
						<div class="col-md-12">
							<div class="card-group special-box m-b-30">
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">112</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">New </span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-info1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">70</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Pending</span>
											</div>
											<div>
												<span class="text-success"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-primary1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">100</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Active</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-danger1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							
								<div class="card">
									<div class="card-body">
										<h3 class="mb-1 box-div-number">125</h3>
										<div class="d-flex justify-content-between mb-3">
											<div class="box-div-content">
												<span class="d-block">Inactive</span>
											</div>
											<div>
												<span class="text-danger"></span>
											</div>
										</div>
										
										<div class="progress mb-2" style="height: 5px;">
											<div class="progress-bar bg-success1" role="progressbar" style="width: 70%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
										</div>
									</div>
								</div>
							</div>
						</div>	
					</div>
					-->
					<!-- Search Filter 
					<div class="row filter-row">
						<div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
							<div class="form-group form-focus">
								<input type="text" class="form-control floating">
								<label class="focus-label">Item Name</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option> -- Select -- </option>
									<option>Loren Gatlin</option>
									<option>Tarah Shropshire</option>
								</select>
								<label class="focus-label">Purchased By</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12"> 
							<div class="form-group form-focus select-focus">
								<select class="select floating"> 
									<option> -- Select -- </option>
									<option> Cash </option>
									<option> Cheque </option>
								</select>
								<label class="focus-label">Paid By</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
							<div class="form-group form-focus">
								<div class="cal-icon">
									<input class="form-control floating datetimepicker" type="text">
								</div>
								<label class="focus-label">From</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
							<div class="form-group form-focus">
								<div class="cal-icon">
									<input class="form-control floating datetimepicker" type="text">
								</div>
								<label class="focus-label">To</label>
							</div>
						</div>
						<div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
							<a href="#" class="btn btn-success btn-block"> Search </a>  
						</div>     
                    </div>
					<!-- /Search Filter -->
					<div class="row mb-4">
						<div class="col-md-12">
							<div class="btn btn-sm btn-primary">Total Expenses : ₹.<span id="ToTamount"></span></div>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<div class="table-responsive">
								<table class="table table-striped table-nowrap custom-table mb-0">
									<thead>
										<tr>
											<th>ID</th>
											<th>Name</th>
											<th>Amount</th>
											<th>Date</th>
											<th>Method</th>
											<th>To Whom</th>
											<th>Order</th>
											<th class="text-right">Actions</th>
										</tr>
									</thead>
									<tbody>
										
									</tbody>
								</table>
							</div>
						</div>
					</div>
                </div>
				<!-- /Page Content -->
				
				
				
				
				
            </div>
			<!-- /Page Wrapper -->
			
        </div>
		<!-- /Main Wrapper -->
		
			<!-- Add Expense Modal -->
				<div id="add_client" class="modal custom-modal fade" role="dialog">
					<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Add Expense</h5>
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
							</div>
							<div class="modal-body">
								<form id="addForm">
									<div class="row"> 
										<div class="col-md-12">
											<div class="form-group row">
												<label class="col-form-label col-sm-12 pt-0">Type</label>
												<div class="col-sm-4 mt-2">
												  <input class="" type="radio" id="" name="t1" value="general" checked>
												  <label class="form-check-label" for="radio11">General</label>
												</div>
												<div class="col-sm-4 mt-2">
												  <input class="" type="radio" id="expenses_types" name="t1" value="orders">
												  <label class="form-check-label" for="radio22">Orders</label>
												</div>
											</div>
										</div>
										<div class="col-md-6" id="ifYes" style="display: none;">
											<div class="row">
												<div class="col-md-12">
													<div class="form-group">
														<label>Orders <span class="text-danger">*</span></label>
														<select class="select" id="order_id" name="order_id">
															<option value="">Please Select</option>
															
														</select>
														<span class="error-message" id="order_idErr"></span>
													</div>
												</div>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Name</label>
												<input class="form-control" type="text" id="expense_name" name="expense_name">
												<span class="error-message" id="expense_nameErr"></span>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Amount</label>
												<input class="form-control" type="text" id="expense_amount" name="expense_amount">
												<span class="error-message" id="expense_amountErr"></span>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Detail</label>
												<input class="form-control" type="text" id="expense_detail" name="expense_detail">
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>To Whom </label>
												<select class="select" id="towhom" name="towhom">
													<option value="">Choose</option>
													<!--
													<option value="TNEB">TNEB</option>
													<option value="Office Owner">Office Owner</option>
													<option value="Arunraj">Arunraj</option>
													<option value="Santhosh">Santhosh</option>
													-->
												</select>
												<span class="error-message" id="towhomErr"></span>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label> Date</label>
												<div class="cal-icon"><input class="form-control datetimepicker" type="text" id="date" name="date"></div>
												<span class="error-message" id="dateErr"></span>
											</div>
										</div>
										<!--
										<div class="col-md-6">
											<div class="form-group">
												<label>Category </label>
												<select class="form-control" id="category" name="category">
													<option value="">Choose</option>
													<option value="category01">category01</option>
													<option value="category02">category02</option>
												</select>
											</div>
										</div>
										-->
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Payment Method <span class="text-danger">*</span></label>
												<select class="form-control floating" id="payment_method" name="payment_method">
													<option value="">Select Category </option>
													<!--
													<option value="Cash">Cash</option>
													<option value="Card">Card</option>
													<option value="Neft">Neft</option>
													<option value="Gpay">Gpay</option>
													<option value="Cheque">Cheque</option>
													-->
												</select>
												<span class="error-message" id="payment_methodErr"></span>
											</div>
										</div>
										<div class="col-md-6">  
											<div class="form-group">
												<label class="col-form-label">Type <span class="text-danger">*</span></label>
												<select class="form-control floating" id="expense_type" name="expense_type">
													<option value="">Select Category </option>
													<!--
													<option value="Camera Equipment">Camera Equipment</option>
                                                    <option value="Lens Purchase">Lens Purchase</option>
                                                    <option value="Studio Rental">Studio Rental</option>
                                                    <option value="Props and Accessories">Props and Accessories</option>
                                                    <option value="Photography Software">Photography Software</option>
                                                    <option value="Training and Workshops">Training and Workshops</option>
                                                    <option value="Travel Expenses">Travel Expenses</option>
                                                    <option value="Marketing and Advertising">Marketing and Advertising</option>
                                                    <option value="Prints and Framing">Prints and Framing</option>
                                                    <option value="Insurance">Insurance</option>
													-->
												</select>
												<span class="error-message" id="expense_typeErr"></span>
											</div>
										</div>
										<div class="col-md-6">
											<div class="form-group">
												<label>Status</label>
												<select class="form-control" id="status" name="status">
													<option value="">Choose</option>
													<option value="2">Pending</option>
													<option value="1">Approved</option>
												</select>
												<span class="error-message" id="statusErr"></span>
											</div>
										</div>
									</div>
									
									<div class="submit-section">
										<button class="btn btn-primary submit-btn">Submit</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
				<!-- /Add Expense Modal -->
		
		<!-- Toast -->
				<div class="toast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="2000" style="position: absolute; top: 5rem; right: 1rem;">
				  <div>
					<strong class="mr-auto toast-header"></strong>
					<button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
					  <span aria-hidden="true">&times;</span>
					</button>
				  </div>
				  <div class="toast-body"></div>
				</div>
				<!-- /Toast -->
		
		<!-- jQuery -->
        <script src="assets/js/jquery-3.5.1.min.js"></script>
		
		<!-- Bootstrap Core JS -->
        <script src="assets/js/popper.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
		
		<!-- Slimscroll JS -->
		<script src="assets/js/jquery.slimscroll.min.js"></script>
		
		<!-- Select2 JS -->
		<script src="assets/js/select2.min.js"></script>
		
		<!-- Datatable JS -->
		<script src="assets/js/jquery.dataTables.min.js"></script>
		<script src="assets/js/dataTables.bootstrap4.min.js"></script>
		
		<!-- Datetimepicker JS -->
		<script src="assets/js/moment.min.js"></script>
		<script src="assets/js/bootstrap-datetimepicker.min.js"></script>
		
		<!-- Custom JS -->
		<script src="assets/js/app.js"></script>
		<script>

	$("input[type='radio']").on("change", function(){
	   if($('#expenses_types').is(':checked')){   
		document.getElementById("ifYes").style.display = "block";
	  } else {
		document.getElementById("ifYes").style.display = "none";
	  }
	});
	</script>
	<script>
      var expenseData = "";
      var actionType = "addexpenses";
      var expenseId = "";
      $(document).ready(function () {
		getOrdersList(); 
		getPayMethod();
		getToWhom();
		getToWhomVendor();
		getExpenseCategory();
		getPayExpTotal();
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
		
		var strDate = new Date(); // By default Date empty constructor give you Date.now
		var shortYear = strDate.getFullYear(); 
		// Add this line
		var twoDigitYear = shortYear.toString().substr(-2);
		
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=expenseslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            expenseData = data;
            $.each(data, function (a, b) {
              if (b.vendor_name === null) {
				towhom = b.towhom;
			  } else {
				 towhom = b.vendor_name; 
			  }

              table.append(
                "<tr><td>" +
                  (a + 1) +
                  "</td>" +
                  "<td>" +
                  b.expense_name +
                  "</td>" +
                  "<td>" +
                  b.expense_amount +
                  "</td>" +
                  "<td>" +
                  b.date +
                  "</td>" +
                  "<td>" +
                  b.payment_method +
                  "</td>" +
                  "<td>" +
                  towhom +
                  "</td>" +
				  "<td>" +
                  b.order_id +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-expense-id="' +
                  b.expense_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-expense-id="' +
                  b.expense_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
			  ordering: true,
			  //order : [[0,"desc"]],
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "editexpenses";
                  expenseId = e.target.parentElement.getAttribute("data-expense-id");
                  var selectedexpenseData = expenseData.find(
                    (l) => l.expense_id === expenseId.toString()
                  );
                  var entries = Object.entries(selectedexpenseData);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "expense_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);

                      
                    }
                  }
                  $("#add_client").modal("show");
                });
                
                $(document).on("click", ".delete_user", (e) => {
                    const lId = e.target.parentElement.getAttribute("data-expense-id");
                    
					Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=expensesdelete&expense_id="+lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
        

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];
		  
		  // Validation form
			function printError(elemId, hintMsg) {
				document.getElementById(elemId).innerHTML = hintMsg;
			}
			
			// Defining error variables with a default value
			var order_idErr = expense_nameErr = expense_amountErr = towhomErr = dateErr =  payment_methodErr = expense_typeErr = statusErr = true;
			
			var checkedValue = $("input[name='t1']:checked").val();
			//alert(checkedValue);
			
			// Validate employee
			if((checkedValue == "orders") && ($("select[name='order_id']").val() == "")) {
				printError("order_idErr", "Please select your orders");
			} else {
				printError("order_idErr", "");
				order_idErr = false;
			}
					
			
			
			if($("input[name='expense_name']").val() == "") {
				printError("expense_nameErr", "Please enter expense_name");
			} else {
				printError("expense_nameErr", "");
				expense_nameErr = false;
			}
			
			if($("input[name='expense_amount']").val() == "") {
				printError("expense_amountErr", "Please enter expense_amount");
			} else {
				printError("expense_amountErr", "");
				expense_amountErr = false;
			}
			
			if($("select[name='towhom']").val() == "") {
				printError("towhomErr", "Please select to whom");
			} else {
				printError("towhomErr", "");
				towhomErr = false;
			}
			
			if($("input[name='date']").val() == "") {
				printError("dateErr", "Please enter expense date");
			} else {
				printError("dateErr", "");
				dateErr = false;
			}
			
			if($("select[name='payment_method']").val() == "") {
				printError("payment_methodErr", "Please select payment method");
			} else {
				printError("payment_methodErr", "");
				payment_methodErr = false;
			}
			
			if($("select[name='expense_type']").val() == "") {
				printError("expense_typeErr", "Please select expense type");
			} else {
				printError("expense_typeErr", "");
				expense_typeErr = false;
			}
			
			
			// Validate status
			if($("#status").val() == "") {
				printError("statusErr", "Please select your status");
			} else {
				printError("statusErr", "");
				statusErr = false;
			}
			
			
			
			//Prevent the form from being submitted if there are any errors
			if((order_idErr || expense_nameErr || expense_amountErr || towhomErr || dateErr || payment_methodErr || expense_typeErr || statusErr) == true) {
			   return false;
			 }

          // Create an FormData object
          var data = new FormData(form);
          data.append("gofor", actionType);
          data.append("user_id", sessionStorage.getItem("user_id"));
          if (actionType === "editexpenses") {
            data.append("expense_id", expenseId);
          }
          var jsonData = JSON.stringify(Object.fromEntries(data));
		  //alert(jsonData);
          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
				
              window.location.reload();
                setTimeout(() => {
                    $('.toast-header strong').text('Added');
                    $('.toast-body').text('expense Added Successfully');
                    $('.toast').toast('show');
                }, 1000)
            },
          });
        });
		
		function getOrdersList() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=orderslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#order_id");			  
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.order_id +
                    "'>ORD-"+twoDigitYear+"-00" +
                    this.order_id +
                    "</option>"
                );
				
              });
            },
          });
        }
		
		function getPayMethod() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=paymethodlist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#payment_method");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getToWhom() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=exptowhomlist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#towhom");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getToWhomVendor() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=vendorslist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#towhom");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.vendor_id +
                    "'>VEN-" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getExpenseCategory() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=exptypelist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#expense_type");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }
		
		function getPayExpTotal() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=payexptotal&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var totalExpenses = document.getElementById("ToTamount");
			  totalExpenses.innerHTML = data.totalexpenses;              
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>
	<?php include "common-script.php";?>
    </body>
</html>