<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Image Selection</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Image Selection</li>
                </ul>
              </div>
              <!--
							<div class="col-auto float-right ml-auto">
								<div class="quick-stats">
									<button class="special-box-btn" data-toggle="dropdown"><i class="ti-download"></i></button>
									<div class="dropdown-menu dropdown-menu-right">
										<a class="dropdown-item" href="#">PDF</a>
										<a class="dropdown-item" href="#">Excel</a>
									</div>
								</div>
								<div class="circle-btn">
									<a href="#" data-toggle="modal" data-target="#add_client"><div class="circle-container"><div class="circle-div">+</div></div></a>
								</div>
							</div>
							-->
            </div>
          </div>
          <!-- /Page Header 

          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
-->
          <!-- Search Filter 
          <div class="row filter-row">
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <div class="cal-icon">
                  <input
                    class="form-control floating datetimepicker"
                    type="text"
                  />
                </div>
                <label class="focus-label">From</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <div class="cal-icon">
                  <input
                    class="form-control floating datetimepicker"
                    type="text"
                  />
                </div>
                <label class="focus-label">To</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Status</option>
                  <option>Accepted</option>
                  <option>Declined</option>
                  <option>Expired</option>
                </select>
                <label class="focus-label">Status</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- /Search Filter -->

          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-striped custom-table mb-0">
                  <thead>
                    <tr>
					  <th>#</th>
                      <th>OrdersId</th>
                      <th>Name</th>
                      <th>Phone</th>
                      <th>Due Date</th>
                      <th>Status</th>
                      <th>Connect</th>
                      <th class="text-right">Action</th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>

          <!-- <div class="row staff-grid-row">
            <div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">
              <div class="profile-widget">
                <div class="profile-img">
                  <a href="image-detail.php" class="avatar"
                    ><img alt="" src="assets/img/profiles/avatar-19.jpg"
                  /></a>
                </div>
                <div class="dropdown profile-action">
                  <a
                    href="#"
                    class="action-icon dropdown-toggle"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    ><i class="material-icons">more_vert</i></a
                  >
                  <div class="dropdown-menu dropdown-menu-right">
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#edit_client"
                      ><i class="fa fa-pencil m-r-5"></i> Edit</a
                    >
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#delete_client"
                      ><i class="fa fa-trash-o m-r-5"></i> Delete</a
                    >
                  </div>
                </div>
                <h4 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">Wilmer Deluna</a>
                </h4>
                <h5 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">9876541230</a>
                </h5>
                <div class="small text-muted">Ord-0001</div>

                <div class="small text-muted">Due Date : 17 Mar 2019</div>
                <a href="javascript:;" class="btn btn-white btn-sm m-t-10"
                  >Sent</a
                >
                <a href="image-detail.php" class="btn btn-white btn-sm m-t-10"
                  >Detail</a
                >
              </div>
            </div>
            <div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">
              <div class="profile-widget">
                <div class="profile-img">
                  <a href="image-detail.php" class="avatar"
                    ><img alt="" src="assets/img/profiles/avatar-29.jpg"
                  /></a>
                </div>
                <div class="dropdown profile-action">
                  <a
                    href="#"
                    class="action-icon dropdown-toggle"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    ><i class="material-icons">more_vert</i></a
                  >
                  <div class="dropdown-menu dropdown-menu-right">
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#edit_client"
                      ><i class="fa fa-pencil m-r-5"></i> Edit</a
                    >
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#delete_client"
                      ><i class="fa fa-trash-o m-r-5"></i> Delete</a
                    >
                  </div>
                </div>
                <h4 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">Lesley Grauer</a>
                </h4>
                <h5 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">9876541230</a>
                </h5>
                <div class="small text-muted">Ord-0001</div>

                <div class="small text-muted">Due Date : 17 Mar 2019</div>
                <a href="javascript:;" class="btn btn-white btn-sm m-t-10"
                  >Sent</a
                >
                <a href="image-detail.php" class="btn btn-white btn-sm m-t-10"
                  >Detail</a
                >
              </div>
            </div>
            <div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">
              <div class="profile-widget">
                <div class="profile-img">
                  <a href="image-detail.php" class="avatar"
                    ><img src="assets/img/profiles/avatar-07.jpg" alt=""
                  /></a>
                </div>
                <div class="dropdown profile-action">
                  <a
                    href="#"
                    class="action-icon dropdown-toggle"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    ><i class="material-icons">more_vert</i></a
                  >
                  <div class="dropdown-menu dropdown-menu-right">
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#edit_client"
                      ><i class="fa fa-pencil m-r-5"></i> Edit</a
                    >
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#delete_client"
                      ><i class="fa fa-trash-o m-r-5"></i> Delete</a
                    >
                  </div>
                </div>
                <h4 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">Lesley Grauer</a>
                </h4>
                <h5 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">9876541230</a>
                </h5>
                <div class="small text-muted">Ord-0001</div>

                <div class="small text-muted">Due Date : 17 Mar 2019</div>
                <a href="javascript:;" class="btn btn-white btn-sm m-t-10"
                  >Sent</a
                >
                <a href="image-detail.php" class="btn btn-white btn-sm m-t-10"
                  >Detail</a
                >
              </div>
            </div>
            <div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">
              <div class="profile-widget">
                <div class="profile-img">
                  <a href="image-detail.php" class="avatar"
                    ><img src="assets/img/profiles/avatar-06.jpg" alt=""
                  /></a>
                </div>
                <div class="dropdown profile-action">
                  <a
                    href="#"
                    class="action-icon dropdown-toggle"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    ><i class="material-icons">more_vert</i></a
                  >
                  <div class="dropdown-menu dropdown-menu-right">
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#edit_client"
                      ><i class="fa fa-pencil m-r-5"></i> Edit</a
                    >
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#delete_client"
                      ><i class="fa fa-trash-o m-r-5"></i> Delete</a
                    >
                  </div>
                </div>
                <h4 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">Wilmer Deluna</a>
                </h4>
                <h5 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">9876541230</a>
                </h5>
                <div class="small text-muted">Ord-0001</div>

                <div class="small text-muted">Due Date : 17 Mar 2019</div>
                <a href="javascript:;" class="btn btn-white btn-sm m-t-10"
                  >Sent</a
                >
                <a href="image-detail.php" class="btn btn-white btn-sm m-t-10"
                  >Detail</a
                >
              </div>
            </div>
            <div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">
              <div class="profile-widget">
                <div class="profile-img">
                  <a href="image-detail.php" class="avatar"
                    ><img alt="" src="assets/img/profiles/avatar-14.jpg"
                  /></a>
                </div>
                <div class="dropdown profile-action">
                  <a
                    href="#"
                    class="action-icon dropdown-toggle"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    ><i class="material-icons">more_vert</i></a
                  >
                  <div class="dropdown-menu dropdown-menu-right">
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#edit_client"
                      ><i class="fa fa-pencil m-r-5"></i> Edit</a
                    >
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#delete_client"
                      ><i class="fa fa-trash-o m-r-5"></i> Delete</a
                    >
                  </div>
                </div>
                <h4 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">Daniel Deacon</a>
                </h4>
                <h5 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">9876541230</a>
                </h5>
                <div class="small text-muted">Ord-0001</div>

                <div class="small text-muted">Due Date : 17 Mar 2019</div>
                <a href="javascript:;" class="btn btn-white btn-sm m-t-10"
                  >Sent</a
                >
                <a href="image-detail.php" class="btn btn-white btn-sm m-t-10"
                  >Detail</a
                >
              </div>
            </div>
            <div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">
              <div class="profile-widget">
                <div class="profile-img">
                  <a href="image-detail.php" class="avatar"
                    ><img alt="" src="assets/img/profiles/avatar-18.jpg"
                  /></a>
                </div>
                <div class="dropdown profile-action">
                  <a
                    href="#"
                    class="action-icon dropdown-toggle"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    ><i class="material-icons">more_vert</i></a
                  >
                  <div class="dropdown-menu dropdown-menu-right">
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#edit_client"
                      ><i class="fa fa-pencil m-r-5"></i> Edit</a
                    >
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#delete_client"
                      ><i class="fa fa-trash-o m-r-5"></i> Delete</a
                    >
                  </div>
                </div>
                <h4 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">Wilmer Deluna</a>
                </h4>
                <h5 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">9876541230</a>
                </h5>
                <div class="small text-muted">Ord-0001</div>

                <div class="small text-muted">Due Date : 17 Mar 2019</div>
                <a href="javascript:;" class="btn btn-white btn-sm m-t-10"
                  >Sent</a
                >
                <a href="image-detail.php" class="btn btn-white btn-sm m-t-10"
                  >Detail</a
                >
              </div>
            </div>
            <div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">
              <div class="profile-widget">
                <div class="profile-img">
                  <a href="image-detail.php" class="avatar"
                    ><img alt="" src="assets/img/profiles/avatar-28.jpg"
                  /></a>
                </div>
                <div class="dropdown profile-action">
                  <a
                    href="#"
                    class="action-icon dropdown-toggle"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    ><i class="material-icons">more_vert</i></a
                  >
                  <div class="dropdown-menu dropdown-menu-right">
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#edit_client"
                      ><i class="fa fa-pencil m-r-5"></i> Edit</a
                    >
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#delete_client"
                      ><i class="fa fa-trash-o m-r-5"></i> Delete</a
                    >
                  </div>
                </div>
                <h4 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">Amanda Warren</a>
                </h4>
                <h5 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">9876541230</a>
                </h5>
                <div class="small text-muted">Ord-0001</div>

                <div class="small text-muted">Due Date : 17 Mar 2019</div>
                <a href="javascript:;" class="btn btn-white btn-sm m-t-10"
                  >Sent</a
                >
                <a href="image-detail.php" class="btn btn-white btn-sm m-t-10"
                  >Detail</a
                >
              </div>
            </div>
            <div class="col-md-4 col-sm-6 col-12 col-lg-4 col-xl-3">
              <div class="profile-widget">
                <div class="profile-img">
                  <a href="image-detail.php" class="avatar"
                    ><img alt="" src="assets/img/profiles/avatar-13.jpg"
                  /></a>
                </div>
                <div class="dropdown profile-action">
                  <a
                    href="#"
                    class="action-icon dropdown-toggle"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    ><i class="material-icons">more_vert</i></a
                  >
                  <div class="dropdown-menu dropdown-menu-right">
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#edit_client"
                      ><i class="fa fa-pencil m-r-5"></i> Edit</a
                    >
                    <a
                      class="dropdown-item"
                      href="#"
                      data-toggle="modal"
                      data-target="#delete_client"
                      ><i class="fa fa-trash-o m-r-5"></i> Delete</a
                    >
                  </div>
                </div>
                <h4 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">Betty Carlson</a>
                </h4>
                <h5 class="user-name m-t-10 mb-0 text-ellipsis">
                  <a href="image-detail.php">9876541230</a>
                </h5>
                <div class="small text-muted">Ord-0001</div>

                <div class="small text-muted">Due Date : 17 Mar 2019</div>
                <a href="javascript:;" class="btn btn-white btn-sm m-t-10"
                  >Sent</a
                >
                <a href="image-detail.php" class="btn btn-white btn-sm m-t-10"
                  >Detail</a
                >
              </div>
            </div>
          </div> -->
        </div>
        <!-- /Page Content -->

        <!-- Delete Estimate Modal -->
        <div class="modal custom-modal fade" id="delete_estimate" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete Estimate</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete Estimate Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <div id="add_client" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add Orders</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Estimate No <span class="text-danger">*</span></label
                    >
                    <select class="select floating">
                      <option>Select Estimate</option>
                      <option>type1</option>
                      <option>type2</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label class="col-form-label"
                      >Event Name <span class="text-danger">*</span></label
                    >
                    <input class="form-control" type="text" />
                  </div>
                </div>

                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-12 col-sm-12">
                      <div class="table-responsive">
                        <table
                          id="GRNTable1"
                          class="table table-hover table-white"
                        >
                          <thead>
                            <tr>
                              <th style="width: 20px">#</th>
                              <th class="col-sm-2">Service</th>
                              <th class="col-md-6">Package</th>
                              <th style="width: 100px">Costing</th>
                              <th style="width: 80px">Qty</th>
                              <th>Amount</th>
                              <th></th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <td>1</td>
                              <td>
                                <input
                                  class="form-control"
                                  type="text"
                                  style="min-width: 150px"
                                  id="col1"
                                />
                              </td>
                              <td>
                                <input
                                  class="form-control"
                                  type="text"
                                  style="min-width: 150px"
                                  id="col2"
                                />
                              </td>
                              <td>
                                <input
                                  class="form-control"
                                  style="width: 100px"
                                  type="text"
                                  id="col3"
                                />
                              </td>
                              <td>
                                <input
                                  class="form-control"
                                  style="width: 80px"
                                  type="text"
                                  id="col4"
                                />
                              </td>
                              <td>
                                <input
                                  class="form-control"
                                  readonly
                                  style="width: 120px"
                                  type="text"
                                  id="col5"
                                />
                              </td>
                              <td style="padding-top: 20px">
                                <a
                                  href="javascript:void(0)"
                                  class="text-success font-18"
                                  title="Add"
                                  onclick="insRow1()"
                                  ><i class="fa fa-plus"></i></a
                                >&nbsp;&nbsp;<a
                                  href="javascript:void(0)"
                                  class="text-danger font-18"
                                  title="Remove"
                                  onclick="deleteRow1(this)"
                                  ><i class="fa fa-trash-o"></i
                                ></a>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div class="table-responsive">
                        <table class="table table-hover table-white">
                          <tbody>
                            <tr>
                              <td></td>
                              <td></td>
                              <td></td>
                              <td></td>
                              <td class="text-right">Total</td>
                              <td
                                style="
                                  text-align: right;
                                  padding-right: 30px;
                                  width: 230px;
                                "
                              >
                                0
                              </td>
                            </tr>
                            <tr>
                              <td colspan="5" class="text-right">Tax</td>
                              <td
                                style="
                                  text-align: right;
                                  padding-right: 30px;
                                  width: 230px;
                                "
                              >
                                <input
                                  class="form-control text-right"
                                  value="0"
                                  readonly
                                  type="text"
                                />
                              </td>
                            </tr>
                            <tr>
                              <td colspan="5" class="text-right">Discount %</td>
                              <td
                                style="
                                  text-align: right;
                                  padding-right: 30px;
                                  width: 230px;
                                "
                              >
                                <input
                                  class="form-control text-right"
                                  type="text"
                                />
                              </td>
                            </tr>
                            <tr>
                              <td
                                colspan="5"
                                style="text-align: right; font-weight: bold"
                              >
                                Grand Total
                              </td>
                              <td
                                style="
                                  text-align: right;
                                  padding-right: 30px;
                                  font-weight: bold;
                                  font-size: 16px;
                                  width: 230px;
                                "
                              >
                                $ 0.00
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>

                      <div class="col-md-12">
                        <div class="form-group">
                          <label>Notes</label>
                          <textarea class="form-control" rows="4"></textarea>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="submit-section">
                <button class="btn btn-primary submit-btn">Submit</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      var orderData = "";
      var actionType = "addorders";
      var orderId = "";
      $(document).ready(function () {
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
		
		var strDate = new Date(); // By default Date empty constructor give you Date.now
		var shortYear = strDate.getFullYear(); 
		// Add this line
		var twoDigitYear = shortYear.toString().substr(-2);

        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=orderslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            orderData = data;
            $.each(data, function (a, b) {
              let spanData = "";
              if (b.status === "1") {
                spanData =
                  '<span class="badge bg-inverse-success">Active</span>';
              }
              if (b.status === "0") {
                spanData =
                  '<span class="badge bg-inverse-danger">Inactive</span>';
              }
              table.append(
                "<tr><td>" +
                  (a + 1) +
                  "</td>" +
				  "<td><a href='image-detail.php?oid="+b.order_id+"'>ORD-"+twoDigitYear+"-00" +
                  b.order_id +
                  "</a></td>" +
                  "<td>" +
                  b.estimate_id +
                  "</td>" +
                  '<td>' +
                  b.ordevent_name +
                  "</td>" +
                  "<td>" +
                  b.amount_payable +
                  "</td>" +
                  "<td>" +
                  b.discount +
                  "</td>" +
                  "<td>" +
                  b.final_amount +
                  "</td>" +
                  "<td>" +
                  spanData +
                  "</td></tr>"
              );
            });

            $(".custom-table").dataTable({
              paging: true,
              searching: true,
              pageLength: 10,
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });
      })
    </script>
    <?php include "common-script.php";?>
  </body>
</html>
