<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
    <style>
      .mini-sidebar .page-wrapper {
        margin-left: 0px;
      }
      #toggle_btn {
        display: none;
      }
    </style>
    <style>
      .col-xs-15,
      .col-sm-15,
      .col-md-15,
      .col-lg-15 {
        position: relative;
        min-height: 1px;
        padding-right: 10px;
        padding-left: 10px;
      }
      .col-xs-15 {
        width: 14.285%;
        float: left;
      }
      @media (min-width: 768px) {
        .col-sm-15 {
          width: 14.285%;
          float: left;
        }
      }
      @media (min-width: 992px) {
        .col-md-15 {
          width: 14.285%;
          float: left;
        }
      }
      @media (min-width: 1200px) {
        .col-lg-15 {
          width: 14.285%;
          float: left;
        }
      }
      @media (max-width: 768px) {
        .col-sm-15 {
          width: 50%;
          float: left;
        }
      }

      /* style.css */
      .container {
        display: flex;
        justify-content: center;
        align-items: center;
        min-height: 100vh;
      }

      .input {
        width: 40px;
        border: none;
        border-bottom: 3px solid rgba(0, 0, 0, 0.5);
        margin: 0 10px;
        text-align: center;
        font-size: 25px;
        cursor: not-allowed;
        pointer-events: none;
        color: rgb(125, 124, 124);
      }

      .input:focus {
        border-bottom: 3px solid orange;
        outline: none;
      }

      .input:nth-child(1) {
        cursor: pointer;
        pointer-events: all;
      }
    </style>
  </head>
  <body class="mini-sidebar">
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->

      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Photo Detail</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Photo Detail</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
                <div class="circle-btn">
                  <a href="#" data-toggle="modal" data-target="#add_client"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->

          <!--<div class="card mb-0">-->
          <!--	<div class="card-body">-->
          <!--		<div class="row">-->
          <!--			<div class="col-md-12">-->
          <!--				<div class="profile-view">-->
          <!--					<div class="profile-img-wrap">-->
          <!--						<div class="profile-img">-->
          <!--							<a href="#"><img alt="" src="assets/img/profiles/avatar-02.jpg"></a>-->
          <!--						</div>-->
          <!--					</div>-->
          <!--					<div class="profile-basic">-->
          <!--						<div class="row">-->
          <!--							<div class="col-md-5">-->
          <!--								<div class="profile-info-left">-->
          <!--									<h3 class="user-name m-t-0 mb-0">John Doe</h3>-->
          <!--									<h6 class="text-muted"></h6>-->
          <!--									<small class="text-muted">Chennai</small>-->
          <!--									<div class="staff-id">9874563210</div>-->
          <!--									<div class="small doj text-muted"> example@gmail.com</div>-->
          <!--									<div class="staff-msg"><a class="btn btn-custom" href="#">Send Message</a></div>-->
          <!--								</div>-->
          <!--							</div>-->
          <!--							<div class="col-md-7">-->
          <!--								<ul class="personal-info">-->
          <!--									<li>-->
          <!--										<div class="title">Source:</div>-->
          <!--										<div class="text">Google</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Category:</div>-->
          <!--										<div class="text">Events</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Event Name:</div>-->
          <!--										<div class="text">Birthday</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Event Date:</div>-->
          <!--										<div class="text">30-10-2023</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Type:</div>-->
          <!--										<div class="text">Photography</div>-->
          <!--									</li>-->
          <!--									<li>-->
          <!--										<div class="title">Assign to:</div>-->
          <!--										<div class="text">assign_name</div>-->
          <!--									</li>-->

          <!--								</ul>-->
          <!--							</div>-->
          <!--						</div>-->
          <!--					</div>-->
          <!--					<div class="pro-edit"><a data-target="#profile_info" data-toggle="modal" class="edit-icon" href="#"><i class="fa fa-trash"></i></a></div>-->
          <!--				</div>-->
          <!--			</div>-->
          <!--		</div>-->
          <!--	</div>-->
          <!--</div>-->

          <div class="card tab-box">
            <div class="row user-tabs">
              <div class="col-lg-12 col-md-12 col-sm-12 line-tabs">
                <ul class="nav nav-tabs nav-tabs-bottom">
                  <li class="nav-item">
                    <a href="#info" data-toggle="tab" class="nav-link active"
                      >Info</a
                    >
                  </li>
                  <li class="nav-item">
                    <a href="#my_selection" data-toggle="tab" class="nav-link"
                      >Choose Photos</a
                    >
                  </li>
                  <li class="nav-item">
                    <a
                      href="#client_selected"
                      data-toggle="tab"
                      class="nav-link"
                      >Selected Photos</a
                    >
                  </li>
                </ul>
              </div>
            </div>
          </div>

          <div class="tab-content">
            <!-- Profile Info Tab -->
            <div id="info" class="pro-overview tab-pane fade show active">
              <div class="row">
                <div class="col-md-12 d-flex">
                  <div class="card profile-box flex-fill">
                    <div class="card-body">
                      <h3 class="card-title">
                        Info
                        <a
                          href="#"
                          data-toggle="modal"
                          data-target="#add_info"
                          class="edit-icon"
                          ><i class="fa fa-trash"></i
                        ></a>
                      </h3>
                      <ul class="personal-info">
                        <li>
                          <div class="title">Album Name</div>
                          <div class="text">Ord-001</div>
                        </li>
                        <li>
                          <div class="title">Upload Date</div>
                          <div class="text">05-11-2023</div>
                        </li>
                        <li>
                          <div class="title">Selection Dead Line</div>
                          <div class="text">05-11-2023</div>
                        </li>
                        <li>
                          <div class="title">Selected Final Date</div>
                          <div class="text">05-11-2023</div>
                        </li>
                        <li>
                          <div class="title">Notes</div>
                          <div class="text">Super</div>
                        </li>
                        <li>
                          <div class="title">Selection Limit</div>
                          <div class="text">100</div>
                        </li>
                        <li>
                          <div class="title">Selection Status</div>
                          <div class="text">
                            <span class="badge bg-inverse-success">Sent</span>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Profile Info Tab -->
            <style>
              .img-thumbs {
                background: #eee;
                border: 1px solid #ccc;
                border-radius: 0.25rem;
                margin: 1.5rem 0;
                padding: 0.75rem;
              }
              .img-thumbs-hidden {
                display: none;
              }

              .wrapper-thumb {
                position: relative;
                display: inline-block;
                margin: 1rem 0;
                justify-content: space-around;
              }

              .img-preview-thumb {
                background: #fff;
                border: 1px solid none;
                border-radius: 0.25rem;
                box-shadow: 0.125rem 0.125rem 0.0625rem rgba(0, 0, 0, 0.12);
                margin-right: 1rem;
                max-width: 140px;
                padding: 0.25rem;
              }

              .remove-btn {
                position: absolute;
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: 0.7rem;
                top: -5px;
                right: 10px;
                width: 20px;
                height: 20px;
                background: white;
                border-radius: 10px;
                font-weight: bold;
                cursor: pointer;
              }

              .remove-btn:hover {
                box-shadow: 0px 0px 3px grey;
                transition: all 0.3s ease-in-out;
              }
            </style>
            <style>
              input[type="file"]::file-selector-button {
                background-color: #fff;
                color: #000;
                border: 0px;
                border-right: 1px solid #e5e5e5;
                padding: 10px 15px;
                margin-right: 20px;
                transition: 0.5s;
              }

              input[type="file"]::file-selector-button:hover {
                background-color: #eee;
                border: 0px;
                border-right: 1px solid #e5e5e5;
              }
            </style>
            <!-- Projects Tab -->

            <!-- /Projects Tab -->
            <style>
              .rounded-checkbox {
                width: 20px;
                height: 20px;
                border-radius: 50%;
                vertical-align: middle;
                border: 1px solid #e23c33;
                appearance: none;
                -webkit-appearance: none;
                outline: none;
                cursor: pointer;
              }
              .rounded-checkbox:checked {
                appearance: auto;
                clip-path: circle(50% at 50% 50%);
                background-color: blue;
              }
              .position-change {
                position: absolute;
                right: 15px;
                top: 5px;
              }
            </style>
            <!-- Bank Statutory Tab -->
            <div class="tab-pane fade" id="my_selection">
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="row">
                      <div class="col-md-8">
                        <h3 class="card-title">
                          Photos Available <span id="photos-available"></span>
                        </h3>
                      </div>
                      <div class="col-md-4">
                        <!--<a href="#" data-toggle="modal" data-target="#share_selection" class="edit-icon"><i class="fa fa-share-alt"></i></a>
												-->
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <div class="row" id="choose-photos"></div>
                  </div>

                  <div class="col-md-12">
                    <button
                      type="submit"
                      class="btn btn-primary"
                      id="select-photos"
                    >
                      Submit
                    </button>
                  </div>
                </div>
              </div>
            </div>
            <!-- /Bank Statutory Tab -->

            <div class="tab-pane fade" id="client_selected">
              <div class="card">
                <div class="card-body">
                  <div class="col-md-12">
                    <div class="row">
                      <div class="col-md-8">
                        <h3 class="card-title">
                          Selected Photos
                          <span id="client-selection-count"></span>
                        </h3>
                      </div>
                      <div class="col-md-4 text-right">
                        <a
                          href="#"
                          class="btn btn-sm btn-primary"
                          data-toggle="modal"
                          data-target="#share_selection"
                          >Approve</a
                        >
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12">
                    <div class="row" id="client-selected-photos"></div>
                  </div>
                  <!--
									<div class="col-md-12">
										<button type="submit" class="btn btn-primary">Submit</button>
									</div>
									-->
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Profile Modal -->

        <!-- /Profile Modal -->

        <!-- Personal Info Modal -->

        <!-- /Personal Info Modal -->

        <!-- Family Info Modal -->

        <!-- /Family Info Modal -->

        <!-- Emergency Contact Modal -->

        <!-- /Emergency Contact Modal -->

        <!-- Education Modal -->

        <!-- /Education Modal -->

        <!-- Experience Modal -->

        <!-- /Experience Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <div id="edit_task_modal" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add/Edit Tasks</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="addUpload">
              <div class="row">
                <div class="col-md-6">
                  <label class="col-form-label">Deadline</label>
                  <input class="form-control" type="date" name="bulk_upload" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Allocated To</label>
                  <select class="form-control" onchange="showDiv(this)">
                    <option value="">Choose</option>
                    <option value="Employee">Employee</option>
                    <option value="Vendor">Vendor</option>
                  </select>
                </div>
                <div class="col-md-12" id="hidden_div1" style="display: none">
                  <label class="col-form-label">Employee Name</label>
                  <input class="form-control" type="text" />
                </div>
                <div class="col-md-12" id="hidden_div2" style="display: none">
                  <label class="col-form-label">Vendor Name</label>
                  <input class="form-control" type="text" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Remarks</label>
                  <input class="form-control" type="text" name="bulk_upload" />
                </div>
                <div class="col-md-6">
                  <label class="col-form-label">Status</label>
                  <select class="form-control">
                    <option value="">Choose</option>
                    <option value="">Pending</option>
                    <option value="">Processing</option>
                    <option value="">Completed</option>
                  </select>
                </div>
                <div class="col-md-12">
                  <div class="submit-section" style="text-align: left">
                    <button class="btn btn-primary submit-btn">Submit</button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <!-- Add Expense Modal -->
    <div id="add_info" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Add Info</h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Album Name</label>
                    <input class="form-control" type="text" />
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Upload Date</label>
                    <div class="cal-icon">
                      <input class="form-control datetimepicker" type="text" />
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selection Dead Line</label>
                    <div class="cal-icon">
                      <input class="form-control datetimepicker" type="text" />
                    </div>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selected Final Date</label>
                    <div class="cal-icon">
                      <input class="form-control datetimepicker" type="text" />
                    </div>
                  </div>
                </div>
                <div class="col-md-12">
                  <div class="form-group">
                    <label>Notes</label>
                    <textarea class="form-control"></textarea>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group">
                    <label>Selection Limit</label>
                    <input class="form-control" type="number" />
                  </div>
                </div>
                <div class="col-md-6">
                  <label>Status</label>
                  <select class="form-control">
                    <option value="">Choose</option>
                    <option value="">Pending</option>
                    <option value="">Processing</option>
                    <option value="">Completed</option>
                  </select>
                </div>
              </div>

              <div class="submit-section">
                <button class="btn btn-primary submit-btn">Submit</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- /Add Expense Modal -->

    <!-- Add Expense Modal -->
    <div id="share_selection" class="modal custom-modal fade" role="dialog">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row text-center">
                <div class="col-md-12 mb-4">
                  <h1><i class="fa fa-info-circle text-primary"></i></h1>
                  <h5 class="modal-title text-primary text-center">Approve</h5>
                  <p>
                    You are approving your selection on submitting the photos.
                    It will be used by the photographer for the editing & for
                    the printing.
                  </p>
                  <div class="pin">
                    <div id="inputs" class="inputs">
                      <input
                        class="input"
                        type="text"
                        inputmode="numeric"
                        maxlength="1"
                      />
                      <input
                        class="input"
                        type="text"
                        inputmode="numeric"
                        maxlength="1"
                      />
                      <input
                        class="input"
                        type="text"
                        inputmode="numeric"
                        maxlength="1"
                      />
                      <input
                        class="input"
                        type="text"
                        inputmode="numeric"
                        maxlength="1"
                      />
                    </div>
                  </div>
                </div>
                <div class="col-md-12 mb-4">
                  <button type="submit" class="btn btn-primary">OK</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- /Add Expense Modal -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      $(document).ready(function () {
        var queryString = window.location.search;
        var urlParams = new URLSearchParams(queryString);
        var oid = urlParams.get("oid");

        getUploadedPhotos();

        getSelectedPhotos();

        function copyToClipboard() {
          var textBox = document.getElementById("myvalue");
          textBox.select();
          document.execCommand("copy");
        }

        function getUploadedPhotos() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=orderalbumphotos&order_id=" +
              oid,
            success: function (data) {
              uploadedPhotos = data;
              $("#photos-available").html("(" + data.length + ") photos");
              data.map((val) => {
                if (val.client_status == "0" || val.client_status == "2") {
                  $("#choose-photos").append(
                    `<div class="col-md-15 col-sm-15 mb-3" data-id="${val.op_id}"><img src="${val.thumb_img}" width="100%" /><input type="checkbox"  class="rounded-checkbox position-change" /></div>`
                  );
                } else {
                  $("#choose-photos").append(
                    `<div class="col-md-15 col-sm-15 mb-3" data-id="${val.op_id}"><img src="${val.thumb_img}" width="100%" /><input type="checkbox" checked="checked" class="rounded-checkbox position-change" /></div>`
                  );
                }
              });
            },
          });
        }

        $("#select-photos").click((e) => {
          e.preventDefault();

          var payload = {
            gofor: "selectphotos",
            selected_photos: [],
            rejected_photos: [],
          };

          $(".rounded-checkbox").each(function (i, obj) {
            var id = $(obj).parent().attr("data-id");
            if ($(obj).is(":checked")) {
              payload.selected_photos.push(id);
            } else {
              payload.rejected_photos.push(id);
            }
          });

          updatePhotoSelection(payload);
        });

        $(document).on("click", "#client-selected-photos .fa-trash", (el) => {
          const getId = el.target.parentElement.getAttribute("data-id");
          deleteSelectedPhotos(getId);
        });

        function updatePhotoSelection(payload) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(payload),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        function getSelectedPhotos() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=selectedorderalbumphotos&order_id=" +
              oid,
            success: function (data) {
              $("#client-selection-count").html("(" + data.length + ") photos");
              data.map((val) => {
                $("#client-selected-photos").append(
                  `<div class="col-md-15 col-sm-15 mb-3"><img src="${val.thumb_img}" width="100%" /><div class="position-change" data-id="${val.op_id}"><i class="fa fa-trash text-danger"></i></div></div>`
                );
              });
            },
          });
        }

        function deleteSelectedPhotos(id) {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=deleteselectedphotos&op_id=" +
              id,
            success: function (data) {
              window.location.reload();
            },
          });
        }

        // for otp
        const inputs = document.getElementById("inputs");

        inputs.addEventListener("input", function (e) {
          const target = e.target;
          const val = target.value;

          if (isNaN(val)) {
            target.value = "";
            return;
          }

          if (val != "") {
            const next = target.nextElementSibling;
            if (next) {
              next.focus();
            }
          }
        });

        inputs.addEventListener("keyup", function (e) {
          const target = e.target;
          const key = e.key.toLowerCase();

          if (key == "backspace" || key == "delete") {
            target.value = "";
            const prev = target.previousElementSibling;
            if (prev) {
              prev.focus();
            }
            return;
          }
        });
      });
    </script>
    <?php include "common-script.php";?>
  </body>
</html>
