<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Tagsinput CSS -->
    <link
      rel="stylesheet"
      href="assets/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css"
    />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row">
              <div class="col-sm-6">
                <h3 class="page-title">Profile</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Profile</li>
                </ul>
              </div>
			  <div class="col-sm-6 text-right ml-auto">
				<div class="adduserprofile" style="display:none;">
				<a href="create-users.php" class="btn btn-danger">Manange Users</a>
				</div>
				<div class="addprofile" style="display:none;">
				<a href="create-profile.php" class="btn btn-danger">Manange Users</a>
				</div>
			  </div>
            </div>
          </div>
          <!-- /Page Header -->
		  <style>
			.profile-img-wrap.edit-img{
				border-radius: 0% ! important;
				margin: 0 ! important;
				margin-bottom: 20px !important;
				width:100% !important;
				height:auto !important;
				border-radius:0px !important;
			}
			.profile-img-wrap img{
				width:100% !important;
				height:100% !important;
				border-radius:0px !important;
			}
		  </style>
          <div class="card mb-0">
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="profile-view staff-grid-row">
                    <form id="addForm">
                      <div class="row">
                        <div class="col-md-12">
						  <div class="row">
							  <div class="col-md-4">
								  <label>Logo (270 x 152)</label>
								  <div class="profile-img-wrap edit-img">
									<img
									  class="inline-block"
									  src=""
									  alt="logo"
									  id="profile-pic"
									/>
									<div class="fileupload btn">
									  <span class="btn-text">edit (270 x 152)</span>
									  <input class="upload" type="file" id="logo" />
									</div>
								  </div>
							  </div>
							  <div class="col-md-4">
								  <label>Mini Logo (93 x 93)</label>
								  <div class="profile-img-wrap edit-img" style="position: absolute;bottom: 0px;">
									<img
									  class="inline-block"
									  src=""
									  alt="mini logo"
									  id="pic1"
									 style="width:80px !important" />
									<div class="fileupload btn">
									  <span class="btn-text">edit (93 x 93)</span>
									  <input class="upload" type="file" id="minilogo" />
									</div>
								  </div>
							  </div>
							  <div class="col-md-4">
							  </div>
							  <!--
							  <div class="col-md-4">
								  <div class="profile-img-wrap edit-img">
									<img
									  class="inline-block"
									  src=""
									  alt="user"
									  id="pic2"
									/>
									<div class="fileupload btn">
									  <span class="btn-text">edit</span>
									  <input class="upload" type="file" id="favicon" />
									</div>
								  </div>
							  </div>
							  -->
						  </div>
                          <div class="row">
                            <div class="col-md-6">
                              <div class="form-group">
                                <label>Name</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  name="name"
                                />
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label>Mobile Number</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  name="mobilenumber"
                                />
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label>User Name</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  name="username"
                                />
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label>Email</label>
                                <input
                                  type="email"
                                  class="form-control"
                                  name="email"
                                />
                              </div>
                            </div>
                            <div class="col-md-12">
                              <div class="form-group">
                                <label>Company Name</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  name="company_name"
                                  id="company_name"
                                />
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label>Address</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  value=""
                                  name="address"
                                />
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label>Location</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  value=""
                                  name="location"
                                />
                              </div>
                            </div>
                            <div class="col-md-12">
                              <div class="form-group">
                                <label>Website</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  value=""
                                  name="website"
                                  id="website"
                                />
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label>Facbook</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  value=""
                                  name="facebook"
                                  id="facebook"
                                />
                              </div>
                            </div>
                            <div class="col-md-6">
                              <div class="form-group">
                                <label>Instagram</label>
                                <input
                                  type="text"
                                  class="form-control"
                                  value=""
                                  name="instagram"
                                  id="instagram"
                                />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="submit-section">
                        <button class="btn btn-primary submit-btn">
                          Submit
                        </button>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Tagsinput JS -->
    <script src="assets/plugins/bootstrap-tagsinput/bootstrap-tagsinput.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>

    <script>
      var userData = "";
      var actionType = "profileadd";
      var userId = "";
      $(document).ready(function () {
        const uid = sessionStorage.getItem("user_id");
        var table = $(".staff-grid-row");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=userget_by_user_id&user_id=" +
            uid,
          success: function (data) {
            userData = data;
            $("[name='mobilenumber']").val(data.mobilenumber);
            $("[name='username']").val(data.username);
            $("[name='email']").val(data.email);
            $("[name='name']").val(data.name);
            $("[name='company_name']").val(data.company_name);
            $("#profile-pic").attr('src', data.logo);
			$("#pic1").attr('src', data.minilogo);
			//$("#pic2").attr('src', data.favicon);
            $("[name='address']").val(data.address);
            $("[name='location']").val(data.location);
            $("[name='website']").val(data.website);
            $("[name='instagram']").val(data.instagram);
            $("[name='facebook']").val(data.facebook);

            $(document).on("click", ".edit_user", (e) => {
              actionType = "profileedit";
              userId = e.target.parentElement.getAttribute("data-user-id");
              $("#profile_info").modal("show");
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

        $("#logo").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            const replaceBaseSrc = reader.result.split("base64,")[1];

            var data = {
              gofor: "profile_photo_post",
              user_id: sessionStorage.getItem("user_id"),
              logo: replaceBaseSrc,
            };
            uploadImage(data);
          };
          reader.readAsDataURL(file);
        });

        function uploadImage(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
				$("#profile-pic").attr('src', data.logo);
            },
            error: function (e) {
              console.log(e);
            },
          });
        }
		
		$("#minilogo").change(function (el) {
          var file1 = el.target.files[0];
          var reader1 = new FileReader();
          reader1.onloadend = function () {
            const replaceBaseSrc1 = reader1.result.split("base64,")[1];

            var data1 = {
              gofor: "profile_minilogo",
              user_id: sessionStorage.getItem("user_id"),
              minilogo: replaceBaseSrc1,
            };
            uploadImageMini(data1);
          };
          reader1.readAsDataURL(file1);
        });

        function uploadImageMini(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
				$("#pic1").attr('src', data.minilogo);
            },
            error: function (e) {
              console.log(e);
            },
          });
        }
		
		//$("#favicon").change(function (el) {
        //  var file = el.target.files[0];
        //  var reader = new FileReader();
        //  reader.onloadend = function () {
        //    const replaceBaseSrc = reader.result.split("base64,")[1];

        //    var data = {
        //      gofor: "profile_favicon",
        //      user_id: sessionStorage.getItem("user_id"),
        //      favicon: replaceBaseSrc,
        //    };
        //    uploadImageFav(data);
        //  };
        //  reader.readAsDataURL(file);
        //});

        //function uploadImageFav(postData) {
        //  $.ajax({
        //    type: "POST",
        //    url: "https://efflo.xyz/App/api.php",
        //    contentType: "application/json",
        //    cache: false,
        //    data: JSON.stringify(postData),
        //    success: function (data) {
		//		$("#pic2").attr('src', data.favicon);
        //    },
        //    error: function (e) {
        //      console.log(e);
        //    },
        //  });
        //}

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          var data = {
            gofor: "profileedit",
            mobilenumber: $("[name='mobilenumber']").val(),
            user_id: sessionStorage.getItem('user_id'),
            username: $("[name='username']").val(),
            email: $("[name='email']").val(),
            name: $("[name='name']").val(),
            company_name: $("[name='company_name']").val(),
            logo: $("#profile-pic").attr('src'),
			minilogo: $("#pic1").attr('src'),
			favicon: "",
            address: $("[name='address']").val(),
            location: $("[name='location']").val(),
            website: $("[name='website']").val(),
            instagram: $("[name='instagram']").val(),
            facebook: $("[name='facebook']").val(),
          };

          var jsonData = JSON.stringify(data);

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: jsonData,
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("user Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });

        //reset form on modal close
        $("#profile_info").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
        });
      });
    </script>
    <?php include "common-script.php";?>
  </body>
</html>
