<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0"
    />
    <?php include "meta-title.php";?>

    <!-- Favicon -->
    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="assets/img/favicon.png"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/css/font-awesome.min.css" />

    <!-- Lineawesome CSS -->
    <link rel="stylesheet" href="assets/css/line-awesome.min.css" />

    <!-- Datatable CSS -->
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap4.min.css" />

    <!-- Select2 CSS -->
    <link rel="stylesheet" href="assets/css/select2.min.css" />

    <!-- Datetimepicker CSS -->
    <link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />

    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/css/style.css" />

    <link rel="stylesheet" href="assets/css/vendor.css" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="assets/js/html5shiv.min.js"></script>
      <script src="assets/js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <!-- Main Wrapper -->
    <div class="main-wrapper">
      <!-- Header -->
      <?php include "header.php";?>
      <!-- /Header -->

      <!-- Sidebar -->
      <?php include "sidebar.php";?>
      <!-- /Sidebar -->

      <!-- Page Wrapper -->
      <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
          <!-- Page Header -->
          <div class="page-header">
            <div class="row align-items-center">
              <div class="col">
                <h3 class="page-title">Vendors</h3>
                <ul class="breadcrumb">
                  <li class="breadcrumb-item">
                    <a href="dashboard.php">Dashboard</a>
                  </li>
                  <li class="breadcrumb-item active">Vendors</li>
                </ul>
              </div>
              <div class="col-auto float-right ml-auto">
				<!--
                <div class="quick-stats">
                  <button class="special-box-btn">
                    <i class="ti-stats-up"></i>
                  </button>
                </div>
				-->
                <div class="circle-btn">
                  <a href="#" id="addVendor"
                    ><div class="circle-container">
                      <div class="circle-div">+</div>
                    </div></a
                  >
                </div>
              </div>
            </div>
          </div>
          <!-- /Page Header -->
		 <!--
          <div class="row special">
            <div class="col-md-12">
              <div class="card-group special-box m-b-30">
                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">112</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">New </span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-info1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">70</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Pending</span>
                      </div>
                      <div>
                        <span class="text-success"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-primary1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">100</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Active</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-danger1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>

                <div class="card">
                  <div class="card-body">
                    <h3 class="mb-1 box-div-number">125</h3>
                    <div class="d-flex justify-content-between mb-3">
                      <div class="box-div-content">
                        <span class="d-block">Inactive</span>
                      </div>
                      <div>
                        <span class="text-danger"></span>
                      </div>
                    </div>

                    <div class="progress mb-2" style="height: 5px">
                      <div
                        class="progress-bar bg-success1"
                        role="progressbar"
                        style="width: 70%"
                        aria-valuenow="40"
                        aria-valuemin="0"
                        aria-valuemax="100"
                      ></div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
		  -->

          <!-- Search Filter 
          <div class="row filter-row">
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus">
                <input type="text" class="form-control floating" />
                <label class="focus-label">Name</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Company</option>
                  <option>Global Technologies</option>
                  <option>Delta Infotech</option>
                </select>
                <label class="focus-label">Company</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <div class="form-group form-focus select-focus">
                <select class="select floating">
                  <option>Select Roll</option>
                  <option>Web Developer</option>
                  <option>Web Designer</option>
                  <option>Android Developer</option>
                  <option>Ios Developer</option>
                </select>
                <label class="focus-label">Role</label>
              </div>
            </div>
            <div class="col-sm-6 col-md-3">
              <a href="#" class="btn btn-success btn-block"> Search </a>
            </div>
          </div>
          <!-- /Search Filter -->

          <div class="row mt-3">
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-nowrap custom-table mb-0">
                  <thead>
                    <tr>
                      <th>#</th>
                      <th>Name</th>
                      <th>Mobile</th>
                      <th>Company</th>
                      <th>Vendor Type</th>
                      <th>Email</th>

                      <th class="text-right">Action</th>
                    </tr>
                  </thead>
                  <tbody></tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /Page Content -->

        <!-- Add User Modal -->
        <div id="add_client" class="modal custom-modal fade" role="dialog">
          <div
            class="modal-dialog modal-dialog-centered modal-lg"
            role="document"
          >
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title text-right">Add Vendors</h5>
                <button
                  type="button"
                  class="close"
                  data-dismiss="modal"
                  aria-label="Close"
                >
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form id="addForm">
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Name <span class="text-danger">*</span></label
                        >
                        <input
                          class="form-control"
                          type="text"
                          id="name"
                          name="name"
                        />
                        <span class="error-message" id="nameErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Company </label>
                        <input
                          class="form-control"
                          type="text"
                          id="company"
                          name="company"
                        />
                        <span class="error-message" id="companyErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Mobile No</label>
                        <input
                          class="form-control"
                          type="text"
                          id="mobileno"
                          name="mobileno"
                        />
                        <span class="error-message" id="mobilenoErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Secondary Number</label>
                        <input
                          class="form-control"
                          type="text"
                          id="sec_mobileno"
                          name="sec_mobileno"
                        />
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label">Email </label>
                        <input
                          class="form-control"
                          type="email"
                          id="email"
                          name="email"
                        />
                        <span class="error-message" id="emailErr"></span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Proof<span class="text-danger">*</span></label
                        >
                        <div class="d-flex pdf-group">
                          <input
                            class="form-control floating"
                            type="file"
                            id="proof"
                            accept=".jpg, .jpeg, .png, .gif, .pdf"
                          />
                          <i
                            class="fa fa-file-pdf-o"
                            aria-hidden="true"
                            style="font-size: 3rem"
                          ></i>
                        </div>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Address <span class="text-danger">*</span></label
                        >
                        <textarea
                          class="form-control floating"
                          id="address"
                          name="address"
                        ></textarea>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="col-form-label"
                          >Type <span class="text-danger">*</span></label
                        >
                        <select
                          class="form-control"
                          id="vendor_type"
                          name="vendor_type"
                        >
                          <option value="">Select Type</option>
						  <!--
                          <option>Traditional Photographer</option>
                          <option>Traditional Videographer</option>
                          <option>Candid Photographer</option>
                          <option>Candid Videographer</option>
                          <option>Drone Pilot</option>
                          <option>LED TV</option>
                          <option>LED Wall</option>
                          <option>Live Streaming</option>
                          <option>Photobooth</option>
                          <option>360 Booth</option>
                          <option>Framemaker</option>
                          <option>Albummaker</option>
                          <option>Traditional Video Editor</option>
                          <option>Album Designer</option>
                          <option>Candid Video Editor</option>
                          <option>Retoucher</option>
                          <option>Other</option>
						  -->
                        </select>
                        <span class="error-message" id="vendor_typeErr"></span>
                      </div>
                    </div>
                    <div class="col-md-12">
                      <div class="row">
                        <div class="col-md-12 col-sm-12">
                          <div class="table-responsive">
                            <table
                              id="GRNTable1"
                              class="table table-hover table-white"
                            >
                              <thead>
                                <tr>
                                  <th class="col-sm-5">Service</th>
                                  <th class="col-md-5">Costing</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr class="d-none">
                                  <td>
                                    <input
                                      class="form-control"
                                      type="text"
                                      style="min-width: 250px"
                                      id="col1"
                                    />
                                  </td>

                                  <td>
                                    <input
                                      class="form-control"
                                      type="text"
                                      style="min-width: 250px"
                                      id="col2"
                                    />
                                  </td>

                                  <td style="padding-top: 20px">
                                    <a
                                      href="javascript:void(0)"
                                      class="text-success font-18"
                                      title="Add"
                                      onclick="insRow()"
                                      ><i class="fa fa-plus"></i></a
                                    >&nbsp;&nbsp;<a
                                      href="javascript:void(0)"
                                      class="text-danger font-18"
                                      title="Remove"
                                      onclick="deleteRow(this)"
                                      ><i class="fa fa-trash-o"></i
                                    ></a>
                                  </td>
                                </tr>
                              </tbody>
                            </table>
                          </div>
                        </div>

                        <div class="col-md-6">
                          <div class="form-group">
                            <label class="col-form-label">Remarks </label>
                            <textarea
                              class="form-control floating"
                              name="remarks"
                              id="remarks"
                            ></textarea>
                          </div>
                        </div>

                        <div class="col-md-6">
                          <div class="form-group">
                            <label class="col-form-label"
                              >Status <span class="text-danger">*</span></label
                            >
                            <select
                              class="form-control"
                              id="status"
                              name="status"
                            >
                              <option>Select Status</option>
                              <option value="1">Active</option>
                              <option value="0">Inactive</option>
                            </select>
                            <span class="error-message" id="statusErr"></span>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="submit-section">
                      <div class="col-md-12 text-right">
                        <!--<button class="btn btn-secondary submit-btn">Close</button>-->
                        <button class="btn btn-danger submit-btn">
                          Submit
                        </button>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
        <!-- /Add User Modal -->

        <!-- Delete User Modal -->
        <div class="modal custom-modal fade" id="delete_user" role="dialog">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
              <div class="modal-body">
                <div class="form-header">
                  <h3>Delete User</h3>
                  <p>Are you sure want to delete?</p>
                </div>
                <div class="modal-btn delete-action">
                  <div class="row">
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        class="btn btn-primary continue-btn"
                        >Delete</a
                      >
                    </div>
                    <div class="col-6">
                      <a
                        href="javascript:void(0);"
                        data-dismiss="modal"
                        class="btn btn-primary cancel-btn"
                        >Cancel</a
                      >
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /Delete User Modal -->
      </div>
      <!-- /Page Wrapper -->
    </div>
    <!-- /Main Wrapper -->

    <!-- jQuery -->
    <script src="assets/js/jquery-3.5.1.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/js/popper.min.js"></script>
    <script src="assets/js/bootstrap.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="assets/js/jquery.slimscroll.min.js"></script>

    <!-- Select2 JS -->
    <script src="assets/js/select2.min.js"></script>

    <!-- Datetimepicker JS -->
    <script src="assets/js/moment.min.js"></script>
    <script src="assets/js/bootstrap-datetimepicker.min.js"></script>

    <!-- Custom JS -->
    <script src="assets/js/app.js"></script>
    <script>
      $(document).ready(function () {
        $(".special-box-btn").click(function () {
          $(".special").toggle();
        });
      });
    </script>

    <script>
      function deleteRow(row) {
        var x = document.getElementById("GRNTable1");
        var len = x.rows.length;
        var i = row.parentNode.parentNode.rowIndex;
        if (i == len - 1)
          if (i != 1) document.getElementById("GRNTable1").deleteRow(i);
          else alert("Must have one row");
        else alert("Delete last rows first");
      }
      function insRow(val) {
        var cloneRow = $("#GRNTable1 tbody tr.d-none").clone();
        if (val) {
          cloneRow.find(":input#col1").val(val?.service);
          cloneRow.find(":input#col2").val(val?.amount);
        } else {
          cloneRow.find(":input").val("");
        }

        cloneRow.removeClass('d-none')
        $("#GRNTable1 tbody tr").last().after(cloneRow);
      }
      var vendorData = "";
      var actionType = "addvendors";
      $('.modal-title').text('Add Vendors')
      var vendorId = "";
      $(document).ready(function () {
        $('#addVendor').click(() => {
          insRow();
          $("#add_client").modal("show");
        })
		getVendorType();
        const uid = sessionStorage.getItem("user_id");
        var table = $(".custom-table tbody");
        $.ajax({
          type: "GET",
          url:
            "https://efflo.xyz/App/api.php?gofor=vendorslist&user_id=" +
            uid,
          success: function (data) {
            table.empty();
            vendorData = data;
            $.each(data, function (a, b) {
              table.append(
                "<tr><td>" +
                  (a + 1) +
                  "</td>" +
                  '<td><a href="vendor-detail.php?vid=' + b.vendor_id +'" class="text-primary">' +
                  b.name +
                  "</a></td>" +
                  "<td>" +
                  b.mobileno +
                  "</td>" +
                  "<td>" +
                  b.company +
                  "</td>" +
                  "<td>" +
                  b.vendor_type +
                  "</td>" +
                  "<td>" +
                  b.email +
                  "</td>" +
                  '<td class="text-right"><span class="text-danger delete_user" data-vendor-id="' +
                  b.vendor_id +
                  '"><i class="sl-icon-trash fa-lg m-r-5"></i></span><span class="text-success edit_user" data-vendor-id="' +
                  b.vendor_id +
                  '"><i class="sl-icon-note fa-lg m-r-5"></i></span><a href="vendor-detail.php?vid=' + b.vendor_id +'" class="text-primary convert_user"><i class="ti-new-window fa-lg m-r-5"></i></a></td></tr>'
              );
            });

            //   $('.custom-table').DataTable();
            $(".custom-table").dataTable({
              ordering: true,
              //order: [[0, "desc"]],
              paging: true,
              searching: true,
              pageLength: 10,
              initComplete: () => {
                $(document).on("click", ".edit_user", (e) => {
                  actionType = "editvendors";
                  $('.modal-title').text('Edit Vendors')
                  vendorId =
                    e.target.parentElement.getAttribute("data-vendor-id");
                  var selectedVendorData = vendorData.find(
                    (l) => l.vendor_id === vendorId.toString()
                  );
                  window.selectedVendorData = selectedVendorData
                  var entries = Object.entries(selectedVendorData);
                  //alert(entries);
                  for ([key, value] of entries) {
                    if (
                      key !== "user_id" &&
                      key !== "vendor_id" &&
                      value !== "" &&
                      key !== "created_date" &&
                      key !== "modified_date"
                    ) {
                      $("[name=" + key + "]").val(value);
                      if (key == "proof") {
                        $(".fa-file-pdf-o").attr("data-url", value);
                      }
                    }
                  }
                  if (selectedVendorData?.vendor_service && selectedVendorData?.vendor_service?.length > 0) {
                    selectedVendorData.vendor_service.map((v) => {
                      insRow(v);
                    });
                  }
                  $("#add_client").modal("show");
                });

                $(document).on("click", ".delete_user", (e) => {
                  const lId =
                    e.target.parentElement.getAttribute("data-vendor-id");
					Swal.fire({
					  title: 'Are you sure! want to delete?',
					  text: "",
					  icon: 'warning',
					  showCancelButton: true,
					  confirmButtonColor: '#3085d6',
					  cancelButtonColor: '#d33',
					  confirmButtonText: 'Yes'
					}).then((result) => {
					  if (result.isConfirmed) {
						$.ajax({
						type: "GET",
						url:
						  "https://efflo.xyz/App/api.php?gofor=vendorsdelete&vendor_id=" +
                      lId,
						success: function (data) {
						  window.location.reload();
						  setTimeout(() => {
							showNotification("Deleted Successfully");
						  }, 2000);
						},
					  });
						
					  } //else {
						//Swal.fire('Changes are not saved', '', 'info')
					  //}
					})
                  
                });
              },
            });
          },
          error: function (e) {
            $("#output").text(e.responseText);
            console.log("ERROR : ", e);
          },
        });

        $("#proof").change(function (el) {
          var file = el.target.files[0];
          var reader = new FileReader();
          reader.onloadend = function () {
            const replaceBaseSrc = reader.result.split("base64,")[1];

            var data = {
              gofor: "vendor_proof_post",
              user_id: sessionStorage.getItem("user_id"),
              proof: replaceBaseSrc,
            };
            uploadImage(data);
          };
          reader.readAsDataURL(file);
        });

        function uploadImage(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              var keyToSave = Object.keys(postData)[2];
              window[keyToSave] = data;
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        $(".fa-file-pdf-o").click((v) => {
          previewPdf($(".fa-file-pdf-o").attr("data-url"));
        });
        function previewPdf(url) {
          const pdfUrl = url;

          pdfUrlToBase64(pdfUrl).then((base64Data) => {
            if (base64Data) {
              var base64 = base64Data;
              const blob = base64ToBlob(base64, "application/pdf");
              const url = URL.createObjectURL(blob);
              const pdfWindow = window.open("");
              pdfWindow.document.write(
                "<iframe width='100%' height='100%' src='" + url + "'></iframe>"
              );

              function base64ToBlob(base64, type = "application/octet-stream") {
                const binStr = atob(base64);
                const len = binStr.length;
                const arr = new Uint8Array(len);
                for (let i = 0; i < len; i++) {
                  arr[i] = binStr.charCodeAt(i);
                }
                return new Blob([arr], { type: type });
              }
            } else {
              console.log("Conversion failed.");
            }
          });
        }

        function addOrders(postData) {
          $.ajax({
            type: "POST",
            url: "https://efflo.xyz/App/api.php",
            contentType: "application/json",
            cache: false,
            data: JSON.stringify(postData),
            success: function (data) {
              console.log(data);
              window.location.reload();
            },
            error: function (e) {
              console.log(e);
            },
          });
        }

        $(".submit-btn").click((e) => {
          e.preventDefault();
          // Get form
          var form = $("#addForm")[0];

          // Create an FormData object
          var vendorDetails = [];
          $('#GRNTable1 tbody tr:not(.d-none)').map(function () {
            var $row = $(this);
            vendorDetails.push({
              service: $row.find("td").eq(0).find("input").val(),
              amount: $row.find("td").eq(1).find("input").val(),
            });
          });

          var proof = "";
          if (typeof window.proof !== "string") {
            proof = window?.selectedVendorData?.proof;
          } else {
            proof = window.proof;
          }

          var jsonData = {
            gofor: actionType,
            mobileno: $("#mobileno").val(),
            user_id: sessionStorage.getItem("user_id"),
            name: $("#name").val(),
            company: $("#company").val(),
            email: $("#email").val(),
            sec_mobileno: $("#sec_mobileno").val(),
            address: $("#address").val(),
            proof: proof,
            remarks: $("#remarks").val(),
            vendor_type: $("#vendor_type").val(),
            vendor_details: vendorDetails,
          };

          if (actionType === "editvendors") {
            jsonData["vendor_id"] = vendorId;
            jsonData["status"] = "1";
          }

          // Validation form
          function printError(elemId, hintMsg) {
            document.getElementById(elemId).innerHTML = hintMsg;
          }

          // Defining error variables with a default value
          var nameErr =
            (companyErr =
            mobilenoErr =
            emailErr =
            vendor_typeErr =
            statusErr =
              true);

          if ($("input[name='name']").val() == "") {
            printError("nameErr", "Please enter name");
          } else {
            printError("nameErr", "");
            nameErr = false;
          }

          if ($("input[name='company']").val() == "") {
            printError("companyErr", "Please enter company");
          } else {
            printError("companyErr", "");
            companyErr = false;
          }

          // Validate mobile number
          if ($("input[name='mobileno']").val() == "") {
            printError("mobilenoErr", "Please enter your mobile number");
          } else {
            var regex = /^[1-9]\d{9}$/;
            if (regex.test($("input[name='mobileno']").val()) === false) {
              printError(
                "mobilenoErr",
                "Please enter a valid 10 digit mobile number"
              );
            } else {
              printError("mobilenoErr", "");
              mobilenoErr = false;
            }
          }

          // Validate email address
          if ($("input[name='email']").val() == "") {
            printError("emailErr", "Please enter your email address");
          } else {
            // Regular expression for basic email validation
            var regex = /^\S+@\S+\.\S+$/;
            if (regex.test($("#email").val()) === false) {
              printError("emailErr", "Please enter a valid email address");
            } else {
              printError("emailErr", "");
              emailErr = false;
            }
          }

          if ($("select[name='vendor_type']").val() == "") {
            printError("vendor_typeErr", "Please select vendor type");
          } else {
            printError("vendor_typeErr", "");
            vendor_typeErr = false;
          }

          // Validate status
          if ($("#status").val() == "") {
            printError("statusErr", "Please select your status");
          } else {
            printError("statusErr", "");
            statusErr = false;
          }

          //Prevent the form from being submitted if there are any errors
          if (
            (nameErr ||
              companyErr ||
              mobilenoErr ||
              emailErr ||
              vendor_typeErr ||
              statusErr) == true
          ) {
            return false;
          }

          $.ajax({
            type: "POST",
            enctype: "multipart/form-data",
            url: "https://efflo.xyz/App/api.php",
            data: JSON.stringify(jsonData),
            processData: false,
            contentType: false,
            cache: false,
            success: function (data) {
              window.location.reload();
              setTimeout(() => {
                $(".toast-header strong").text("Added");
                $(".toast-body").text("Vendor Added Successfully");
                $(".toast").toast("show");
              }, 1000);
            },
          });
        });
		
		function getVendorType() {
          $.ajax({
            type: "GET",
            url:
              "https://efflo.xyz/App/api.php?gofor=vendortypelist&user_id=" +
              sessionStorage.getItem("user_id"),
            success: function (data) {
              var $dropdown = $("#vendor_type");
              $.each(data, function () {
                $dropdown.append(
                  "<option value='" +
                    this.name +
                    "'>" +
                    this.name +
                    "</option>"
                );
              });
            },
          });
        }

        //reset form on modal close
        $("#add_client").on("hidden.bs.modal", function () {
          $(this).find("form").trigger("reset");
          actionType = "addvendors";
          window.selectedVendorData = "";
          $('.modal-title').text('Add Vendors')
          $('#GRNTable1 tbody tr:not(.d-none)').remove();
        });
      });
    </script>
    <!-- Datatable JS -->
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap4.min.js"></script>
    <?php include "common-script.php";?>
  </body>
</html>
